/**
 * @license
 * Copyright 2022 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks"),require("os")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks","os"],t):t(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks,e.os)}(this,(function(e,t,n,a,r,s,u){"use strict";var i,o;let d;n=n&&Object.prototype.hasOwnProperty.call(n,"default")?n.default:n,a=a&&Object.prototype.hasOwnProperty.call(a,"default")?a.default:a,r=r&&Object.prototype.hasOwnProperty.call(r,"default")?r.default:r,s=s&&Object.prototype.hasOwnProperty.call(s,"default")?s.default:s,u=u&&Object.prototype.hasOwnProperty.call(u,"default")?u.default:u,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(i||(i={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu",e[e.sigmoid=5]="sigmoid",e[e.elu=6]="elu"}(o||(o={}));const l={kernelName:t._FusedMatMul,backendName:"wasm",setupFunc:function(e){d=e.wasm.cwrap(t._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{a:s,b:u,bias:i,preluActivationWeights:l}=n;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:p,transposeB:c,activation:m,leakyreluAlpha:f}=r,h=a.dataIdMap.get(s.dataId).id,b=a.dataIdMap.get(u.dataId).id;let _=0;if(null!=i){const e=a.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);_=e.id}const y=null==l?0:a.dataIdMap.get(l.dataId).id,g=o[m];if(null==g)throw new Error(`${m} activation not yet supported for FusedConv2D in the wasm backend.`);const w=p?s.shape[2]:s.shape[1],k=c?u.shape[1]:u.shape[2],I=t.broadcast_util.assertAndGetBroadcastShape(s.shape.slice(0,-2),u.shape.slice(0,-2)),S=a.makeOutput([...I,w,k],s.dtype),v=a.dataIdMap.get(S.dataId).id,M=new Uint8Array(new Int32Array(s.shape).buffer),x=new Uint8Array(new Int32Array(u.shape).buffer);return d(h,M,s.shape.length,b,x,u.shape.length,p,c,g,_,y,f||0,v),S}};function p(e,n){let a;return{kernelName:e,backendName:"wasm",setupFunc:function(t){a=t.wasm.cwrap(e,null,["number","number","number"])},kernelFunc:function(e){const{backend:r,inputs:{x:s}}=e,u=r.dataIdMap.get(s.dataId).id,o=r.makeOutput(s.shape,n||s.dtype),d=r.dataIdMap.get(o.dataId).id;return 0===t.util.sizeFromShape(o.shape)||a(u,i[s.dtype],d),o}}}const c=p(t.Abs);function m(e,n,a){let r;return{kernelName:e,backendName:"wasm",setupFunc:function(t){r=t.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:s}=e,{a:u,b:o}=s,d=n.dataIdMap.get(u.dataId).id,l=n.dataIdMap.get(o.dataId).id,p=null!=a?a:u.dtype,c=t.backend_util.assertAndGetBroadcastShape(u.shape,o.shape),m=n.makeOutput(c,p);if(0===t.util.sizeFromShape(c))return m;const f=new Uint8Array(new Int32Array(u.shape).buffer),h=new Uint8Array(new Int32Array(o.shape).buffer),b=n.dataIdMap.get(m.dataId).id;return r(d,f,u.shape.length,l,h,o.shape.length,i[u.dtype],b),m}}}const f=m(t.Add);let h;const b={kernelName:t.AddN,backendName:"wasm",setupFunc:function(e){h=e.wasm.cwrap(t.AddN,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a}=e,r=a.makeOutput(n[0].shape,n[0].dtype);if(0===t.util.sizeFromShape(r.shape))return r;const s=n.map((e=>a.dataIdMap.get(e.dataId).id)),u=new Uint8Array(new Int32Array(s).buffer),o=a.dataIdMap.get(r.dataId).id;return h(u,s.length,i[r.dtype],o),r}};function _(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype),r=n.typedArrayFromHeap(t);return n.typedArrayFromHeap(a).set(r),a}const y={kernelName:t.Identity,backendName:"wasm",kernelFunc:_};let g;function w(e){const{inputs:t,backend:n,attrs:a}=e,[r,s]=function(e,t){const n=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&n.push(e[r]),1!==e[t[r]]&&a.push(t[r]);for(let e=0;e<a.length;++e){let t=-1;for(let n=0;n<a.length;++n)a[n]>=e&&(-1===t||a[t]>a[n])&&(t=n);a[t]=e}return[n,a]}(t.x.shape,a.perm);let u=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(u=!1);const o=function(e,t){const n=new Array(e.length);for(let a=0;a<n.length;a++)n[a]=e[t[a]];return n}(t.x.shape,a.perm),d={dataId:t.x.dataId,shape:r,dtype:t.x.dtype};if(u){const e=_({inputs:t,backend:n});return e.shape=o,e}const l=n.makeOutput(o,d.dtype),p=n.dataIdMap.get(d.dataId).id,c=n.dataIdMap.get(l.dataId).id,m=new Uint8Array(new Int32Array(s).buffer),f=new Uint8Array(new Int32Array(d.shape).buffer);return g(p,f,d.shape.length,i[d.dtype],c,m,s.length),l}const k={kernelName:t.Transpose,backendName:"wasm",kernelFunc:w,setupFunc:function(e){g=e.wasm.cwrap(t.Transpose,null,["number","array","number","number","number","array","number"])}};function I(e,n,a){const r=e.shape,s=e.shape.length,u=t.util.parseAxisParam(n,r);let i=u;const o=t.backend_util.getAxesPermutation(i,s);let d=null,l=!1;if(null!=o){const n=new Array(s);for(let e=0;e<n.length;e++)n[e]=r[o[e]];i=t.backend_util.getInnerMostAxes(i.length,s),d=w({inputs:{x:e},attrs:{perm:o},backend:a});const u=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(d.dataId).id!==u&&(l=!0)}return{transposed:d,originalAxes:u,axes:i,inputWasTransposed:l}}let S;const v={kernelName:t.All,backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap(t.All,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a;let o=n.dataIdMap.get(i.dataId).id,d=i;const{transposed:l,axes:p,originalAxes:c,inputWasTransposed:m}=I(i,s,n);if(m){d=l,o=n.dataIdMap.get(l.dataId).id}const f=d.shape.length;t.backend_util.assertAxesAreInnerMostDims("all",p,f);const[h,b]=t.backend_util.computeOutAndReduceShapes(d.shape,p),_=t.util.sizeFromShape(b),y=n.makeOutput(h,i.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(y.dataId).id;S(o,_,e)}if(m&&n.disposeData(l.dataId),u){const e=t.backend_util.expandShapeToKeepDim(y.shape,c);y.shape=e}return y}};let M;const x={kernelName:t.Any,backendName:"wasm",setupFunc:function(e){M=e.wasm.cwrap(t.Any,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a;let o=n.dataIdMap.get(i.dataId).id,d=i;const{transposed:l,axes:p,originalAxes:c,inputWasTransposed:m}=I(i,s,n);if(m){d=l,o=n.dataIdMap.get(l.dataId).id}const f=d.shape.length;t.backend_util.assertAxesAreInnerMostDims("any",p,f);const[h,b]=t.backend_util.computeOutAndReduceShapes(d.shape,p),_=t.util.sizeFromShape(b),y=n.makeOutput(h,i.dtype);if(0!==t.util.sizeFromShape(d.shape)){const e=n.dataIdMap.get(y.dataId).id;M(o,_,e)}if(m&&n.disposeData(l.dataId),u){const e=t.backend_util.expandShapeToKeepDim(y.shape,c);y.shape=e}return y}};let A;const F={kernelName:t.ArgMax,backendName:"wasm",kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s}=r,{x:u}=a,o=n.dataIdMap.get(u.dataId).id;let d=o,l=u;const{transposed:p,axes:c,inputWasTransposed:m}=I(u,s,n);if(m){const e=n.dataIdMap.get(p.dataId).id;e!==o&&(l=p,d=e)}const f=l.shape.slice(0,-1),h=n.makeOutput(f,"int32"),b=n.dataIdMap.get(h.dataId).id,_=t.util.sizeFromShape(h.shape),y=l.shape[c[0]];return A(d,i[l.dtype],_,y,b),m&&n.disposeData(p.dataId),h},setupFunc:function(e){A=e.wasm.cwrap(t.ArgMax,null,["number","number","number","number","number"])}};let N;const E={kernelName:t.AvgPool,backendName:"wasm",setupFunc:function(e){N=e.wasm.cwrap(t.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:d,dimRoundingMode:l}=a,p=t.backend_util.computePool2DInfo(s.shape,i,o,1,d,l),c=p.filterHeight,m=p.filterWidth,f=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,_=p.padInfo.left,y=p.strideHeight,g=p.strideWidth,w=p.inChannels;if("channelsLast"!==p.dataFormat)throw new Error(`wasm backend does not support dataFormat:'${p.dataFormat}'. Please use 'channelsLast'.`);if(1!==p.dilationWidth||1!==p.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${p.dilationHeight}, ${p.dilationWidth}].`);const k=r.makeOutput(p.outShape,"float32"),I=r.dataIdMap.get(k.dataId).id;return N(u,s.shape[0],s.shape[1],s.shape[2],c,m,f,h,b,_,y,g,w,I),k}};function R(e){const{inputs:n,attrs:a}=e,{x:r}=n,{shape:s}=a,u=t.util.sizeFromShape(r.shape),i=t.util.inferFromImplicitShape(s,u);return t.util.assert(u===t.util.sizeFromShape(i),(()=>`new shape: ${i}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`)),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:i,dtype:r.dtype}}const C={kernelName:t.Reshape,backendName:"wasm",kernelFunc:R};let D;const T={kernelName:t.BatchMatMul,backendName:"wasm",setupFunc:function(e){D=e.wasm.cwrap(t.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{a:s,b:u}=n,{transposeA:i,transposeB:o}=r;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const d=s.shape.length,l=u.shape.length,p=i?s.shape[d-2]:s.shape[d-1],c=o?u.shape[l-1]:u.shape[l-2],m=i?s.shape[d-1]:s.shape[d-2],f=o?u.shape[l-2]:u.shape[l-1],h=s.shape.slice(0,-2),b=u.shape.slice(0,-2),_=t.util.sizeFromShape(h),y=t.util.sizeFromShape(b),g=t.broadcast_util.assertAndGetBroadcastShape(s.shape.slice(0,-2),u.shape.slice(0,-2)).concat([m,f]);t.util.assert(p===c,(()=>`Error in matMul: inner shapes (${p}) and (${c}) of Tensors with shapes ${s.shape} and ${u.shape} and transposeA=${i} and transposeB=${o} must match.`));const w=o?[y,f,c]:[y,c,f],k=R({inputs:{x:s},backend:a,attrs:{shape:i?[_,p,m]:[_,m,p]}}),I=R({inputs:{x:u},backend:a,attrs:{shape:w}}),S=a.dataIdMap.get(k.dataId).id,v=a.dataIdMap.get(I.dataId).id,M=i?k.shape[2]:k.shape[1],x=o?I.shape[1]:I.shape[2],A=Math.max(_,y),F=a.makeOutput([A,M,x],k.dtype),N=a.dataIdMap.get(F.dataId).id,E=new Uint8Array(new Int32Array(k.shape).buffer),C=new Uint8Array(new Int32Array(I.shape).buffer);return D(S,E,k.shape.length,v,C,I.shape.length,i,o,N),a.disposeData(k.dataId),a.disposeData(I.dataId),F.shape=g,F}};function O(e,n,a,r,s){const u=t.slice_util.isSliceContinous(r,n,a),i=t.util.sizeFromShape(a),o=t.util.computeStrides(r);if(u){const a=t.slice_util.computeFlatOffset(n,o);return"string"===s?e.slice(a,a+i):e.subarray(a,a+i)}const d="string"===s?t.backend_util.fromUint8ToStringArray(e):e,l=t.buffer(r,s,d),p=t.buffer(a,s);for(let e=0;e<p.size;++e){const t=p.indexToLoc(e),a=t.map(((e,t)=>e+n[t]));p.set(l.get(...a),...t)}return"string"===s?t.backend_util.fromStringArrayToUint8(p.values):p.values}function P(e){const{inputs:{x:n},attrs:{begin:a,size:r},backend:s}=e,[u,i]=t.slice_util.parseSliceParams(n,a,r),o=t.slice_util.isSliceContinous(n.shape,u,i),d=s.readSync(n.dataId),l=s.makeOutput(i,n.dtype),p=t.util.computeStrides(n.shape),c=s.dataIdMap.get(l.dataId);if(o){const e=t.slice_util.computeFlatOffset(u,p);if("string"===n.dtype)c.stringBytes=d.slice(e,e+t.util.sizeFromShape(i));else{s.typedArrayFromHeap(l).set(d.subarray(e,e+t.util.sizeFromShape(i)))}return l}if("string"===n.dtype){const e=O(d,u,i,n.shape,n.dtype);return c.stringBytes=e,l}const m=s.typedArrayFromHeap(l),f=n.shape.length;if(2===f)!function(e,t,n,a,r){let s=0;const u=a[0],i=a[1],o=u+r[0];for(let a=u;a<o;a++){const u=a*t+i;n.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(d,p[0],m,u,i);else if(3===f)!function(e,t,n,a,r,s){let u=0;const i=r[0],o=r[1],d=r[2],l=i+s[0],p=o+s[1];for(let r=i;r<l;r++)for(let i=o;i<p;i++){const o=r*t+i*n+d;a.set(e.subarray(o,o+s[2]),u),u+=s[2]}}(d,p[0],p[1],m,u,i);else if(4===f)!function(e,t,n,a,r,s,u){let i=0;const o=s[0],d=s[1],l=s[2],p=o+u[0],c=d+u[1],m=l+u[2],f=s[3];for(let s=o;s<p;s++)for(let o=d;o<c;o++)for(let d=l;d<m;d++){const l=s*t+o*n+d*a+f;r.set(e.subarray(l,l+u[3]),i),i+=u[3]}}(d,p[0],p[1],p[2],m,u,i);else{const e=O(d,u,i,n.shape,n.dtype);m.set(e)}return l}const W={kernelName:t.Slice,backendName:"wasm",kernelFunc:P};const j={kernelName:t.BatchToSpaceND,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{blockShape:u,crops:i}=r,o=u.reduce(((e,t)=>e*t)),d=t.backend_util.getReshaped(s.shape,u,o),l=t.backend_util.getPermuted(d.length,u.length),p=t.backend_util.getReshapedPermuted(s.shape,u,o),c=t.backend_util.getSliceBeginCoords(i,u.length),m=t.backend_util.getSliceSize(p,i,u.length),f=R({inputs:{x:s},backend:a,attrs:{shape:d}}),h=w({inputs:{x:f},backend:a,attrs:{perm:l}}),b=P({inputs:{x:R({inputs:{x:h},backend:a,attrs:{shape:p}})},backend:a,attrs:{begin:c,size:m}});return a.disposeData(f.dataId),a.disposeData(h.dataId),a.disposeData(f.dataId),b}};function z(e){const{inputs:{x:t},attrs:{dtype:n},backend:a}=e,r=a.makeOutput(t.shape,n),s=a.typedArrayFromHeap(t);return a.typedArrayFromHeap(r).set(s),r}const L={kernelName:t.Cast,backendName:"wasm",kernelFunc:z},H=p(t.Ceil);let B;const q={kernelName:t.ClipByValue,backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap(t.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,{clipValueMin:s,clipValueMax:u}=a,i=n.dataIdMap.get(r.dataId).id,o=n.makeOutput(r.shape,r.dtype),d=n.dataIdMap.get(o.dataId).id;return B(i,s,u,d),o}};function U(e){const{inputs:n,backend:a}=e,r=t.util.parseAxisParam(e.attrs.axis,n[0].shape)[0];let s=t.backend_util.computeOutShape(n.map((e=>e.shape)),r);const u=n.filter((e=>t.util.sizeFromShape(e.shape)>0));if(1===u.length)return _({inputs:{x:u[0]},backend:a});const i=a.makeOutput(s,n[0].dtype);if(0===t.util.sizeFromShape(s))return i;const o=u.map((e=>e.shape));if(t.backend_util.assertParamsConsistent(o,r),"string"===u[0].dtype){const e=u.map((e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return R({inputs:{x:e},backend:a,attrs:{shape:[-1,n]}})})),o=e.map((e=>({vals:a.readSync(e.dataId),shape:e.shape})));s=t.backend_util.computeOutShape(e.map((e=>e.shape)),1);const d=1===e[0].shape[0],l=function(e,n,a,r){const s=t.util.getArrayFromDType(a,t.util.sizeFromShape(n));if(r&&"string"!==a){let n=0;e.forEach((e=>{const a=t.util.sizeFromShape(e.shape);s.set(e.vals,n),n+=a}))}else{let r=0;e.forEach((e=>{const u="string"===a?t.backend_util.fromUint8ToStringArray(e.vals):e.vals;let i=0;for(let t=0;t<e.shape[0];++t){const a=t*n[1]+r;for(let t=0;t<e.shape[1];++t)s[a+t]=u[i++]}r+=e.shape[1]}))}return s}(o,s,n[0].dtype,d),p=t.backend_util.computeOutShape(u.map((e=>e.shape)),r);i.shape=p;return a.dataIdMap.get(i.dataId).stringBytes=t.backend_util.fromStringArrayToUint8(l),e.forEach((e=>a.disposeData(e.dataId))),i}const d=t.util.sizeFromShape(u[0].shape.slice(0,r));let l=0;const p=u.map((e=>{const n=t.util.sizeFromShape(e.shape.slice(r));return l+=n,n})),c=u.map((e=>a.typedArrayFromHeap(e))),m=a.typedArrayFromHeap(i);for(let e=0;e<d;e++){let t=e*l;for(let n=0;n<c.length;n++){const a=p[n],r=e*a,s=c[n].subarray(r,r+a);m.set(s,t),t+=a}}return i}const V={kernelName:t.Concat,backendName:"wasm",kernelFunc:U};let G;const $={kernelName:t.Conv2D,backendName:"wasm",setupFunc:function(e){G=e.wasm.cwrap(t.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:p,dimRoundingMode:c,dataFormat:m}=a,f=t.backend_util.convertConv2DDataFormat(m),h=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,l,p,c,!1,f),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,w=h.padInfo.bottom,k=h.padInfo.left,I=h.dilationHeight,S=h.dilationWidth,v=h.strideHeight,M=h.strideWidth,x=h.inChannels,A=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error(`wasm backend Conv2D does not support dataFormat:'${h.dataFormat}'. Please use 'channelsLast'.`);const N=r.makeOutput(h.outShape,"float32"),E=r.dataIdMap.get(N.dataId).id;return G(i,s.shape[0],s.shape[1],s.shape[2],o,b,_,y,g,w,k,F,I,S,v,M,x,A,E),N}};let K;const Q={kernelName:t.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){K=e.wasm.cwrap(t.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{dy:s,filter:u}=a,{strides:i,pad:o,dataFormat:d,dimRoundingMode:l,inputShape:p}=r,c=t.backend_util.convertConv2DDataFormat(d),m=t.backend_util.computeConv2DInfo(p,u.shape,i,1,o,l,!1,c),{batchSize:f,filterHeight:h,filterWidth:b,inChannels:_,inHeight:y,inWidth:g,outChannels:w,outHeight:k,outWidth:I,strideHeight:S,strideWidth:v}=m,M=h-1-m.padInfo.top,x=b-1-m.padInfo.left,A="channelsLast"===m.dataFormat,F=t.util.computeStrides(m.inShape),N=t.util.computeStrides(s.shape),[E,R,C]=t.util.computeStrides(u.shape),D=F[0],T=A?F[1]:F[2],O=A?F[2]:1,P=A?1:F[1],W=N[0],j=A?N[1]:N[2],z=A?N[2]:1,L=A?1:N[1],H=n.makeOutput(m.inShape,"float32"),B=n.dataIdMap.get(H.dataId).id,q=n.dataIdMap.get(s.dataId).id,U=n.dataIdMap.get(u.dataId).id;return K(q,U,f,h,b,y,g,_,k,I,w,S,v,M,x,E,R,C,D,T,O,P,W,j,z,L,B),H}},X=p(t.Cos),Z=p(t.Cosh);var Y;let J;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(Y||(Y={}));const ee={kernelName:t.CropAndResize,backendName:"wasm",setupFunc:function(e){J=e.wasm.cwrap(t.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:i,boxes:o,boxInd:d}=n,l=o.shape[0],[p,c]=u,m=[l,p,c,i.shape[3]];let f,h=t.dataIdMap.get(i.dataId);"float32"!==i.dtype&&(f=z({backend:t,inputs:{x:i},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(f.dataId));const b=h.id,_=t.dataIdMap.get(o.dataId).id,y=t.dataIdMap.get(d.dataId).id,g=t.makeOutput(m,"float32"),w=t.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(i.shape).buffer);return J(b,_,y,l,k,p,c,Y[r],s,w),null!=f&&t.disposeData(f.dataId),g}};let te;const ne={kernelName:t.Cumsum,backendName:"wasm",setupFunc:function(e){te=e.wasm.cwrap(t.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{axis:u,exclusive:o,reverse:d}=r,l=s.shape.length;t.util.assert("float32"===s.dtype||"int32"===s.dtype,(()=>`cumsum does not support ${s.dtype} tensors in the WASM backend`));const p=t.backend_util.getAxesPermutation([u],l);let c=s;null!==p&&(c=w({inputs:{x:s},attrs:{perm:p},backend:a}));const m=t.backend_util.getInnerMostAxes(1,l)[0];t.backend_util.assertAxesAreInnerMostDims("cumsum",[m],l);const f=a.makeOutput(c.shape,c.dtype),h=c.shape[m],b=a.dataIdMap.get(c.dataId).id,_=a.dataIdMap.get(f.dataId).id;te(b,o?1:0,d?1:0,h,_,i[s.dtype]);let y=f;if(null!==p){y=w({inputs:{x:f},attrs:{perm:t.backend_util.getUndoAxesPermutation(p)},backend:a}),a.disposeData(c.dataId),a.disposeData(f.dataId)}return y}};let ae;const re={kernelName:t.DepthToSpace,backendName:"wasm",setupFunc:function(e){ae=e.wasm.cwrap(t.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:i}=r,o=s.shape[0],d=("NHWC"===i?s.shape[1]:s.shape[2])*u,l=("NHWC"===i?s.shape[2]:s.shape[3])*u,p=("NHWC"===i?s.shape[3]:s.shape[1])/(u*u),c="NHWC"===i?[o,d,l,p]:[o,p,d,l],m=n.makeOutput(c,"float32"),f=n.dataIdMap.get(s.dataId).id,h=new Uint8Array(new Int32Array(t.util.computeStrides(s.shape)).buffer),b=new Uint8Array(new Int32Array(c).buffer),_=new Uint8Array(new Int32Array(t.util.computeStrides(c)).buffer),y=n.dataIdMap.get(m.dataId).id;return ae(f,u,"NHWC"===i?1:0,h,s.shape.length-1,b,_,c.length,y),m}};let se;const ue={kernelName:t.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){se=e.wasm.cwrap(t.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u}=n,i=r.dataIdMap.get(s.dataId).id,o=r.dataIdMap.get(u.dataId).id,{strides:d,dilations:l,pad:p,dimRoundingMode:c}=a,m=null==l?[1,1]:l,f=t.backend_util.computeConv2DInfo(s.shape,u.shape,d,m,p,c,!0),h=f.filterHeight,b=f.filterWidth,_=f.padInfo.top,y=f.padInfo.right,g=f.padInfo.bottom,w=f.padInfo.left,k=f.dilationHeight,I=f.dilationWidth,S=f.strideHeight,v=f.strideWidth,M=f.inChannels,x=f.outChannels,A="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error(`wasm backend DepthwiseConv2dNative does not support dataFormat:'${f.dataFormat}'. Please use 'channelsLast'.`);const F=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(F.dataId).id;return se(i,s.shape[0],s.shape[1],s.shape[2],o,h,b,_,y,g,w,A,k,I,S,v,M,x,N),F}},ie=p(t.Elu),oe=m(t.Equal,0,"bool"),de=p(t.Exp,"float32");function le(e){const{inputs:n,attrs:a,backend:r}=e,{input:s}=n,{dim:u}=a,i=s.shape.length,o=s.shape.slice();let d=u;return u<0&&(t.util.assert(-(i+1)<=u,(()=>`Axis must be in the interval [${-(i+1)}, ${i}]`)),d=i+u+1),o.splice(d,0,1),R({inputs:{x:s},backend:r,attrs:{shape:o}})}const pe={kernelName:t.ExpandDims,backendName:"wasm",kernelFunc:le};function ce(e){const{attrs:{shape:t,value:n,dtype:a},backend:r}=e,s=r.makeOutput(t,a);return r.typedArrayFromHeap(s).fill(n),s}const me={kernelName:t.Fill,backendName:"wasm",kernelFunc:ce};let fe;const he={kernelName:t.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n}=e,{image:a}=t,r=n.makeOutput(a.shape,a.dtype),s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id,[i,o,d,l]=a.shape;return fe(s,i,o,d,l,u),r},setupFunc:function(e){fe=e.wasm.cwrap(t.FlipLeftRight,null,["number","number","number","number","number","number"])}},be=p(t.Floor),_e=m(t.FloorDiv);let ye;const ge={kernelName:t.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){ye=e.wasm.cwrap(t.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:i,variance:o,offset:d,scale:l}=a,p=n.dataIdMap.get(u.dataId).id,c=n.dataIdMap.get(i.dataId).id,m=n.dataIdMap.get(o.dataId).id,f=null!=d?n.dataIdMap.get(d.dataId).id:0,h=null!=l?n.dataIdMap.get(l.dataId).id:0,b=n.makeOutput(u.shape,u.dtype);if(0===t.util.sizeFromShape(u.shape))return b;const _=n.dataIdMap.get(b.dataId).id;return ye(p,c,m,f,h,s,_),b}};let we;const ke={kernelName:t.FusedConv2D,backendName:"wasm",setupFunc:function(e){we=e.wasm.cwrap(t.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:i,preluActivationWeights:d}=n,{strides:l,pad:p,dilations:c,dataFormat:m,dimRoundingMode:f,activation:h,leakyreluAlpha:b}=a,_=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,c,p,f),y=o[h];if(null==y)throw new Error(`${h} activation not yet supported for FusedConv2D in the wasm backend.`);const g=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=_.outChannels;let I=0;if(null!=i){const e=r.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const S=_.filterHeight,v=_.filterWidth,M=_.padInfo.top,x=_.padInfo.right,A=_.padInfo.bottom,F=_.padInfo.left,N=_.dilationHeight,E=_.dilationWidth,R=_.strideHeight,C=_.strideWidth,D=_.inChannels,T="SAME"===_.padInfo.type?1:0,O=_.batchSize,P=_.inHeight,W=_.inWidth;if("NHWC"!==m)throw new Error(`wasm backend FusedConv2D does not support dataFormat:'${m}'. Please use 'NHWC'.`);const j=r.makeOutput(_.outShape,"float32"),z=r.dataIdMap.get(j.dataId).id,L=null==d?0:r.dataIdMap.get(d.dataId).id;return we(g,O,P,W,w,S,v,I,M,x,A,F,T,N,E,R,C,D,k,y,L,b||0,z),j}};let Ie;const Se={kernelName:t.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){Ie=e.wasm.cwrap(t.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s,filter:u,bias:i,preluActivationWeights:d}=n,{strides:l,pad:p,dilations:c,dataFormat:m,dimRoundingMode:f,activation:h,leakyreluAlpha:b}=a,_=t.backend_util.computeConv2DInfo(s.shape,u.shape,l,c,p,f,!0),y=o[h];if(null==y)throw new Error(`${h} activation not yet supported for FusedDepthwiseConv2D in the wasm backend.`);const g=r.dataIdMap.get(s.dataId).id,w=r.dataIdMap.get(u.dataId).id,k=_.outChannels;let I=0;if(null!=i){const e=r.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==k)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${k})`);I=e.id}const S=_.filterHeight,v=_.filterWidth,M=_.padInfo.top,x=_.padInfo.right,A=_.padInfo.bottom,F=_.padInfo.left,N=_.dilationHeight,E=_.dilationWidth,R=_.strideHeight,C=_.strideWidth,D=_.inChannels,T="SAME"===_.padInfo.type?1:0,O=_.batchSize,P=_.inHeight,W=_.inWidth;if("NHWC"!==m)throw new Error(`wasm backend FusedDepthwiseConv2D does not support dataFormat:'${m}'. Please use 'NHWC'.`);const j=r.makeOutput(_.outShape,"float32"),z=r.dataIdMap.get(j.dataId).id,L=null==d?0:r.dataIdMap.get(d.dataId).id;return Ie(g,O,P,W,w,S,v,I,M,x,A,F,T,N,E,R,C,D,k,y,L,b||0,z),j}};let ve;const Me={kernelName:t.GatherNd,backendName:"wasm",setupFunc:function(e){ve=e.wasm.cwrap(t.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{params:r,indices:s}=a,[u,o,d,l]=t.gather_util.prepareAndValidate(r,s),p=n.makeOutput(u,r.dtype);if(0===o)return p;const c=s.shape,m=c[c.length-1],f=n.dataIdMap.get(r.dataId).id,h=n.dataIdMap.get(s.dataId).id,b=new Uint8Array(new Int32Array(l).buffer),_=n.dataIdMap.get(p.dataId).id;return ve(f,i[r.dtype],h,o,m,d,b,_),p}};let xe;const Ae={kernelName:t.GatherV2,backendName:"wasm",setupFunc:function(e){xe=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s,indices:u}=a,{axis:o,batchDims:d}=r,l=t.util.parseAxisParam(o,s.shape)[0],p=n.readSync(u.dataId),c=s.shape[l];for(let e=0;e<p.length;++e){const n=p[e];t.util.assert(n<=c-1&&n>=0,(()=>`GatherV2: the index value ${n} is not in [0, ${c-1}]`))}const m=t.backend_util.segment_util.collectGatherOpShapeInfo(s,u,l,d),f=R({inputs:{x:s},attrs:{shape:[m.batchSize,m.outerSize,m.dimSize,m.sliceSize]},backend:n}),h=t.util.sizeFromShape(u.shape),b=R({inputs:{x:u},attrs:{shape:[m.batchSize,h/m.batchSize]},backend:n}),_=[m.batchSize,m.outerSize,h/m.batchSize,m.sliceSize],y=n.makeOutput(_,s.dtype);if(0===t.util.sizeFromShape(s.shape))return y;const g=f.shape.length-1,w=n.dataIdMap.get(f.dataId).id,k=n.dataIdMap.get(b.dataId).id,I=n.dataIdMap.get(y.dataId).id,S=new Uint8Array(new Int32Array(t.util.computeStrides(f.shape)).buffer),v=new Uint8Array(new Int32Array(t.util.computeStrides(_)).buffer);return xe(w,i[s.dtype],S,g,k,m.batchSize,v,I),n.disposeData(f.dataId),n.disposeData(b.dataId),y.shape=m.outputShape,y}},Fe=m(t.Greater,0,"bool"),Ne=m(t.GreaterEqual,0,"bool");let Ee;const Re={kernelName:t.LeakyRelu,backendName:"wasm",setupFunc:function(e){Ee=e.wasm.cwrap(t.LeakyRelu,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:{x:n},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(n.dataId).id,u=r.makeOutput(n.shape,"float32");if(0!==t.util.sizeFromShape(n.shape)){const e=r.dataIdMap.get(u.dataId).id;Ee(s,i[n.dtype],a,e)}return u}},Ce=m(t.Less,0,"bool"),De=m(t.LessEqual,0,"bool"),Te=p(t.Log),Oe=m(t.LogicalAnd,0,"bool");let Pe;const We={kernelName:t.Max,backendName:"wasm",setupFunc:function(e){Pe=e.wasm.cwrap(t.Max,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{reductionIndices:s,keepDims:u}=r,{x:o}=a;let d=n.dataIdMap.get(o.dataId).id,l=o;const{transposed:p,axes:c,originalAxes:m,inputWasTransposed:f}=I(o,s,n);if(f){l=p,d=n.dataIdMap.get(p.dataId).id}const h=l.shape.length;t.backend_util.assertAxesAreInnerMostDims("max",c,h);const[b,_]=t.backend_util.computeOutAndReduceShapes(l.shape,c),y=t.util.sizeFromShape(_),g=n.makeOutput(b,o.dtype);if(0!==t.util.sizeFromShape(l.shape)){const e=n.dataIdMap.get(g.dataId).id;Pe(d,i[o.dtype],y,e)}if(f&&n.disposeData(p.dataId),u){const e=t.backend_util.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}},je=m(t.Maximum);let ze;const Le={kernelName:t.MaxPool,backendName:"wasm",setupFunc:function(e){ze=e.wasm.cwrap(t.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,s=n.x,u=r.dataIdMap.get(s.dataId).id;t.util.assert("float32"===s.dtype,(()=>`Error in MaxPool: only float32 input is supported. Got ${s.dtype}.`));const{filterSize:i,strides:o,pad:d,dimRoundingMode:l}=a,p=t.backend_util.computePool2DInfo(s.shape,i,o,1,d,l),c=p.filterHeight,m=p.filterWidth,f=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,_=p.padInfo.left,y=p.dilationHeight,g=p.dilationWidth,w=p.strideHeight,k=p.strideWidth,I=p.inChannels,S=p.outChannels;if("channelsLast"!==p.dataFormat)throw new Error(`wasm backend does not support dataFormat:'${p.dataFormat}'. Please use 'channelsLast'.`);const v=r.makeOutput(p.outShape,"float32"),M=r.dataIdMap.get(v.dataId).id;return ze(u,s.shape[0],s.shape[1],s.shape[2],c,m,f,h,b,_,y,g,w,k,I,S,M),v}};let He;const Be={kernelName:t.Mean,backendName:"wasm",setupFunc:function(e){He=e.wasm.cwrap(t.Mean,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:i}=a,o=n.dataIdMap.get(i.dataId).id;let d=o,l=i;const{transposed:p,axes:c,originalAxes:m,inputWasTransposed:f}=I(i,s,n);let h=c;if(f){const e=n.dataIdMap.get(p.dataId).id;e!==o&&(l=p,d=e,h=t.backend_util.getInnerMostAxes(h.length,l.shape.length))}t.backend_util.assertAxesAreInnerMostDims("mean",h,l.shape.length);const[b,_]=t.backend_util.computeOutAndReduceShapes(l.shape,h),y=t.util.sizeFromShape(_);let g=l;"float32"!==l.dtype&&(g=z({backend:n,inputs:{x:l},attrs:{dtype:"float32"}}),d=n.dataIdMap.get(g.dataId).id);const w=n.makeOutput(b,"float32");if(0!==t.util.sizeFromShape(l.shape)){const e=n.dataIdMap.get(w.dataId).id;He(d,y,e)}if(f&&n.disposeData(p.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,m);w.shape=e}return"float32"!==l.dtype&&n.disposeData(g.dataId),w}};let qe;const Ue={kernelName:t.Min,backendName:"wasm",setupFunc:function(e){qe=e.wasm.cwrap(t.Min,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let l=d,p=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=I(o,s,n);if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(p=c,l=e)}const b=p.shape.length;t.backend_util.assertAxesAreInnerMostDims("min",m,b);const[_,y]=t.backend_util.computeOutAndReduceShapes(p.shape,m),g=t.util.sizeFromShape(y),w=n.makeOutput(_,p.dtype);if(0!==t.util.sizeFromShape(p.shape)){const e=n.dataIdMap.get(w.dataId).id;qe(l,i[o.dtype],g,e)}if(h&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},Ve=m(t.Minimum);var Ge;let $e;!function(e){e[e.reflect=0]="reflect",e[e.symmetric=1]="symmetric"}(Ge||(Ge={}));const Ke={kernelName:t.MirrorPad,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n,attrs:{paddings:a,mode:r}}=e,s=a.map(((e,n)=>e[0]+t.shape[n]+e[1])),u=n.dataIdMap.get(t.dataId).id,o=n.makeOutput(s,t.dtype),d=n.dataIdMap.get(o.dataId).id,l=new Uint8Array(new Int32Array(t.shape).buffer),p=a.map((e=>e[0])),c=a.map((e=>e[1])),m=new Uint8Array(new Int32Array(p).buffer),f=new Uint8Array(new Int32Array(c).buffer);return $e(u,l,t.shape.length,i[t.dtype],m,f,Ge[r],d),o},setupFunc:function(e){$e=e.wasm.cwrap(t.MirrorPad,null,["number","array","number","number","array","array","number","number"])}},Qe=m(t.Multiply),Xe=p(t.Neg);function Ze(e,t){const n=new Int32Array(e.wasm.HEAPU8.buffer,t,4),a=n[0],r=n[1],s=n[2],u=n[3];return e.wasm._free(t),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let Ye;const Je={kernelName:t.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){Ye=e.wasm.cwrap(t.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:i,scores:o}=n,d=t.dataIdMap.get(i.dataId).id,l=t.dataIdMap.get(o.dataId).id,p=Ye(d,l,s,r,u),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f,pValidOutputs:h}=Ze(t,p);return t.wasm._free(f),t.wasm._free(h),t.makeOutput([m],"int32",c)}};let et;const tt={kernelName:t.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){et=e.wasm.cwrap(t.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:i}=a,{boxes:o,scores:d}=n,l=t.dataIdMap.get(o.dataId).id,p=t.dataIdMap.get(d.dataId).id,c=et(l,p,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=Ze(t,c);return t.wasm._free(h),[t.makeOutput([f],"int32",m),t.makeOutput([],"int32",b)]}};let nt;const at={kernelName:t.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){nt=e.wasm.cwrap(t.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:i}=a,{boxes:o,scores:d}=n,l=t.dataIdMap.get(o.dataId).id,p=t.dataIdMap.get(d.dataId).id,c=nt(l,p,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=Ze(t,c);return t.wasm._free(b),[t.makeOutput([f],"int32",m),t.makeOutput([f],"float32",h)]}},rt=m(t.NotEqual,0,"bool");let st;const ut={kernelName:t.OneHot,backendName:"wasm",setupFunc:function(e){st=e.wasm.cwrap(t.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{indices:r}=t,{depth:s,onValue:u,offValue:i}=a,o=n.makeOutput([...r.shape,s],"int32"),d=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(r.dataId).id;return st(l,s,u,i,d),o}};const it={kernelName:t.OnesLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(1),a}};const ot={kernelName:t.Pack,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{axis:s}=r;if(1===n.length)return le({inputs:{input:n[0]},backend:a,attrs:{dim:s}});const u=n[0].shape,i=n[0].dtype;n.forEach((e=>{t.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),t.util.assert(i===e.dtype,(()=>"All tensors passed to stack must have matching dtypes"))}));const o=[],d=U({inputs:n.map((e=>{const t=le({inputs:{input:e},backend:a,attrs:{dim:s}});return o.push(t),t})),backend:a,attrs:{axis:s}});return o.forEach((e=>a.disposeData(e.dataId))),d}};let dt;const lt={kernelName:t.PadV2,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:a,attrs:{paddings:r,constantValue:s}}=e,u=r.map(((e,t)=>e[0]+n.shape[t]+e[1]));if(0===t.util.sizeFromShape(n.shape))return ce({backend:a,attrs:{shape:u,value:s,dtype:n.dtype}});const o=a.dataIdMap.get(n.dataId).id,d=a.makeOutput(u,n.dtype),l=a.dataIdMap.get(d.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),c=r.map((e=>e[0])),m=r.map((e=>e[1])),f=new Uint8Array(new Int32Array(c).buffer),h=new Uint8Array(new Int32Array(m).buffer);return dt(o,p,n.shape.length,i[n.dtype],f,h,s,l),d},setupFunc:function(e){dt=e.wasm.cwrap(t.PadV2,null,["number","array","number","number","array","array","number","number"])}},pt=m(t.Pow);let ct;const mt={kernelName:t.Prelu,backendName:"wasm",setupFunc:function(e){ct=e.wasm.cwrap(t.Prelu,null,["number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n}=e,{x:a,alpha:r}=t,s=n.dataIdMap.get(a.dataId).id,u=n.dataIdMap.get(r.dataId).id;let i=s;const o=a;let d=o;"float32"!==o.dtype&&(d=z({backend:n,inputs:{x:a},attrs:{dtype:"float32"}}),i=n.dataIdMap.get(d.dataId).id);const l=n.makeOutput(a.shape,"float32"),p=n.dataIdMap.get(l.dataId).id;return ct(i,u,p),"float32"!==o.dtype&&n.disposeData(d.dataId),l}};let ft;const ht={kernelName:t.Prod,backendName:"wasm",setupFunc:function(e){ft=e.wasm.cwrap(t.Prod,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let l=d,p=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=I(o,s,n);let b=m;if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(p=c,l=e,b=t.backend_util.getInnerMostAxes(b.length,p.shape.length))}t.backend_util.assertAxesAreInnerMostDims("prod",b,p.shape.length);const[_,y]=t.backend_util.computeOutAndReduceShapes(p.shape,b),g=t.util.sizeFromShape(y),w=n.makeOutput(_,p.dtype);if(0!==t.util.sizeFromShape(p.shape)){const e=n.dataIdMap.get(w.dataId).id;ft(l,g,i[w.dtype],e)}if(h&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},bt={kernelName:t.Range,backendName:"wasm",kernelFunc:e=>{const{backend:n,attrs:a}=e,{start:r,stop:s,step:u,dtype:i}=a,o=function(e,n,a,r){if(e===n||e<n&&a<0||n<e&&a>1)return t.util.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((n-e)/a)),u=t.util.makeZerosTypedArray(s,r);n<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,i),d=n.makeOutput([o.length],i);return n.typedArrayFromHeap(d).set(o),d}},_t=m(t.RealDiv),yt=p(t.Relu),gt=p(t.Relu6);let wt;const kt={kernelName:t.ResizeBilinear,backendName:"wasm",setupFunc:function(e){wt=e.wasm.cwrap(t.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:i,size:o}=r,[d,l]=o,[p,c,m,f]=s.shape,h=[p,d,l,f];let b,_=n.dataIdMap.get(s.dataId);"float32"!==_.dtype&&(b=z({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),_=n.dataIdMap.get(b.dataId));const y=_.id,g=n.makeOutput(h,"float32");if(0===t.util.sizeFromShape(s.shape))return g;const w=n.dataIdMap.get(g.dataId).id;return wt(y,p,c,m,f,d,l,u?1:0,i?1:0,w),null!=b&&n.disposeData(b.dataId),g}};let It;const St={kernelName:t.Reverse,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{dims:u}=r,i=t.util.parseAxisParam(u,s.shape);if(0===s.shape.length)return _({inputs:{x:s},backend:a});const o=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,l=a.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(i).buffer),c=new Uint8Array(new Int32Array(s.shape).buffer);It(d,p,i.length,c,s.shape.length,l);const m=R({inputs:{x:o},attrs:{shape:s.shape},backend:a});return a.disposeData(o.dataId),m},setupFunc:function(e){It=e.wasm.cwrap(t.Reverse,null,["number","array","number","array","number","number"])}};let vt;const Mt={kernelName:t.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{image:s}=n,{radians:u,fillValue:i,center:o}=r,d=a.makeOutput(s.shape,s.dtype),l=a.dataIdMap.get(s.dataId).id,p=a.dataIdMap.get(d.dataId).id,[c,m,f,h]=s.shape,[b,_]=t.backend_util.getImageCenter(o,m,f),y="number"==typeof i?[i,i,i,0===i?0:255]:[...i,255],g=new Uint8Array(new Int32Array(y).buffer);return vt(l,c,m,f,h,u,b,_,g,y.length,p),d},setupFunc:function(e){vt=e.wasm.cwrap(t.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},xt=p(t.Round),At=p(t.Rsqrt);let Ft;const Nt={kernelName:t.ScatterNd,backendName:"wasm",setupFunc:function(e){Ft=e.wasm.cwrap(t.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{indices:s,updates:u}=a,{shape:o}=r,d=n.makeOutput(o,u.dtype);if(0===t.util.sizeFromShape(o))return d;const{sliceRank:l,numUpdates:p,sliceSize:c,strides:m,outputSize:f}=t.scatter_util.calculateShapes(u,s,o),h=n.dataIdMap.get(s.dataId).id,b=n.dataIdMap.get(u.dataId).id,_=new Uint8Array(new Int32Array(m).buffer),y=n.dataIdMap.get(d.dataId).id;return Ft(h,b,i[u.dtype],l,p,c,_,f,y),d}};let Et;const Rt={kernelName:t.Select,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a}=e,{condition:r,t:s,e:u}=n,i=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(u.dataId).id,l=a.makeOutput(s.shape,s.dtype),p=a.dataIdMap.get(l.dataId).id,c=r.shape.length,m=s.shape.length,f=0===c||c>1||1===m?1:t.util.sizeFromShape(s.shape.slice(1));return Et(i,o,d,f,p),l},setupFunc:function(e){Et=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}};let Ct;const Dt={kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){Ct=e.wasm.cwrap(t.Sigmoid,null,["number","number"])},kernelFunc:function(e){const{backend:n,inputs:{x:a}}=e,r=n.dataIdMap.get(a.dataId).id,s=n.makeOutput(a.shape,a.dtype),u=n.dataIdMap.get(s.dataId).id;return 0===t.util.sizeFromShape(s.shape)||Ct(r,u),s}},Tt=p(t.Sin);let Ot;const Pt={kernelName:t.Softmax,backendName:"wasm",setupFunc:function(e){Ot=e.wasm.cwrap(t.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:{logits:a},attrs:{dim:r}}=e,s=n.dataIdMap.get(a.dataId).id,u=n.makeOutput(a.shape,a.dtype),i=n.dataIdMap.get(u.dataId).id,o=a.shape[r],d=t.util.sizeFromShape(a.shape)/o;return 0===t.util.sizeFromShape(u.shape)||Ot(s,i,o,d),u}};const Wt={kernelName:t.SpaceToBatchND,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{blockShape:u,paddings:i}=r,o=t.util.sizeFromShape(u),d=[[0,0]];d.push(...i);for(let e=1+u.length;e<s.shape.length;++e)d.push([0,0]);const l=lt.kernelFunc({inputs:{x:s},backend:a,attrs:{paddings:d,constantValue:0}}),p=t.backend_util.getReshaped(l.shape,u,o,!1),c=t.backend_util.getPermuted(p.length,u.length,!1),m=t.backend_util.getReshapedPermuted(l.shape,u,o,!1),f=R({inputs:{x:l},backend:a,attrs:{shape:p}}),h=w({inputs:{x:f},backend:a,attrs:{perm:c}}),b=R({inputs:{x:h},backend:a,attrs:{shape:m}});return a.disposeData(l.dataId),a.disposeData(f.dataId),a.disposeData(h.dataId),b}};let jt;const zt={kernelName:t.SparseFillEmptyRows,backendName:"wasm",setupFunc:function(e){jt=e.wasm.cwrap("SparseFillEmptyRows","number",["number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{indices:r,values:s,denseShape:u,defaultValue:o}=a,d=r.shape[0],l=r.shape[1],p=n.readSync(u.dataId)[0],c=[d+p,l],m=n.dataIdMap.get(r.dataId).id,f=n.dataIdMap.get(s.dataId).id,h=n.dataIdMap.get(o.dataId).id,b=n.makeOutput(c,r.dtype),_=n.dataIdMap.get(b.dataId).id,y=n.makeOutput(c.slice(0,1),s.dtype),g=n.dataIdMap.get(y.dataId).id,w=n.makeOutput([p],"bool"),k=n.dataIdMap.get(w.dataId).id,I=n.makeOutput([d],r.dtype),S=n.dataIdMap.get(I.dataId).id,v=n.makeOutput([4],"int32"),M=n.dataIdMap.get(v.dataId).id,x=jt(m,f,i[s.dtype],d,p,l,h,_,g,k,S,M),A=n.readSync(v.dataId);let F;switch(A[0]){case 1:F=t.backend_util.getSparseFillEmptyRowsIndicesDenseShapeMismatch(A[1]);break;case 2:F=t.backend_util.getSparseFillEmptyRowsNegativeIndexErrorMessage(A[1],A[2]);break;case 3:F=t.backend_util.getSparseFillEmptyRowsOutOfRangeIndexErrorMessage(A[1],A[2],A[3]);break;default:F=""}if(n.disposeData(v.dataId),F)throw n.disposeData(b.dataId),n.disposeData(y.dataId),n.disposeData(w.dataId),n.disposeData(I.dataId),new Error(F);let N=b,E=y;return x!==c[0]&&(N=P({inputs:{x:b},attrs:{begin:0,size:[x,l]},backend:n}),E=P({inputs:{x:y},attrs:{begin:0,size:x},backend:n}),n.disposeData(b.dataId),n.disposeData(y.dataId)),[N,E,w,I]}};let Lt;const Ht={kernelName:t.SparseReshape,backendName:"wasm",setupFunc:function(e){Lt=e.wasm.cwrap(t.SparseReshape,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{inputIndices:r,inputShape:s,newShape:u}=a;if(2!==r.shape.length)throw new Error(`Input indices should be a matrix but received shape\n        ${r.shape}`);if(1!==s.shape.length)throw new Error(`Input shape should be a vector but received shape\n        ${s.shape}`);if(1!==u.shape.length)throw new Error(`Target shape should be a vector but received shape ${u.shape}`);const i=n.dataIdMap.get(r.dataId).id,o=n.dataIdMap.get(s.dataId).id,d=n.dataIdMap.get(u.dataId).id,l=r.shape[0],p=t.util.sizeFromShape(u.shape),c=n.makeOutput([l,p],r.dtype),m=n.dataIdMap.get(c.dataId).id,f=n.makeOutput([p],u.dtype),h=n.dataIdMap.get(f.dataId).id,b=n.makeOutput([3],"int32"),_=n.dataIdMap.get(b.dataId).id;Lt(i,o,d,l,m,h,_);const y=n.readSync(b.dataId);let g;switch(y[0]){case 0:g=t.backend_util.getSparseReshapeMultipleNegativeOneOutputDimErrorMessage(y[1],y[2]);break;case 1:g=t.backend_util.getSparseReshapeNegativeOutputDimErrorMessage(y[1],y[2]);break;case 2:g=t.backend_util.getSparseReshapeEmptyTensorZeroOutputDimErrorMessage();break;case 3:{const e=Array.from(n.readSync(s.dataId)),a=Array.from(n.readSync(f.dataId));g=t.backend_util.getSparseReshapeInputOutputMultipleErrorMessage(e,a);break}case 4:{const e=Array.from(n.readSync(s.dataId)),a=Array.from(n.readSync(f.dataId));g=t.backend_util.getSparseReshapeInputOutputMismatchErrorMessage(e,a);break}default:g=""}if(n.disposeData(b.dataId),g)throw n.disposeData(c.dataId),n.disposeData(f.dataId),new Error(g);return[c,f]}};let Bt;function qt(e){Bt=e.wasm.cwrap("SparseSegmentReduction",null,["number","number","number","number","number","number","number","number","number"])}function Ut(e,n){const{backend:a,inputs:r}=e,{data:s,indices:u,segmentIds:o}=r,d=u.shape[0],l=a.readSync(o.dataId,d-1,d)[0],p=d>0?l+1:0;if(p<0)throw new Error(t.backend_util.getSparseSegmentReductionNegativeSegmentIdsErrorMessage());const c=s.shape.slice();c[0]=p;const m=a.dataIdMap.get(s.dataId).id,f=a.dataIdMap.get(u.dataId).id,h=a.dataIdMap.get(o.dataId).id,b=a.makeOutput(c,s.dtype),_=a.dataIdMap.get(b.dataId).id,y=a.makeOutput([4],"int32"),g=a.dataIdMap.get(y.dataId).id;Bt(m,i[s.dtype],s.shape[0],f,h,_,g,n,0);const w=a.readSync(y.dataId);let k;switch(w[0]){case 0:k=t.backend_util.getSparseSegmentReductionNegativeSegmentIdsErrorMessage();break;case 1:k=t.backend_util.getSparseSegmentReductionNonIncreasingSegmentIdsErrorMessage();break;case 2:k=t.backend_util.getSparseSegmentReductionSegmentIdOutOfRangeErrorMessage(w[1],w[2]);break;case 3:k=t.backend_util.getSparseSegmentReductionIndicesOutOfRangeErrorMessage(w[1],w[2],w[3]);break;default:k=""}if(a.disposeData(y.dataId),k)throw a.disposeData(b.dataId),new Error(k);return b}const Vt={kernelName:t.SparseSegmentMean,backendName:"wasm",setupFunc:qt,kernelFunc:function(e){return Ut(e,!0)}};const Gt={kernelName:t.SparseSegmentSum,backendName:"wasm",setupFunc:qt,kernelFunc:function(e){return Ut(e,!1)}};const $t={kernelName:t.SplitV,backendName:"wasm",kernelFunc:function(e){const{inputs:n,attrs:a,backend:r}=e,{x:s}=n,{numOrSizeSplits:u,axis:i}=a,o=t.util.parseAxisParam(i,s.shape)[0],d=t.backend_util.prepareSplitSize(s,u,o),l=new Array(s.shape.length).fill(0),p=s.shape.slice();return d.map((e=>{const t=[...p];t[o]=e;const n=P({inputs:{x:s},attrs:{begin:l,size:t},backend:r});return l[o]+=e,n}))}},Kt=p(t.Sqrt),Qt=p(t.Square),Xt=m(t.SquaredDifference);let Zt;const Yt={kernelName:t.Step,backendName:"wasm",setupFunc:function(e){Zt=e.wasm.cwrap(t.Step,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:n,attrs:a}=e,{alpha:r}=a,{x:s}=n,u=t.dataIdMap.get(s.dataId).id,o=t.makeOutput(s.shape,s.dtype),d=t.dataIdMap.get(o.dataId).id;return Zt(u,r,i[s.dtype],d),o}};let Jt;const en={kernelName:t.StridedSlice,backendName:"wasm",setupFunc:function(e){Jt=e.wasm.cwrap(t.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{begin:u,end:i,strides:o,beginMask:d,endMask:l,ellipsisMask:p,newAxisMask:c,shrinkAxisMask:m}=r,{finalShapeSparse:f,finalShape:h,isIdentity:b,sliceDim0:_,isSimpleSlice:y,begin:g,end:w,strides:k}=t.slice_util.sliceInfo(s.shape,u,i,o,d,l,p,c,m);let I;if(b)I=R({inputs:{x:s},backend:n,attrs:{shape:h}});else if(_||y){t.util.assert(s.shape.length>=1,(()=>`Input must have rank at least 1, got: ${s.shape.length}`));const e=t.slice_util.computeOutShape(g,w,k),a=P({inputs:{x:s},backend:n,attrs:{begin:g,size:e}});I=R({inputs:{x:a},backend:n,attrs:{shape:h}}),n.disposeData(a.dataId)}else{const e=n.makeOutput(f,"float32"),a=n.dataIdMap.get(s.dataId).id,r=new Uint8Array(new Int32Array(t.util.computeStrides(s.shape)).buffer),u=new Uint8Array(new Int32Array(g).buffer),i=new Uint8Array(new Int32Array(w).buffer),o=new Uint8Array(new Int32Array(k).buffer),d=new Uint8Array(new Int32Array(f).buffer),l=new Uint8Array(new Int32Array(t.util.computeStrides(f)).buffer),p=n.dataIdMap.get(e.dataId).id;Jt(a,r,s.shape.length,u,i,o,d,l,f.length,p),I=R({inputs:{x:e},backend:n,attrs:{shape:h}}),n.disposeData(e.dataId)}return I}},tn=m(t.Sub);let nn;const an={kernelName:t.Sum,backendName:"wasm",setupFunc:function(e){nn=e.wasm.cwrap(t.Sum,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s,keepDims:u}=r,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let l=d,p=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=I(o,s,n);let b=m;if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(p=c,l=e,b=t.backend_util.getInnerMostAxes(b.length,p.shape.length))}t.backend_util.assertAxesAreInnerMostDims("sum",b,p.shape.length);const[_,y]=t.backend_util.computeOutAndReduceShapes(p.shape,b),g=t.util.sizeFromShape(y),w=n.makeOutput(_,p.dtype);if(0!==t.util.sizeFromShape(p.shape)){const e=n.dataIdMap.get(w.dataId).id;nn(l,g,i[w.dtype],e)}if(h&&n.disposeData(c.dataId),u){const e=t.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},rn=p(t.Tan),sn=p(t.Tanh);let un;const on={kernelName:t.Tile,backendName:"wasm",setupFunc:function(e){un=e.wasm.cwrap(t.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{x:r}=t,s=n.dataIdMap.get(r.dataId).id,{reps:u}=a,o=new Array(r.shape.length);for(let e=0;e<o.length;e++)o[e]=r.shape[e]*u[e];const d=new Uint8Array(new Int32Array(r.shape).buffer),l=new Uint8Array(new Int32Array(o).buffer),p=n.makeOutput(o,r.dtype),c=n.dataIdMap.get(p.dataId).id;return un(s,d,r.shape.length,l,o.length,i[p.dtype],c),p}};let dn;const ln={kernelName:t.TopK,backendName:"wasm",setupFunc:function(e){dn=e.wasm.cwrap(t.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:t,attrs:n})=>{const{x:a}=e,{k:r,sorted:s}=n,u=t.dataIdMap.get(a.dataId).id,o=new Uint8Array(new Int32Array(a.shape).buffer),d=a.shape.slice();d[d.length-1]=r;const l=t.makeOutput(d,a.dtype),p=t.dataIdMap.get(l.dataId).id,c=t.makeOutput(d,"int32"),m=t.dataIdMap.get(c.dataId).id;return dn(u,o,a.shape.length,i[a.dtype],r,s,p,m),[l,c]}};let pn;const cn={kernelName:t.Transform,backendName:"wasm",setupFunc:function(e){pn=e.wasm.cwrap(t.Transform,null,["number","number","bool","number","number","number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{image:s,transforms:u}=a,{interpolation:i,fillMode:o,fillValue:d,outputShape:l}=r,[p,c,m,f]=s.shape,[h,b]=null!=l?l:[c,m],_=[p,h,b,f],y=new Uint8Array(new Int32Array(t.util.computeStrides(s.shape)).buffer),g=n.makeOutput(_,s.dtype),w=n.dataIdMap.get(g.dataId).id,k=n.dataIdMap.get(s.dataId).id,I=n.dataIdMap.get(u.dataId).id,S="nearest"===i?1:2;let v;switch(o){case"constant":v=1;break;case"reflect":v=2;break;case"wrap":v=3;break;case"nearest":v=4;break;default:v=1}return pn(k,I,u.shape[0]>1,p,h,b,f,m,c,y,s.shape.length-1,S,v,d,w),g}};const mn={kernelName:t.Unpack,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:n,attrs:a}=e,{value:r}=t;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],i=r.shape.length,o=new Array(i-1);let d=0;for(let e=0;e<i;e++)e!==s&&(o[d++]=r.shape[e]);const l=new Array(u),p=new Array(i).fill(0),c=r.shape.slice();c[s]=1;for(let e=0;e<l.length;e++)p[s]=e,l[e]=P({inputs:{x:r},attrs:{begin:p,size:c},backend:n});return l.map((({dataId:e,dtype:t})=>({dataId:e,dtype:t,shape:o})))}};const fn={kernelName:t.ZerosLike,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:n}=e,a=n.makeOutput(t.shape,t.dtype);return n.typedArrayFromHeap(a).fill(0),a}},hn=[l,c,f,b,v,x,F,E,T,j,L,H,q,V,$,Q,X,Z,ee,ne,re,ue,ie,oe,de,pe,me,he,be,_e,ge,ke,Se,Me,Ae,Fe,Ne,y,Re,Ce,De,Te,Oe,We,je,Le,Be,Ue,Ve,Ke,Qe,Xe,Je,tt,at,rt,ut,it,ot,lt,pt,mt,ht,bt,_t,yt,gt,C,kt,St,Mt,xt,At,Nt,Rt,Dt,Tt,W,Pt,Wt,zt,Ht,Vt,Gt,$t,Kt,Qt,Xt,Yt,en,tn,an,rn,sn,on,ln,cn,k,mn,fn];for(const e of hn)t.registerKernel(e);const bn=t.env();bn.registerFlag("WASM_HAS_SIMD_SUPPORT",(async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])))),bn.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",(async()=>{if(bn.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}}));var _n="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function yn(e,t){return e(t={exports:{}},t.exports),t.exports}var gn=yn((function(e,t){var i,o=(i="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(i=i||__filename),function(e){function t(){return O.buffer!=q&&Y(O.buffer),U}function o(){return O.buffer!=q&&Y(O.buffer),V}function d(){return O.buffer!=q&&Y(O.buffer),G}function l(){return O.buffer!=q&&Y(O.buffer),$}var p,c,m,f="undefined"!=typeof(e=e||{})?e:{};f.ready=new Promise((function(e,t){p=e,c=t})),"undefined"!=typeof process&&process.listeners&&(m={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var h,b,_,y,g,w,k=Object.assign({},f),I=(e,t)=>{throw t},S="object"==typeof window,v="function"==typeof importScripts,M="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,x=f.ENVIRONMENT_IS_PTHREAD||!1,A="";function F(e){return f.locateFile?f.locateFile(e,A):A+e}if(M){let e;A=v?n.dirname(A)+"/":__dirname+"/",w=()=>{g||(y=a,g=n)},h=function(e,t){return w(),e=g.normalize(e),y.readFileSync(e,t?void 0:"utf8")},_=e=>{var t=h(e,!0);return t.buffer||(t=new Uint8Array(t)),t},b=(e,t,n)=>{w(),e=g.normalize(e),y.readFile(e,(function(e,a){e?n(e):t(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof dt))throw e})),process.on("unhandledRejection",(function(e){throw e})),I=(e,t)=>{if(re())throw process.exitCode=e,t;var n;(n=t)instanceof dt||D("exiting due to exception: "+n),process.exit(e)},f.inspect=function(){return"[Emscripten Module object]"};try{e=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}_n.Worker=e.Worker}else(S||v)&&(v?A=self.location.href:"undefined"!=typeof document&&document.currentScript&&(A=document.currentScript.src),"undefined"!=typeof i&&i&&(A=i),A=0!==A.indexOf("blob:")?A.substr(0,A.replace(/[?#].*/,"").lastIndexOf("/")+1):"",M||(h=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},v&&(_=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}),b=(e,t,n)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?t(a.response):n()},a.onerror=n,a.send(null)}));M&&"undefined"==typeof performance&&(_n.performance=s.performance);var N=console.log.bind(console),E=console.warn.bind(console);M&&(w(),N=e=>y.writeSync(1,e+"\n"),E=e=>y.writeSync(2,e+"\n"));var R,C=f.print||N,D=f.printErr||E;function T(e){T.shown||(T.shown={}),T.shown[e]||(T.shown[e]=1,D(e))}Object.assign(f,k),k=null,f.arguments&&f.arguments,f.thisProgram&&f.thisProgram,f.quit&&(I=f.quit),f.wasmBinary&&(R=f.wasmBinary);var O,P,W=f.noExitRuntime||!0;"object"!=typeof WebAssembly&&de("no native wasm support detected");var j,z=!1;function L(e){return f["_"+e]}function H(e,n,a,r,s){var u={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);Z(e,t=it(n),n)}return t},array:function(e){var n=it(e.length);return function(e,n){t().set(e,n)}(e,n),n}},i=L(e),o=[],d=0;if(r)for(var l=0;l<r.length;l++){var p=u[a[l]];p?(0===d&&(d=st()),o[l]=p(r[l])):o[l]=r[l]}var c=i.apply(null,o);return c=function(e){return 0!==d&&ut(d),function(e){return"string"===n?X(e):"boolean"===n?Boolean(e):e}(e)}(c)}function B(e){var t=new TextDecoder(e);this.decode=e=>(e.buffer instanceof SharedArrayBuffer&&(e=new Uint8Array(e)),t.decode.call(t,e))}var q,U,V,G,$,K="undefined"!=typeof TextDecoder?new B("utf8"):void 0;function Q(e,t,n){for(var a=t+n,r=t;e[r]&&!(r>=a);)++r;if(r-t>16&&e.subarray&&K)return K.decode(e.subarray(t,r));for(var s="";t<r;){var u=e[t++];if(128&u){var i=63&e[t++];if(192!=(224&u)){var o=63&e[t++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[t++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function X(e,t){return e?Q(o(),e,t):""}function Z(e,t,n){return function(e,t,n,a){if(!(a>0))return 0;for(var r=n,s=n+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(n>=s)break;t[n++]=i}else if(i<=2047){if(n+1>=s)break;t[n++]=192|i>>6,t[n++]=128|63&i}else if(i<=65535){if(n+2>=s)break;t[n++]=224|i>>12,t[n++]=128|i>>6&63,t[n++]=128|63&i}else{if(n+3>=s)break;t[n++]=240|i>>18,t[n++]=128|i>>12&63,t[n++]=128|i>>6&63,t[n++]=128|63&i}}return t[n]=0,n-r}(e,o(),t,n)}function Y(e){q=e,f.HEAP8=U=new Int8Array(e),f.HEAP16=new Int16Array(e),f.HEAP32=G=new Int32Array(e),f.HEAPU8=V=new Uint8Array(e),f.HEAPU16=new Uint16Array(e),f.HEAPU32=new Uint32Array(e),f.HEAPF32=new Float32Array(e),f.HEAPF64=$=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new B("utf-16le"),x&&(q=f.buffer);var J,ee=f.INITIAL_MEMORY||16777216;if(x)O=f.wasmMemory,q=f.buffer;else if(f.wasmMemory)O=f.wasmMemory;else if(!((O=new WebAssembly.Memory({initial:ee/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw D("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),M&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");O&&(q=O.buffer),ee=q.byteLength,Y(q);var te=[],ne=[],ae=[];function re(){return W||!1}function se(){x||fe(ne)}var ue,ie=0,oe=null;function de(e){x?postMessage({cmd:"onAbort",arg:e}):f.onAbort&&f.onAbort(e),D(e="Aborted("+e+")"),z=!0,j=1,e+=". Build with -s ASSERTIONS=1 for more info.";var t=new WebAssembly.RuntimeError(e);throw c(t),t}function le(e){return e.startsWith("data:application/octet-stream;base64,")}function pe(e){return e.startsWith("file://")}function ce(e){try{if(e==ue&&R)return new Uint8Array(R);if(_)return _(e);throw"both async and sync fetching of the wasm failed"}catch(e){de(e)}}f.preloadedImages={},f.preloadedAudios={},le(ue="tfjs-backend-wasm-threaded-simd.wasm")||(ue=F(ue));var me={};function fe(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?Ie(n)():Ie(n)(t.arg):n(void 0===t.arg?null:t.arg)}else t(f)}}function he(e){var t=st(),n=e();return ut(t),n}function be(e){var t=ye.pthreads[e];if(t){d()[e>>2]=0;var n=t.worker;ye.returnWorkerToPool(n)}}function _e(e){!function(e,t){if(j=e,!t&&x)throw ge(e),"unwind";var n;re()||x||ye.terminateAllThreads(),j=n=e,re()||(ye.terminateAllThreads(),f.onExit&&f.onExit(n),z=!0),I(n,new dt(n))}(e)}var ye={unusedWorkers:[],runningWorkers:[],tlsInitFunctions:[],init:function(){x?ye.initWorker():ye.initMainThread()},initMainThread:function(){for(var e=0;e<8;++e)ye.allocateUnusedWorker()},initWorker:function(){W=!1},pthreads:{},setExitStatus:function(e){j=e},terminateAllThreads:function(){for(var e in ye.pthreads){var t=ye.pthreads[e];t&&t.worker&&ye.returnWorkerToPool(t.worker)}for(var n=0;n<ye.unusedWorkers.length;++n)ye.unusedWorkers[n].terminate();ye.unusedWorkers=[]},returnWorkerToPool:function(e){ye.runWithoutMainThreadQueuedCalls((function(){delete ye.pthreads[e.pthread.threadInfoStruct],ye.unusedWorkers.push(e),ye.runningWorkers.splice(ye.runningWorkers.indexOf(e),1),at(e.pthread.threadInfoStruct),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){d()[ot>>2]=0;try{e()}finally{d()[ot>>2]=1}},receiveObjectTransfer:function(e){},threadInit:function(){for(var e in ye.tlsInitFunctions)ye.tlsInitFunctions[e]()},loadWasmModuleToWorker:function(e,t){e.onmessage=n=>{var a,r=n.data,s=r.cmd;if(e.pthread&&(ye.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),r.targetThread&&r.targetThread!=Ze()){var u=ye.pthreads[r.targetThread];return u?u.worker.postMessage(r,r.transferList):D('Internal error! Worker sent a message "'+s+'" to target pthread '+r.targetThread+", but that thread no longer exists!"),void(ye.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===s?Ye():"spawnThread"===s?ve(r):"cleanupThread"===s?be(r.thread):"killThread"===s?function(e){d()[e>>2]=0;var t=ye.pthreads[e];delete ye.pthreads[e],t.worker.terminate(),at(e),ye.runningWorkers.splice(ye.runningWorkers.indexOf(t.worker),1),t.worker.pthread=void 0}(r.thread):"cancelThread"===s?(a=r.thread,ye.pthreads[a].worker.postMessage({cmd:"cancel"})):"loaded"===s?(e.loaded=!0,t&&t(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===s?C("Thread "+r.threadId+": "+r.text):"printErr"===s?D("Thread "+r.threadId+": "+r.text):"alert"===s?alert("Thread "+r.threadId+": "+r.text):"setimmediate"===r.target?e.postMessage(r):"onAbort"===s?f.onAbort&&f.onAbort(r.arg):D("worker sent an unknown command "+s),ye.currentProxiedOperationCallerThread=void 0},e.onerror=e=>{throw D("worker sent an error! "+e.filename+":"+e.lineno+": "+e.message),e},M&&(e.on("message",(function(t){e.onmessage({data:t})})),e.on("error",(function(t){e.onerror(t)})),e.on("detachedExit",(function(){}))),e.postMessage({cmd:"load",urlOrBlob:f.mainScriptUrlOrBlob||i,wasmMemory:O,wasmModule:P})},allocateUnusedWorker:function(){var e=F("tfjs-backend-wasm-threaded-simd.worker.js");ye.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==ye.unusedWorkers.length&&(ye.allocateUnusedWorker(),ye.loadWasmModuleToWorker(ye.unusedWorkers[0])),ye.unusedWorkers.pop()}};function ge(e){if(x)return xe(1,0,e);try{_e(e)}catch(e){!function(e){if(e instanceof dt||"unwind"==e)return j;I(1,e)}(e)}}f.establishStackSpace=function(){var e=Ze(),t=d()[e+44>>2],n=d()[e+48>>2];rt(t,t-n),ut(t)};var we,ke=[];function Ie(e){var t=ke[e];return t||(e>=ke.length&&(ke.length=e+1),ke[e]=t=J.get(e)),t}function Se(e,t){var n,a;if(0===e)n=Date.now();else{if(1!==e&&4!==e)return a=28,d()[Xe()>>2]=a,-1;n=we()}return d()[t>>2]=n/1e3|0,d()[t+4>>2]=n%1e3*1e3*1e3|0,0}function ve(e){var t=ye.getNewWorker();if(!t)return 6;ye.runningWorkers.push(t);var n=ye.pthreads[e.pthread_ptr]={worker:t,threadInfoStruct:e.pthread_ptr};t.pthread=n;var a={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr};return t.runPthread=()=>{a.time=performance.now(),t.postMessage(a,e.transferList)},t.loaded&&(t.runPthread(),delete t.runPthread),0}function Me(){return 2147483648}function xe(e,t){var n=arguments.length-2,a=arguments;return he((function(){for(var r=n,s=it(8*r),u=s>>3,i=0;i<n;i++){var o=a[2+i];l()[u+i]=o}return tt(e,r,s,t)}))}f.invokeEntryPoint=function(e,t){return Ie(e)(t)},we=M?()=>{var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:x?()=>performance.now()-f.__performance_now_clock_drift:()=>performance.now();var Ae=[];function Fe(e){try{return O.grow(e-q.byteLength+65535>>>16),Y(O.buffer),1}catch(e){}}var Ne={inEventHandler:0,removeAllEventListeners:function(){for(var e=Ne.eventHandlers.length-1;e>=0;--e)Ne._removeHandler(e);Ne.eventHandlers=[],Ne.deferredCalls=[]},registerRemoveEventListeners:function(){Ne.removeEventListenersRegistered||(Ne.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,t,n){function a(e,t){if(e.length!=t.length)return!1;for(var n in e)if(e[n]!=t[n])return!1;return!0}for(var r in Ne.deferredCalls){var s=Ne.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,n))return}Ne.deferredCalls.push({targetFunction:e,precedence:t,argsList:n}),Ne.deferredCalls.sort((function(e,t){return e.precedence<t.precedence}))},removeDeferredCalls:function(e){for(var t=0;t<Ne.deferredCalls.length;++t)Ne.deferredCalls[t].targetFunction==e&&(Ne.deferredCalls.splice(t,1),--t)},canPerformEventHandlerRequests:function(){return Ne.inEventHandler&&Ne.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(Ne.canPerformEventHandlerRequests())for(var e=0;e<Ne.deferredCalls.length;++e){var t=Ne.deferredCalls[e];Ne.deferredCalls.splice(e,1),--e,t.targetFunction.apply(null,t.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,t){for(var n=0;n<Ne.eventHandlers.length;++n)Ne.eventHandlers[n].target!=e||t&&t!=Ne.eventHandlers[n].eventTypeString||Ne._removeHandler(n--)},_removeHandler:function(e){var t=Ne.eventHandlers[e];t.target.removeEventListener(t.eventTypeString,t.eventListenerFunc,t.useCapture),Ne.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var t=function(t){++Ne.inEventHandler,Ne.currentEventHandler=e,Ne.runDeferredCalls(),e.handlerFunc(t),Ne.runDeferredCalls(),--Ne.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=t,e.target.addEventListener(e.eventTypeString,t,e.useCapture),Ne.eventHandlers.push(e),Ne.registerRemoveEventListeners();else for(var n=0;n<Ne.eventHandlers.length;++n)Ne.eventHandlers[n].target==e.target&&Ne.eventHandlers[n].eventTypeString==e.eventTypeString&&Ne._removeHandler(n--)},queueEventHandlerOnThread_iiii:function(e,t,n,a,r){he((function(){var s=it(12);d()[s>>2]=n,d()[s+4>>2]=a,d()[s+8>>2]=r,nt(e,637534208,t,a,s)}))},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return ye.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function Ee(e,t,n,a){he((function(){var r,s,u,i=it(12),o=0;t&&(s=function(e){for(var t=0,n=0;n<e.length;++n){var a=e.charCodeAt(n);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++n)),a<=127?++t:t+=a<=2047?2:a<=65535?3:4}return t}(r=t)+1,u=Ke(s),Z(r,u,s),o=u),d()[i>>2]=o,d()[i+4>>2]=n,d()[i+8>>2]=a,nt(e,657457152,0,o,i)}))}var Re=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function Ce(e){var t;return e=(t=e)>2?X(t):t,Re[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function De(e){return Ce(e)}function Te(e,t,n){var a=De(e);if(!a)return-4;if(a.canvasSharedPtr&&(d()[a.canvasSharedPtr>>2]=t,d()[a.canvasSharedPtr+4>>2]=n),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(function(e,t,n,a){Ee(e,t=t?X(t):"",n,a)}(d()[a.canvasSharedPtr+8>>2],e,t,n),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var s=a.GLctxObject.GLctx.getParameter(2978);r=0===s[0]&&0===s[1]&&s[2]===a.width&&s[3]===a.height}return a.width=t,a.height=n,r&&a.GLctxObject.GLctx.viewport(0,0,t,n),0}function Oe(e,t,n){return x?xe(2,1,e,t,n):Te(e,t,n)}var Pe,We={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},queries:[],stringCache:{},unpackAlignment:4,recordError:function(e){We.lastError||(We.lastError=e)},getNewId:function(e){for(var t=We.counter++,n=e.length;n<t;n++)e[n]=null;return t},getSource:function(e,t,n,a){for(var r="",s=0;s<t;++s){var u=a?d()[a+4*s>>2]:-1;r+=X(d()[n+4*s>>2],u<0?void 0:u)}return r},createContext:function(e,t){e.getContextSafariWebGL2Fixed||(e.getContextSafariWebGL2Fixed=e.getContext,e.getContext=function(t,n){var a=e.getContextSafariWebGL2Fixed(t,n);return"webgl"==t==a instanceof WebGLRenderingContext?a:null});var n=e.getContext("webgl",t);return n?We.registerContext(n,t):0},registerContext:function(e,t){var n=Ke(8);d()[n+4>>2]=Ze();var a={handle:n,attributes:t,version:t.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),We.contexts[n]=a,("undefined"==typeof t.enableExtensionsByDefault||t.enableExtensionsByDefault)&&We.initExtensions(a),n},makeContextCurrent:function(e){return We.currentContext=We.contexts[e],f.ctx=Pe=We.currentContext&&We.currentContext.GLctx,!(e&&!Pe)},getContext:function(e){return We.contexts[e]},deleteContext:function(e){We.currentContext===We.contexts[e]&&(We.currentContext=null),"object"==typeof Ne&&Ne.removeAllHandlersOnTarget(We.contexts[e].GLctx.canvas),We.contexts[e]&&We.contexts[e].GLctx.canvas&&(We.contexts[e].GLctx.canvas.GLctxObject=void 0),Qe(We.contexts[e].handle),We.contexts[e]=null},initExtensions:function(e){if(e||(e=We.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var t,n=e.GLctx;!function(e){var t=e.getExtension("ANGLE_instanced_arrays");t&&(e.vertexAttribDivisor=function(e,n){t.vertexAttribDivisorANGLE(e,n)},e.drawArraysInstanced=function(e,n,a,r){t.drawArraysInstancedANGLE(e,n,a,r)},e.drawElementsInstanced=function(e,n,a,r,s){t.drawElementsInstancedANGLE(e,n,a,r,s)})}(n),function(e){var t=e.getExtension("OES_vertex_array_object");t&&(e.createVertexArray=function(){return t.createVertexArrayOES()},e.deleteVertexArray=function(e){t.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){t.bindVertexArrayOES(e)},e.isVertexArray=function(e){return t.isVertexArrayOES(e)})}(n),function(e){var t=e.getExtension("WEBGL_draw_buffers");t&&(e.drawBuffers=function(e,n){t.drawBuffersWEBGL(e,n)})}(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query"),(t=n).multiDrawWebgl=t.getExtension("WEBGL_multi_draw"),(n.getSupportedExtensions()||[]).forEach((function(e){e.includes("lose_context")||e.includes("debug")||n.getExtension(e)}))}}},je=["default","low-power","high-performance"],ze={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=ze.buffers[e];0===t||10===t?((1===e?C:D)(Q(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return ze.varargs+=4,d()[ze.varargs-4>>2]},getStr:function(e){return X(e)},get64:function(e,t){return e}};function Le(e){return x?xe(3,1,e):0}function He(e,t,n,a,r){if(x)return xe(4,1,e,t,n,a,r)}function Be(e,t,n,a){if(x)return xe(5,1,e,t,n,a);for(var r=0,s=0;s<n;s++){var u=d()[t>>2],i=d()[t+4>>2];t+=8;for(var l=0;l<i;l++)ze.printChar(e,o()[u+l]);r+=i}return d()[a>>2]=r,0}ye.init();var qe,Ue,Ve,Ge=[null,ge,Oe,Le,He,Be],$e={__clock_gettime:function(e,t){return Se(e,t)},__emscripten_init_main_thread_js:function(e){Je(e,!v,1,!S),ye.threadInit()},__emscripten_thread_cleanup:function(e){x?postMessage({cmd:"cleanupThread",thread:e}):be(e)},__pthread_create_js:function(e,t,n,a){if("undefined"==typeof SharedArrayBuffer)return D("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;var r=[];if(x&&0===r.length)return et(687865856,e,t,n,a);var s={startRoutine:n,pthread_ptr:e,arg:a,transferList:r};return x?(s.cmd="spawnThread",postMessage(s,r),0):ve(s)},_emscripten_default_pthread_stack_size:function(){return 2097152},_emscripten_notify_thread_queue:function(e,t){if(e==t)postMessage({cmd:"processQueuedMainThreadWork"});else if(x)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var n=ye.pthreads[e],a=n&&n.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1},abort:function(){de("")},emscripten_check_blocking_allowed:function(){M||v||T("Blocking on the main thread is very dangerous, see https://emscripten.org/docs/porting/pthreads.html#blocking-on-the-main-browser-thread")},emscripten_get_heap_max:Me,emscripten_get_now:we,emscripten_memcpy_big:function(e,t,n){o().copyWithin(e,t,t+n)},emscripten_num_logical_cores:function(){return M?u.cpus().length:navigator.hardwareConcurrency},emscripten_receive_on_main_thread_js:function(e,t,n){Ae.length=t;for(var a=n>>3,r=0;r<t;r++)Ae[r]=l()[a+r];return(e<0?me[-e-1]:Ge[e]).apply(null,Ae)},emscripten_resize_heap:function(e){var t=o().length;if((e>>>=0)<=t)return!1;var n,a,r=2147483648;if(e>r)return!1;for(var s=1;s<=4;s*=2){var u=t*(1+.2/s);if(u=Math.min(u,e+100663296),Fe(Math.min(r,((n=Math.max(e,u))%(a=65536)>0&&(n+=a-n%a),n))))return!0}return!1},emscripten_set_canvas_element_size:function(e,t,n){return De(e)?Te(e,t,n):Oe(e,t,n)},emscripten_unwind_to_js_event_loop:function(){throw"unwind"},emscripten_webgl_create_context:function(e,t){return n=e,a=t>>2,r=d()[a+6],s={alpha:!!d()[a+0],depth:!!d()[a+1],stencil:!!d()[a+2],antialias:!!d()[a+3],premultipliedAlpha:!!d()[a+4],preserveDrawingBuffer:!!d()[a+5],powerPreference:je[r],failIfMajorPerformanceCaveat:!!d()[a+7],majorVersion:d()[a+8],minorVersion:d()[a+9],enableExtensionsByDefault:d()[a+10],explicitSwapControl:d()[a+11],proxyContextToMainThread:d()[a+12],renderViaOffscreenBackBuffer:d()[a+13]},(u=De(n))?s.explicitSwapControl?0:We.createContext(u,s):0;var n,a,r,s,u},exit:_e,fd_close:Le,fd_seek:He,fd_write:Be,memory:O||f.wasmMemory,setTempRet0:function(e){}},Ke=(function(){var e={env:$e,wasi_snapshot_preview1:$e};function t(e,t){var n,a,r=e.exports;if(f.asm=r,n=f.asm.emscripten_tls_init,ye.tlsInitFunctions.push(n),J=f.asm.__indirect_function_table,a=f.asm.__wasm_call_ctors,ne.unshift(a),P=t,!x){var s=ye.unusedWorkers.length;ye.unusedWorkers.forEach((function(e){ye.loadWasmModuleToWorker(e,(function(){--s||function(e){if(ie--,f.monitorRunDependencies&&f.monitorRunDependencies(ie),0==ie&&oe){var t=oe;oe=null,t()}}()}))}))}}function n(e){t(e.instance,e.module)}function a(t){return function(){if(!R&&(S||v)){if("function"==typeof fetch&&!pe(ue))return fetch(ue,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ue+"'";return e.arrayBuffer()})).catch((function(){return ce(ue)}));if(b)return new Promise((function(e,t){b(ue,(function(t){e(new Uint8Array(t))}),t)}))}return Promise.resolve().then((function(){return ce(ue)}))}().then((function(t){return WebAssembly.instantiate(t,e)})).then((function(e){return e})).then(t,(function(e){D("failed to asynchronously prepare wasm: "+e),de(e)}))}if(x||(ie++,f.monitorRunDependencies&&f.monitorRunDependencies(ie)),f.instantiateWasm)try{return f.instantiateWasm(e,t)}catch(e){return D("Module.instantiateWasm callback failed with error: "+e),!1}(R||"function"!=typeof WebAssembly.instantiateStreaming||le(ue)||pe(ue)||"function"!=typeof fetch?a(n):fetch(ue,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){return D("wasm streaming compile failed: "+e),D("falling back to ArrayBuffer instantiation"),a(n)}))}))).catch(c)}(),f.___wasm_call_ctors=function(){return(f.___wasm_call_ctors=f.asm.__wasm_call_ctors).apply(null,arguments)},f._init=function(){return(f._init=f.asm.init).apply(null,arguments)},f._init_with_threads_count=function(){return(f._init_with_threads_count=f.asm.init_with_threads_count).apply(null,arguments)},f._get_threads_count=function(){return(f._get_threads_count=f.asm.get_threads_count).apply(null,arguments)},f._register_tensor=function(){return(f._register_tensor=f.asm.register_tensor).apply(null,arguments)},f._dispose_data=function(){return(f._dispose_data=f.asm.dispose_data).apply(null,arguments)},f._dispose=function(){return(f._dispose=f.asm.dispose).apply(null,arguments)},f._Abs=function(){return(f._Abs=f.asm.Abs).apply(null,arguments)},f._Add=function(){return(f._Add=f.asm.Add).apply(null,arguments)},f._AddN=function(){return(f._AddN=f.asm.AddN).apply(null,arguments)},f._All=function(){return(f._All=f.asm.All).apply(null,arguments)},f._Any=function(){return(f._Any=f.asm.Any).apply(null,arguments)},f._ArgMax=function(){return(f._ArgMax=f.asm.ArgMax).apply(null,arguments)},f._AvgPool=function(){return(f._AvgPool=f.asm.AvgPool).apply(null,arguments)},f._BatchMatMul=function(){return(f._BatchMatMul=f.asm.BatchMatMul).apply(null,arguments)},f._Ceil=function(){return(f._Ceil=f.asm.Ceil).apply(null,arguments)},f._ClipByValue=function(){return(f._ClipByValue=f.asm.ClipByValue).apply(null,arguments)},f._Conv2D=function(){return(f._Conv2D=f.asm.Conv2D).apply(null,arguments)},f._Conv2DBackpropInput=function(){return(f._Conv2DBackpropInput=f.asm.Conv2DBackpropInput).apply(null,arguments)},f._Cos=function(){return(f._Cos=f.asm.Cos).apply(null,arguments)},f._Cosh=function(){return(f._Cosh=f.asm.Cosh).apply(null,arguments)},f._CropAndResize=function(){return(f._CropAndResize=f.asm.CropAndResize).apply(null,arguments)},f._Cumsum=function(){return(f._Cumsum=f.asm.Cumsum).apply(null,arguments)},f._DepthToSpace=function(){return(f._DepthToSpace=f.asm.DepthToSpace).apply(null,arguments)},f._DepthwiseConv2dNative=function(){return(f._DepthwiseConv2dNative=f.asm.DepthwiseConv2dNative).apply(null,arguments)},f._Elu=function(){return(f._Elu=f.asm.Elu).apply(null,arguments)},f._Equal=function(){return(f._Equal=f.asm.Equal).apply(null,arguments)},f._Exp=function(){return(f._Exp=f.asm.Exp).apply(null,arguments)},f._FlipLeftRight=function(){return(f._FlipLeftRight=f.asm.FlipLeftRight).apply(null,arguments)},f._Floor=function(){return(f._Floor=f.asm.Floor).apply(null,arguments)},f._FloorDiv=function(){return(f._FloorDiv=f.asm.FloorDiv).apply(null,arguments)},f._FusedBatchNorm=function(){return(f._FusedBatchNorm=f.asm.FusedBatchNorm).apply(null,arguments)},f._FusedConv2D=function(){return(f._FusedConv2D=f.asm.FusedConv2D).apply(null,arguments)},f._FusedDepthwiseConv2D=function(){return(f._FusedDepthwiseConv2D=f.asm.FusedDepthwiseConv2D).apply(null,arguments)},f._Gather=function(){return(f._Gather=f.asm.Gather).apply(null,arguments)},f._GatherNd=function(){return(f._GatherNd=f.asm.GatherNd).apply(null,arguments)},f._Greater=function(){return(f._Greater=f.asm.Greater).apply(null,arguments)},f._GreaterEqual=function(){return(f._GreaterEqual=f.asm.GreaterEqual).apply(null,arguments)},f._LeakyRelu=function(){return(f._LeakyRelu=f.asm.LeakyRelu).apply(null,arguments)},f._Less=function(){return(f._Less=f.asm.Less).apply(null,arguments)},f._LessEqual=function(){return(f._LessEqual=f.asm.LessEqual).apply(null,arguments)},f._Log=function(){return(f._Log=f.asm.Log).apply(null,arguments)},f._LogicalAnd=function(){return(f._LogicalAnd=f.asm.LogicalAnd).apply(null,arguments)},f._Max=function(){return(f._Max=f.asm.Max).apply(null,arguments)},f._MaxPool=function(){return(f._MaxPool=f.asm.MaxPool).apply(null,arguments)},f._Maximum=function(){return(f._Maximum=f.asm.Maximum).apply(null,arguments)},f._Mean=function(){return(f._Mean=f.asm.Mean).apply(null,arguments)},f._Min=function(){return(f._Min=f.asm.Min).apply(null,arguments)},f._Minimum=function(){return(f._Minimum=f.asm.Minimum).apply(null,arguments)},f._MirrorPad=function(){return(f._MirrorPad=f.asm.MirrorPad).apply(null,arguments)},f._Multiply=function(){return(f._Multiply=f.asm.Multiply).apply(null,arguments)},f._Neg=function(){return(f._Neg=f.asm.Neg).apply(null,arguments)},f._NonMaxSuppressionV3=function(){return(f._NonMaxSuppressionV3=f.asm.NonMaxSuppressionV3).apply(null,arguments)},f._NonMaxSuppressionV4=function(){return(f._NonMaxSuppressionV4=f.asm.NonMaxSuppressionV4).apply(null,arguments)},f._NonMaxSuppressionV5=function(){return(f._NonMaxSuppressionV5=f.asm.NonMaxSuppressionV5).apply(null,arguments)},f._NotEqual=function(){return(f._NotEqual=f.asm.NotEqual).apply(null,arguments)},f._OneHot=function(){return(f._OneHot=f.asm.OneHot).apply(null,arguments)},f._PadV2=function(){return(f._PadV2=f.asm.PadV2).apply(null,arguments)},f._Pow=function(){return(f._Pow=f.asm.Pow).apply(null,arguments)},f._Prelu=function(){return(f._Prelu=f.asm.Prelu).apply(null,arguments)},f._Prod=function(){return(f._Prod=f.asm.Prod).apply(null,arguments)},f._RealDiv=function(){return(f._RealDiv=f.asm.RealDiv).apply(null,arguments)},f._Relu=function(){return(f._Relu=f.asm.Relu).apply(null,arguments)},f._Relu6=function(){return(f._Relu6=f.asm.Relu6).apply(null,arguments)},f._ResizeBilinear=function(){return(f._ResizeBilinear=f.asm.ResizeBilinear).apply(null,arguments)},f._Reverse=function(){return(f._Reverse=f.asm.Reverse).apply(null,arguments)},f._RotateWithOffset=function(){return(f._RotateWithOffset=f.asm.RotateWithOffset).apply(null,arguments)},f._Round=function(){return(f._Round=f.asm.Round).apply(null,arguments)},f._Rsqrt=function(){return(f._Rsqrt=f.asm.Rsqrt).apply(null,arguments)},f._ScatterNd=function(){return(f._ScatterNd=f.asm.ScatterNd).apply(null,arguments)},f._SelectV2=function(){return(f._SelectV2=f.asm.SelectV2).apply(null,arguments)},f._Sigmoid=function(){return(f._Sigmoid=f.asm.Sigmoid).apply(null,arguments)},f._Sin=function(){return(f._Sin=f.asm.Sin).apply(null,arguments)},f._Softmax=function(){return(f._Softmax=f.asm.Softmax).apply(null,arguments)},f._SparseFillEmptyRows=function(){return(f._SparseFillEmptyRows=f.asm.SparseFillEmptyRows).apply(null,arguments)},f._SparseReshape=function(){return(f._SparseReshape=f.asm.SparseReshape).apply(null,arguments)},f._SparseSegmentReduction=function(){return(f._SparseSegmentReduction=f.asm.SparseSegmentReduction).apply(null,arguments)},f._Sqrt=function(){return(f._Sqrt=f.asm.Sqrt).apply(null,arguments)},f._Square=function(){return(f._Square=f.asm.Square).apply(null,arguments)},f._SquaredDifference=function(){return(f._SquaredDifference=f.asm.SquaredDifference).apply(null,arguments)},f._Step=function(){return(f._Step=f.asm.Step).apply(null,arguments)},f._StridedSlice=function(){return(f._StridedSlice=f.asm.StridedSlice).apply(null,arguments)},f._Sub=function(){return(f._Sub=f.asm.Sub).apply(null,arguments)},f._Sum=function(){return(f._Sum=f.asm.Sum).apply(null,arguments)},f._Tan=function(){return(f._Tan=f.asm.Tan).apply(null,arguments)},f._Tanh=function(){return(f._Tanh=f.asm.Tanh).apply(null,arguments)},f._Tile=function(){return(f._Tile=f.asm.Tile).apply(null,arguments)},f._TopK=function(){return(f._TopK=f.asm.TopK).apply(null,arguments)},f._Transform=function(){return(f._Transform=f.asm.Transform).apply(null,arguments)},f._Transpose=function(){return(f._Transpose=f.asm.Transpose).apply(null,arguments)},f.__FusedMatMul=function(){return(f.__FusedMatMul=f.asm._FusedMatMul).apply(null,arguments)},f._malloc=function(){return(Ke=f._malloc=f.asm.malloc).apply(null,arguments)}),Qe=f._free=function(){return(Qe=f._free=f.asm.free).apply(null,arguments)},Xe=(f._emscripten_tls_init=function(){return(f._emscripten_tls_init=f.asm.emscripten_tls_init).apply(null,arguments)},f.___errno_location=function(){return(Xe=f.___errno_location=f.asm.__errno_location).apply(null,arguments)}),Ze=f._pthread_self=function(){return(Ze=f._pthread_self=f.asm.pthread_self).apply(null,arguments)},Ye=f._emscripten_main_thread_process_queued_calls=function(){return(Ye=f._emscripten_main_thread_process_queued_calls=f.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},Je=(f.__emscripten_thread_crashed=function(){return(f.__emscripten_thread_crashed=f.asm._emscripten_thread_crashed).apply(null,arguments)},f.__emscripten_thread_init=function(){return(Je=f.__emscripten_thread_init=f.asm._emscripten_thread_init).apply(null,arguments)}),et=(f._emscripten_current_thread_process_queued_calls=function(){return(f._emscripten_current_thread_process_queued_calls=f.asm.emscripten_current_thread_process_queued_calls).apply(null,arguments)},f._emscripten_main_browser_thread_id=function(){return(f._emscripten_main_browser_thread_id=f.asm.emscripten_main_browser_thread_id).apply(null,arguments)},f._emscripten_sync_run_in_main_thread_2=function(){return(f._emscripten_sync_run_in_main_thread_2=f.asm.emscripten_sync_run_in_main_thread_2).apply(null,arguments)},f._emscripten_sync_run_in_main_thread_4=function(){return(et=f._emscripten_sync_run_in_main_thread_4=f.asm.emscripten_sync_run_in_main_thread_4).apply(null,arguments)}),tt=f._emscripten_run_in_main_runtime_thread_js=function(){return(tt=f._emscripten_run_in_main_runtime_thread_js=f.asm.emscripten_run_in_main_runtime_thread_js).apply(null,arguments)},nt=f._emscripten_dispatch_to_thread_=function(){return(nt=f._emscripten_dispatch_to_thread_=f.asm.emscripten_dispatch_to_thread_).apply(null,arguments)},at=f.__emscripten_thread_free_data=function(){return(at=f.__emscripten_thread_free_data=f.asm._emscripten_thread_free_data).apply(null,arguments)},rt=(f.__emscripten_thread_exit=function(){return(f.__emscripten_thread_exit=f.asm._emscripten_thread_exit).apply(null,arguments)},f._memalign=function(){return(f._memalign=f.asm.memalign).apply(null,arguments)},f._emscripten_stack_set_limits=function(){return(rt=f._emscripten_stack_set_limits=f.asm.emscripten_stack_set_limits).apply(null,arguments)}),st=f.stackSave=function(){return(st=f.stackSave=f.asm.stackSave).apply(null,arguments)},ut=f.stackRestore=function(){return(ut=f.stackRestore=f.asm.stackRestore).apply(null,arguments)},it=f.stackAlloc=function(){return(it=f.stackAlloc=f.asm.stackAlloc).apply(null,arguments)},ot=(f.dynCall_iijjiiii=function(){return(f.dynCall_iijjiiii=f.asm.dynCall_iijjiiii).apply(null,arguments)},f.dynCall_jiji=function(){return(f.dynCall_jiji=f.asm.dynCall_jiji).apply(null,arguments)},f.__emscripten_allow_main_runtime_queued_calls=21416);function dt(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function lt(e){if(!(ie>0)){if(x)return p(f),se(),void postMessage({cmd:"loaded"});!function(){if(f.preRun)for("function"==typeof f.preRun&&(f.preRun=[f.preRun]);f.preRun.length;)e=f.preRun.shift(),te.unshift(e);var e;fe(te)}(),ie>0||(f.setStatus?(f.setStatus("Running..."),setTimeout((function(){setTimeout((function(){f.setStatus("")}),1),t()}),1)):t())}function t(){qe||(qe=!0,f.calledRun=!0,z||(se(),p(f),f.onRuntimeInitialized&&f.onRuntimeInitialized(),function(){if(!x){if(f.postRun)for("function"==typeof f.postRun&&(f.postRun=[f.postRun]);f.postRun.length;)e=f.postRun.shift(),ae.unshift(e);var e;fe(ae)}}()))}}if(f.cwrap=function(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?L(e):function(){return H(e,t,n,arguments)}},f.keepRuntimeAlive=re,f.PThread=ye,f.PThread=ye,f.wasmMemory=O,f.ExitStatus=dt,oe=function e(){qe||lt(),qe||(oe=e)},f.run=lt,f.preInit)for("function"==typeof f.preInit&&(f.preInit=[f.preInit]);f.preInit.length>0;)f.preInit.pop()();if(lt(),m&&(Ue={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!m.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!m.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof WasmBackendModule)Ve=WasmBackendModule;else{if("undefined"==typeof e)throw new Error("Could not find wasm module in post.js");Ve=e}if(Ue){var pt=Ve._dispose;Ve._dispose=function(){pt(),Ue.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),Ue.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=o}));var wn=yn((function(e,t){var r,s=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var t,s,u,i="undefined"!=typeof(e=e||{})?e:{};i.ready=new Promise((function(e,n){t=e,s=n})),"undefined"!=typeof process&&process.listeners&&(u={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var o,d,l,p,c,m,f=Object.assign({},i),h="object"==typeof window,b="function"==typeof importScripts,_="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,y="";_?(y=b?n.dirname(y)+"/":__dirname+"/",m=()=>{c||(p=a,c=n)},o=function(e,t){return m(),e=c.normalize(e),p.readFileSync(e,t?void 0:"utf8")},l=e=>{var t=o(e,!0);return t.buffer||(t=new Uint8Array(t)),t},d=(e,t,n)=>{m(),e=c.normalize(e),p.readFile(e,(function(e,a){e?n(e):t(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof re))throw e})),process.on("unhandledRejection",(function(e){throw e})),i.inspect=function(){return"[Emscripten Module object]"}):(h||b)&&(b?y=self.location.href:"undefined"!=typeof document&&document.currentScript&&(y=document.currentScript.src),r&&(y=r),y=0!==y.indexOf("blob:")?y.substr(0,y.replace(/[?#].*/,"").lastIndexOf("/")+1):"",o=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},b&&(l=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}),d=(e,t,n)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?t(a.response):n()},a.onerror=n,a.send(null)});var g,w=i.print||console.log.bind(console),k=i.printErr||console.warn.bind(console);Object.assign(i,f),f=null,i.arguments&&i.arguments,i.thisProgram&&i.thisProgram,i.quit&&i.quit,i.wasmBinary&&(g=i.wasmBinary);var I;i.noExitRuntime;"object"!=typeof WebAssembly&&H("no native wasm support detected");var S=!1;function v(e){return i["_"+e]}function M(e,t,n,a,r){var s={string:function(e){var t=0;if(null!=e&&0!==e){var n=1+(e.length<<2);!function(e,t,n){!function(e,t,n,a){if(!(a>0))return 0;for(var r=n+a-1,s=0;s<e.length;++s){var u=e.charCodeAt(s);if(u>=55296&&u<=57343&&(u=65536+((1023&u)<<10)|1023&e.charCodeAt(++s)),u<=127){if(n>=r)break;t[n++]=u}else if(u<=2047){if(n+1>=r)break;t[n++]=192|u>>6,t[n++]=128|63&u}else if(u<=65535){if(n+2>=r)break;t[n++]=224|u>>12,t[n++]=128|u>>6&63,t[n++]=128|63&u}else{if(n+3>=r)break;t[n++]=240|u>>18,t[n++]=128|u>>12&63,t[n++]=128|u>>6&63,t[n++]=128|63&u}}t[n]=0}(e,F,t,n)}(e,t=ae(n),n)}return t},array:function(e){var t=ae(e.length);return function(e,t){A.set(e,t)}(e,t),t}},u=v(e),i=[],o=0;if(a)for(var d=0;d<a.length;d++){var l=s[n[d]];l?(0===o&&(o=te()),i[d]=l(a[d])):i[d]=a[d]}var p=u.apply(null,i);return p=function(e){return 0!==o&&ne(o),function(e){return"string"===t?C(e):"boolean"===t?Boolean(e):e}(e)}(p)}var x,A,F,N,E="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function R(e,t,n){for(var a=t+n,r=t;e[r]&&!(r>=a);)++r;if(r-t>16&&e.subarray&&E)return E.decode(e.subarray(t,r));for(var s="";t<r;){var u=e[t++];if(128&u){var i=63&e[t++];if(192!=(224&u)){var o=63&e[t++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[t++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function C(e,t){return e?R(F,e,t):""}function D(e){x=e,i.HEAP8=A=new Int8Array(e),i.HEAP16=new Int16Array(e),i.HEAP32=N=new Int32Array(e),i.HEAPU8=F=new Uint8Array(e),i.HEAPU16=new Uint16Array(e),i.HEAPU32=new Uint32Array(e),i.HEAPF32=new Float32Array(e),i.HEAPF64=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new TextDecoder("utf-16le"),i.INITIAL_MEMORY;var T,O,P=[],W=[],j=[],z=0,L=null;function H(e){i.onAbort&&i.onAbort(e),k(e="Aborted("+e+")"),S=!0,e+=". Build with -s ASSERTIONS=1 for more info.";var t=new WebAssembly.RuntimeError(e);throw s(t),t}function B(e){return e.startsWith("data:application/octet-stream;base64,")}function q(e){return e.startsWith("file://")}function U(e){try{if(e==O&&g)return new Uint8Array(g);if(l)return l(e);throw"both async and sync fetching of the wasm failed"}catch(e){H(e)}}function V(e){for(;e.length>0;){var t=e.shift();if("function"!=typeof t){var n=t.func;"number"==typeof n?void 0===t.arg?$(n)():$(n)(t.arg):n(void 0===t.arg?null:t.arg)}else t(i)}}i.preloadedImages={},i.preloadedAudios={},B(O="tfjs-backend-wasm.wasm")||(O=function(e){return i.locateFile?i.locateFile(e,y):y+e}(O));var G=[];function $(e){var t=G[e];return t||(e>=G.length&&(G.length=e+1),G[e]=t=T.get(e)),t}function K(){return 2147483648}function Q(e){try{return I.grow(e-x.byteLength+65535>>>16),D(I.buffer),1}catch(e){}}var X,Z,Y,J={mappings:{},buffers:[null,[],[]],printChar:function(e,t){var n=J.buffers[e];0===t||10===t?((1===e?w:k)(R(n,0)),n.length=0):n.push(t)},varargs:void 0,get:function(){return J.varargs+=4,N[J.varargs-4>>2]},getStr:function(e){return C(e)},get64:function(e,t){return e}},ee={abort:function(){H("")},emscripten_get_heap_max:K,emscripten_memcpy_big:function(e,t,n){F.copyWithin(e,t,t+n)},emscripten_resize_heap:function(e){var t,n,a=F.length,r=2147483648;if((e>>>=0)>r)return!1;for(var s=1;s<=4;s*=2){var u=a*(1+.2/s);if(u=Math.min(u,e+100663296),Q(Math.min(r,((t=Math.max(e,u))%(n=65536)>0&&(t+=n-t%n),t))))return!0}return!1},fd_close:function(e){return 0},fd_seek:function(e,t,n,a,r){},fd_write:function(e,t,n,a){for(var r=0,s=0;s<n;s++){var u=N[t>>2],i=N[t+4>>2];t+=8;for(var o=0;o<i;o++)J.printChar(e,F[u+o]);r+=i}return N[a>>2]=r,0},setTempRet0:function(e){}},te=(function(){var e={env:ee,wasi_snapshot_preview1:ee};function t(e,t){var n,a=e.exports;i.asm=a,D((I=i.asm.memory).buffer),T=i.asm.__indirect_function_table,n=i.asm.__wasm_call_ctors,W.unshift(n),function(e){if(z--,i.monitorRunDependencies&&i.monitorRunDependencies(z),0==z&&L){var t=L;L=null,t()}}()}function n(e){t(e.instance)}function a(t){return function(){if(!g&&(h||b)){if("function"==typeof fetch&&!q(O))return fetch(O,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+O+"'";return e.arrayBuffer()})).catch((function(){return U(O)}));if(d)return new Promise((function(e,t){d(O,(function(t){e(new Uint8Array(t))}),t)}))}return Promise.resolve().then((function(){return U(O)}))}().then((function(t){return WebAssembly.instantiate(t,e)})).then((function(e){return e})).then(t,(function(e){k("failed to asynchronously prepare wasm: "+e),H(e)}))}if(z++,i.monitorRunDependencies&&i.monitorRunDependencies(z),i.instantiateWasm)try{return i.instantiateWasm(e,t)}catch(e){return k("Module.instantiateWasm callback failed with error: "+e),!1}(g||"function"!=typeof WebAssembly.instantiateStreaming||B(O)||q(O)||"function"!=typeof fetch?a(n):fetch(O,{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(n,(function(e){return k("wasm streaming compile failed: "+e),k("falling back to ArrayBuffer instantiation"),a(n)}))}))).catch(s)}(),i.___wasm_call_ctors=function(){return(i.___wasm_call_ctors=i.asm.__wasm_call_ctors).apply(null,arguments)},i._init=function(){return(i._init=i.asm.init).apply(null,arguments)},i._init_with_threads_count=function(){return(i._init_with_threads_count=i.asm.init_with_threads_count).apply(null,arguments)},i._get_threads_count=function(){return(i._get_threads_count=i.asm.get_threads_count).apply(null,arguments)},i._register_tensor=function(){return(i._register_tensor=i.asm.register_tensor).apply(null,arguments)},i._dispose_data=function(){return(i._dispose_data=i.asm.dispose_data).apply(null,arguments)},i._dispose=function(){return(i._dispose=i.asm.dispose).apply(null,arguments)},i._Abs=function(){return(i._Abs=i.asm.Abs).apply(null,arguments)},i._Add=function(){return(i._Add=i.asm.Add).apply(null,arguments)},i._AddN=function(){return(i._AddN=i.asm.AddN).apply(null,arguments)},i._All=function(){return(i._All=i.asm.All).apply(null,arguments)},i._Any=function(){return(i._Any=i.asm.Any).apply(null,arguments)},i._ArgMax=function(){return(i._ArgMax=i.asm.ArgMax).apply(null,arguments)},i._AvgPool=function(){return(i._AvgPool=i.asm.AvgPool).apply(null,arguments)},i._BatchMatMul=function(){return(i._BatchMatMul=i.asm.BatchMatMul).apply(null,arguments)},i._Ceil=function(){return(i._Ceil=i.asm.Ceil).apply(null,arguments)},i._ClipByValue=function(){return(i._ClipByValue=i.asm.ClipByValue).apply(null,arguments)},i._Conv2D=function(){return(i._Conv2D=i.asm.Conv2D).apply(null,arguments)},i._Conv2DBackpropInput=function(){return(i._Conv2DBackpropInput=i.asm.Conv2DBackpropInput).apply(null,arguments)},i._Cos=function(){return(i._Cos=i.asm.Cos).apply(null,arguments)},i._Cosh=function(){return(i._Cosh=i.asm.Cosh).apply(null,arguments)},i._CropAndResize=function(){return(i._CropAndResize=i.asm.CropAndResize).apply(null,arguments)},i._Cumsum=function(){return(i._Cumsum=i.asm.Cumsum).apply(null,arguments)},i._DepthToSpace=function(){return(i._DepthToSpace=i.asm.DepthToSpace).apply(null,arguments)},i._DepthwiseConv2dNative=function(){return(i._DepthwiseConv2dNative=i.asm.DepthwiseConv2dNative).apply(null,arguments)},i._Elu=function(){return(i._Elu=i.asm.Elu).apply(null,arguments)},i._Equal=function(){return(i._Equal=i.asm.Equal).apply(null,arguments)},i._Exp=function(){return(i._Exp=i.asm.Exp).apply(null,arguments)},i._FlipLeftRight=function(){return(i._FlipLeftRight=i.asm.FlipLeftRight).apply(null,arguments)},i._Floor=function(){return(i._Floor=i.asm.Floor).apply(null,arguments)},i._FloorDiv=function(){return(i._FloorDiv=i.asm.FloorDiv).apply(null,arguments)},i._FusedBatchNorm=function(){return(i._FusedBatchNorm=i.asm.FusedBatchNorm).apply(null,arguments)},i._FusedConv2D=function(){return(i._FusedConv2D=i.asm.FusedConv2D).apply(null,arguments)},i._FusedDepthwiseConv2D=function(){return(i._FusedDepthwiseConv2D=i.asm.FusedDepthwiseConv2D).apply(null,arguments)},i._Gather=function(){return(i._Gather=i.asm.Gather).apply(null,arguments)},i._GatherNd=function(){return(i._GatherNd=i.asm.GatherNd).apply(null,arguments)},i._Greater=function(){return(i._Greater=i.asm.Greater).apply(null,arguments)},i._GreaterEqual=function(){return(i._GreaterEqual=i.asm.GreaterEqual).apply(null,arguments)},i._LeakyRelu=function(){return(i._LeakyRelu=i.asm.LeakyRelu).apply(null,arguments)},i._Less=function(){return(i._Less=i.asm.Less).apply(null,arguments)},i._LessEqual=function(){return(i._LessEqual=i.asm.LessEqual).apply(null,arguments)},i._Log=function(){return(i._Log=i.asm.Log).apply(null,arguments)},i._LogicalAnd=function(){return(i._LogicalAnd=i.asm.LogicalAnd).apply(null,arguments)},i._Max=function(){return(i._Max=i.asm.Max).apply(null,arguments)},i._MaxPool=function(){return(i._MaxPool=i.asm.MaxPool).apply(null,arguments)},i._Maximum=function(){return(i._Maximum=i.asm.Maximum).apply(null,arguments)},i._Mean=function(){return(i._Mean=i.asm.Mean).apply(null,arguments)},i._Min=function(){return(i._Min=i.asm.Min).apply(null,arguments)},i._Minimum=function(){return(i._Minimum=i.asm.Minimum).apply(null,arguments)},i._MirrorPad=function(){return(i._MirrorPad=i.asm.MirrorPad).apply(null,arguments)},i._Multiply=function(){return(i._Multiply=i.asm.Multiply).apply(null,arguments)},i._Neg=function(){return(i._Neg=i.asm.Neg).apply(null,arguments)},i._NonMaxSuppressionV3=function(){return(i._NonMaxSuppressionV3=i.asm.NonMaxSuppressionV3).apply(null,arguments)},i._NonMaxSuppressionV4=function(){return(i._NonMaxSuppressionV4=i.asm.NonMaxSuppressionV4).apply(null,arguments)},i._NonMaxSuppressionV5=function(){return(i._NonMaxSuppressionV5=i.asm.NonMaxSuppressionV5).apply(null,arguments)},i._NotEqual=function(){return(i._NotEqual=i.asm.NotEqual).apply(null,arguments)},i._OneHot=function(){return(i._OneHot=i.asm.OneHot).apply(null,arguments)},i._PadV2=function(){return(i._PadV2=i.asm.PadV2).apply(null,arguments)},i._Pow=function(){return(i._Pow=i.asm.Pow).apply(null,arguments)},i._Prelu=function(){return(i._Prelu=i.asm.Prelu).apply(null,arguments)},i._Prod=function(){return(i._Prod=i.asm.Prod).apply(null,arguments)},i._RealDiv=function(){return(i._RealDiv=i.asm.RealDiv).apply(null,arguments)},i._Relu=function(){return(i._Relu=i.asm.Relu).apply(null,arguments)},i._Relu6=function(){return(i._Relu6=i.asm.Relu6).apply(null,arguments)},i._ResizeBilinear=function(){return(i._ResizeBilinear=i.asm.ResizeBilinear).apply(null,arguments)},i._Reverse=function(){return(i._Reverse=i.asm.Reverse).apply(null,arguments)},i._RotateWithOffset=function(){return(i._RotateWithOffset=i.asm.RotateWithOffset).apply(null,arguments)},i._Round=function(){return(i._Round=i.asm.Round).apply(null,arguments)},i._Rsqrt=function(){return(i._Rsqrt=i.asm.Rsqrt).apply(null,arguments)},i._ScatterNd=function(){return(i._ScatterNd=i.asm.ScatterNd).apply(null,arguments)},i._SelectV2=function(){return(i._SelectV2=i.asm.SelectV2).apply(null,arguments)},i._Sigmoid=function(){return(i._Sigmoid=i.asm.Sigmoid).apply(null,arguments)},i._Sin=function(){return(i._Sin=i.asm.Sin).apply(null,arguments)},i._Softmax=function(){return(i._Softmax=i.asm.Softmax).apply(null,arguments)},i._SparseFillEmptyRows=function(){return(i._SparseFillEmptyRows=i.asm.SparseFillEmptyRows).apply(null,arguments)},i._SparseReshape=function(){return(i._SparseReshape=i.asm.SparseReshape).apply(null,arguments)},i._SparseSegmentReduction=function(){return(i._SparseSegmentReduction=i.asm.SparseSegmentReduction).apply(null,arguments)},i._Sqrt=function(){return(i._Sqrt=i.asm.Sqrt).apply(null,arguments)},i._Square=function(){return(i._Square=i.asm.Square).apply(null,arguments)},i._SquaredDifference=function(){return(i._SquaredDifference=i.asm.SquaredDifference).apply(null,arguments)},i._Step=function(){return(i._Step=i.asm.Step).apply(null,arguments)},i._StridedSlice=function(){return(i._StridedSlice=i.asm.StridedSlice).apply(null,arguments)},i._Sub=function(){return(i._Sub=i.asm.Sub).apply(null,arguments)},i._Sum=function(){return(i._Sum=i.asm.Sum).apply(null,arguments)},i._Tan=function(){return(i._Tan=i.asm.Tan).apply(null,arguments)},i._Tanh=function(){return(i._Tanh=i.asm.Tanh).apply(null,arguments)},i._Tile=function(){return(i._Tile=i.asm.Tile).apply(null,arguments)},i._TopK=function(){return(i._TopK=i.asm.TopK).apply(null,arguments)},i._Transform=function(){return(i._Transform=i.asm.Transform).apply(null,arguments)},i._Transpose=function(){return(i._Transpose=i.asm.Transpose).apply(null,arguments)},i.__FusedMatMul=function(){return(i.__FusedMatMul=i.asm._FusedMatMul).apply(null,arguments)},i._malloc=function(){return(i._malloc=i.asm.malloc).apply(null,arguments)},i._free=function(){return(i._free=i.asm.free).apply(null,arguments)},i.___errno_location=function(){return(i.___errno_location=i.asm.__errno_location).apply(null,arguments)},i._emscripten_main_thread_process_queued_calls=function(){return(i._emscripten_main_thread_process_queued_calls=i.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},i.stackSave=function(){return(te=i.stackSave=i.asm.stackSave).apply(null,arguments)}),ne=i.stackRestore=function(){return(ne=i.stackRestore=i.asm.stackRestore).apply(null,arguments)},ae=i.stackAlloc=function(){return(ae=i.stackAlloc=i.asm.stackAlloc).apply(null,arguments)};function re(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function se(e){function n(){X||(X=!0,i.calledRun=!0,S||(V(W),t(i),i.onRuntimeInitialized&&i.onRuntimeInitialized(),function(){if(i.postRun)for("function"==typeof i.postRun&&(i.postRun=[i.postRun]);i.postRun.length;)e=i.postRun.shift(),j.unshift(e);var e;V(j)}()))}z>0||(function(){if(i.preRun)for("function"==typeof i.preRun&&(i.preRun=[i.preRun]);i.preRun.length;)e=i.preRun.shift(),P.unshift(e);var e;V(P)}(),z>0||(i.setStatus?(i.setStatus("Running..."),setTimeout((function(){setTimeout((function(){i.setStatus("")}),1),n()}),1)):n()))}if(i.dynCall_iijjiiii=function(){return(i.dynCall_iijjiiii=i.asm.dynCall_iijjiiii).apply(null,arguments)},i.dynCall_jiji=function(){return(i.dynCall_jiji=i.asm.dynCall_jiji).apply(null,arguments)},i.cwrap=function(e,t,n,a){var r=(n=n||[]).every((function(e){return"number"===e}));return"string"!==t&&r&&!a?v(e):function(){return M(e,t,n,arguments)}},L=function e(){X||se(),X||(L=e)},i.run=se,i.preInit)for("function"==typeof i.preInit&&(i.preInit=[i.preInit]);i.preInit.length>0;)i.preInit.pop()();if(se(),u&&(Z={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!u.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!u.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof e)Y=e;else{if("undefined"==typeof WasmBackendModuleThreadedSimd)throw new Error("Could not find wasm module in post.js");Y=WasmBackendModuleThreadedSimd}if(Z){var ue=Y._dispose;Y._dispose=function(){ue(),Z.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),Z.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=s}));class kn extends t.KernelBackend{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.initWithThreadsCount(En),Rn=this.wasm.tfjs.getThreadsCount(),this.dataIdMap=new t.DataStorage(this,t.engine())}write(e,t,n){const a={id:this.dataIdNextNumber++};return this.move(a,e,t,n,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const n=t.util.now();e();return{kernelMs:t.util.now()-n}}move(e,n,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const t=n;return void this.dataIdMap.set(e,{id:u,stringBytes:t,shape:a,dtype:r,memoryOffset:null,refCount:s})}const i=t.util.sizeFromShape(a),o=i*t.util.bytesPerElement(r),d=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:d,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,i,d),null!=n&&this.wasm.HEAPU8.set(new Uint8Array(n.buffer,n.byteOffset,o),d)}async read(e){return this.readSync(e)}readSync(e,n,a){const{memoryOffset:r,dtype:s,shape:u,stringBytes:i}=this.dataIdMap.get(e);if("string"===s)return null!=n&&0!==n||!(null==a||a>=i.length)?i.slice(n,a):i;n=n||0,a=a||t.util.sizeFromShape(u);const o=t.util.bytesPerElement(s);return function(e,t){switch(t){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error(`Unknown dtype ${t}`)}}(this.wasm.HEAPU8.slice(r+n*o,r+a*o).buffer,s)}disposeData(e,t=!1){if(this.dataIdMap.has(e)){const n=this.dataIdMap.get(e);if(n.refCount--,!t&&n.refCount>0)return!1;this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const t=this.dataIdMap.get(e);null!=t&&t.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),"PThread"in this.wasm&&this.wasm.PThread.terminateAllThreads(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,n,a){let r;if(null==a)r=this.write(null,e,n);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:n,refCount:1});const u=t.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:n}}typedArrayFromHeap({shape:e,dtype:n,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=t.util.sizeFromShape(e);switch(n){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error(`Unknown dtype ${n}`)}}}function In(e,t,n){if(null!=Mn)return Mn;let a="tfjs-backend-wasm.wasm";return e&&t?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=An&&null!=An[a]?An[a]:n+a}async function Sn(){const[e,n]=await Promise.all([t.env().getAsync("WASM_HAS_SIMD_SUPPORT"),t.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise(((a,r)=>{const s={locateFile:(t,a)=>{if(t.endsWith(".worker.js")){const e=new Blob(['"use strict";var Module={};var ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string";if(ENVIRONMENT_IS_NODE){var nodeWorkerThreads=require("worker_threads");var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var fs=require("fs");Object.assign(global,{self:global,require:require,Module:Module,location:{href:__filename},Worker:nodeWorkerThreads.Worker,importScripts:function(f){(0,eval)(fs.readFileSync(f,"utf8"))},postMessage:function(msg){parentPort.postMessage(msg)},performance:global.performance||{now:function(){return Date.now()}}})}function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");if(ENVIRONMENT_IS_NODE){fs.writeSync(2,text+"\n");return}console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;self.alert=threadAlert;Module["instantiateWasm"]=((info,receiveInstance)=>{var instance=new WebAssembly.Instance(Module["wasmModule"],info);receiveInstance(instance);Module["wasmModule"]=null;return instance.exports});self.onmessage=(e=>{try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance})}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0,1);Module["establishStackSpace"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].threadInit();try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(Module["keepRuntimeAlive"]()){Module["PThread"].setExitStatus(result)}else{Module["__emscripten_thread_exit"](result)}}catch(ex){if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["keepRuntimeAlive"]()){}else{Module["__emscripten_thread_exit"](ex.status)}}else{throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["__emscripten_thread_exit"](-1)}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else if(e.data.cmd==="processProxyingQueue"){if(Module["_pthread_self"]()){Module["_emscripten_proxy_execute_queue"](e.data.queue)}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);if(Module["__emscripten_thread_crashed"]){Module["__emscripten_thread_crashed"]()}throw ex}});'],{type:"application/javascript"});return URL.createObjectURL(e)}return t.endsWith(".wasm")?In(e,n,null!=xn?xn:a):a+t}};Nn&&(s.instantiateWasm=function(e){return(n,a)=>(t.util.fetch(e,{credentials:"same-origin"}).then((t=>{t.ok||n.env.a(`failed to load wasm binary file at '${e}'`),t.arrayBuffer().then((e=>{WebAssembly.instantiate(e,n).then((e=>{a(e.instance,e.module)}))}))})),{})}(In(e,n,null!=xn?xn:"")));let u,i=!1;s.onAbort=()=>{if(i)return;if(Fn)return;Fn=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})},n&&e&&null==Mn?(s.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+gn.toString()],{type:"text/javascript"}),u=gn(s)):u=wn(s),u.then((e=>{i=!0,Fn=!1;e.tfjs={init:e.cwrap("init",null,[]),initWithThreadsCount:e.cwrap("init_with_threads_count",null,["number"]),getThreadsCount:e.cwrap("get_threads_count","number",[]),registerTensor:e.cwrap("register_tensor",null,["number","number","number"]),disposeData:e.cwrap("dispose_data",null,["number"]),dispose:e.cwrap("dispose",null,[])},a({wasm:e})}))}))}const vn=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Mn=null,xn=null,An={},Fn=!1,Nn=!1;let En=-1,Rn=-1;t.registerBackend("wasm",(async()=>{const{wasm:e}=await Sn();return new kn(e)}),2),e.BackendWasm=kn,e.getThreadsCount=function(){if(-1===Rn)throw new Error("WASM backend not initialized.");return Rn},e.setThreadsCount=function(e){En=e},e.setWasmPath=function(e,n=!1){if(t.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Fn)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Mn=e,Nn=n},e.setWasmPaths=function(e,t=!1){if(Fn)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)xn=e;else{An=e;const t=vn.filter((e=>null==An[e]));if(t.length>0)throw new Error(`There were no entries found for the following binaries: ${t.join(",")}. Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.`)}Nn=t},e.version_wasm="3.14.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.es2017.min.js.map
