/**
 * @license
 * Copyright 2022 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{_FusedMatMul as e,broadcast_util as n,util as t,Abs as a,backend_util as r,Add as s,AddN as u,Identity as i,Transpose as o,All as d,Any as p,ArgMax as l,AvgPool as c,Reshape as m,BatchMatMul as f,slice_util as h,buffer as b,Slice as _,BatchToSpaceND as y,Cast as g,Ceil as w,ClipByValue as k,Concat as I,Conv2D as v,Conv2DBackpropInput as S,Cos as M,Cosh as x,CropAndResize as A,Cumsum as F,DepthToSpace as N,DepthwiseConv2dNative as E,Elu as R,Equal as C,Exp as D,ExpandDims as T,Fill as O,FlipLeftRight as W,Floor as P,FloorDiv as j,FusedBatchNorm as z,FusedConv2D as H,FusedDepthwiseConv2D as L,GatherNd as U,gather_util as B,GatherV2 as q,Greater as V,GreaterEqual as G,LeakyRelu as $,Less as K,LessEqual as Q,Log as X,LogicalAnd as Z,Max as Y,Maximum as J,MaxPool as ee,Mean as ne,Min as te,Minimum as ae,MirrorPad as re,Multiply as se,Neg as ue,NonMaxSuppressionV3 as ie,NonMaxSuppressionV4 as oe,NonMaxSuppressionV5 as de,NotEqual as pe,OneHot as le,OnesLike as ce,Pack as me,PadV2 as fe,Pow as he,Prelu as be,Prod as _e,Range as ye,RealDiv as ge,Relu as we,Relu6 as ke,ResizeBilinear as Ie,Reverse as ve,RotateWithOffset as Se,Round as Me,Rsqrt as xe,ScatterNd as Ae,scatter_util as Fe,Select as Ne,Sigmoid as Ee,Sin as Re,Softmax as Ce,SpaceToBatchND as De,SparseFillEmptyRows as Te,SparseReshape as Oe,SparseSegmentMean as We,SparseSegmentSum as Pe,SplitV as je,Sqrt as ze,Square as He,SquaredDifference as Le,Step as Ue,StridedSlice as Be,Sub as qe,Sum as Ve,Tan as Ge,Tanh as $e,Tile as Ke,TopK as Qe,Transform as Xe,Unpack as Ze,ZerosLike as Ye,registerKernel as Je,env as en,KernelBackend as nn,DataStorage as tn,engine as an,deprecationWarn as rn,registerBackend as sn}from"@tensorflow/tfjs-core";import un from"path";import on from"fs";import dn from"worker_threads";import pn from"perf_hooks";import ln from"os";var cn,mn;let fn;!function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(cn||(cn={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu",e[e.sigmoid=5]="sigmoid",e[e.elu=6]="elu"}(mn||(mn={}));const hn={kernelName:e,backendName:"wasm",setupFunc:function(n){fn=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a,attrs:r}=e,{a:s,b:u,bias:i,preluActivationWeights:o}=t;if("float32"!==s.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:d,transposeB:p,activation:l,leakyreluAlpha:c}=r,m=a.dataIdMap.get(s.dataId).id,f=a.dataIdMap.get(u.dataId).id;let h=0;if(null!=i){const e=a.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`_FusedMatMul only supports rank-1 bias but got rank ${e.shape.length}.`);h=e.id}const b=null==o?0:a.dataIdMap.get(o.dataId).id,_=mn[l];if(null==_)throw new Error(`${l} activation not yet supported for FusedConv2D in the wasm backend.`);const y=d?s.shape[2]:s.shape[1],g=p?u.shape[1]:u.shape[2],w=n.assertAndGetBroadcastShape(s.shape.slice(0,-2),u.shape.slice(0,-2)),k=a.makeOutput([...w,y,g],s.dtype),I=a.dataIdMap.get(k.dataId).id,v=new Uint8Array(new Int32Array(s.shape).buffer),S=new Uint8Array(new Int32Array(u.shape).buffer);return fn(m,v,s.shape.length,f,S,u.shape.length,d,p,_,h,b,c||0,I),k}};function bn(e,n){let a;return{kernelName:e,backendName:"wasm",setupFunc:function(n){a=n.wasm.cwrap(e,null,["number","number","number"])},kernelFunc:function(e){const{backend:r,inputs:{x:s}}=e,u=r.dataIdMap.get(s.dataId).id,i=r.makeOutput(s.shape,n||s.dtype),o=r.dataIdMap.get(i.dataId).id;return 0===t.sizeFromShape(i.shape)||a(u,cn[s.dtype],o),i}}}const _n=bn(a);function yn(e,n,a){let s;return{kernelName:e,backendName:"wasm",setupFunc:function(n){s=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:u}=e,{a:i,b:o}=u,d=n.dataIdMap.get(i.dataId).id,p=n.dataIdMap.get(o.dataId).id,l=null!=a?a:i.dtype,c=r.assertAndGetBroadcastShape(i.shape,o.shape),m=n.makeOutput(c,l);if(0===t.sizeFromShape(c))return m;const f=new Uint8Array(new Int32Array(i.shape).buffer),h=new Uint8Array(new Int32Array(o.shape).buffer),b=n.dataIdMap.get(m.dataId).id;return s(d,f,i.shape.length,p,h,o.shape.length,cn[i.dtype],b),m}}}const gn=yn(s);let wn;const kn={kernelName:u,backendName:"wasm",setupFunc:function(e){wn=e.wasm.cwrap(u,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a}=e,r=a.makeOutput(n[0].shape,n[0].dtype);if(0===t.sizeFromShape(r.shape))return r;const s=n.map((e=>a.dataIdMap.get(e.dataId).id)),u=new Uint8Array(new Int32Array(s).buffer),i=a.dataIdMap.get(r.dataId).id;return wn(u,s.length,cn[r.dtype],i),r}};function In(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}const vn={kernelName:i,backendName:"wasm",kernelFunc:In};let Sn;function Mn(e){const{inputs:n,backend:t,attrs:a}=e,[r,s]=function(e,n){const t=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(let e=0;e<a.length;++e){let n=-1;for(let t=0;t<a.length;++t)a[t]>=e&&(-1===n||a[n]>a[t])&&(n=t);a[n]=e}return[t,a]}(n.x.shape,a.perm);let u=!0;for(let e=0;e<s.length;e++)s[e]!==e&&(u=!1);const i=function(e,n){const t=new Array(e.length);for(let a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),o={dataId:n.x.dataId,shape:r,dtype:n.x.dtype};if(u){const e=In({inputs:n,backend:t});return e.shape=i,e}const d=t.makeOutput(i,o.dtype),p=t.dataIdMap.get(o.dataId).id,l=t.dataIdMap.get(d.dataId).id,c=new Uint8Array(new Int32Array(s).buffer),m=new Uint8Array(new Int32Array(o.shape).buffer);return Sn(p,m,o.shape.length,cn[o.dtype],l,c,s.length),d}const xn={kernelName:o,backendName:"wasm",kernelFunc:Mn,setupFunc:function(e){Sn=e.wasm.cwrap(o,null,["number","array","number","number","number","array","number"])}};function An(e,n,a){const s=e.shape,u=e.shape.length,i=t.parseAxisParam(n,s);let o=i;const d=r.getAxesPermutation(o,u);let p=null,l=!1;if(null!=d){const n=new Array(u);for(let e=0;e<n.length;e++)n[e]=s[d[e]];o=r.getInnerMostAxes(o.length,u),p=Mn({inputs:{x:e},attrs:{perm:d},backend:a});const t=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(p.dataId).id!==t&&(l=!0)}return{transposed:p,originalAxes:i,axes:o,inputWasTransposed:l}}let Fn;const Nn={kernelName:d,backendName:"wasm",setupFunc:function(e){Fn=e.wasm.cwrap(d,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a;let d=n.dataIdMap.get(o.dataId).id,p=o;const{transposed:l,axes:c,originalAxes:m,inputWasTransposed:f}=An(o,u,n);if(f){p=l,d=n.dataIdMap.get(l.dataId).id}const h=p.shape.length;r.assertAxesAreInnerMostDims("all",c,h);const[b,_]=r.computeOutAndReduceShapes(p.shape,c),y=t.sizeFromShape(_),g=n.makeOutput(b,o.dtype);if(0!==t.sizeFromShape(p.shape)){const e=n.dataIdMap.get(g.dataId).id;Fn(d,y,e)}if(f&&n.disposeData(l.dataId),i){const e=r.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}};let En;const Rn={kernelName:p,backendName:"wasm",setupFunc:function(e){En=e.wasm.cwrap(p,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a;let d=n.dataIdMap.get(o.dataId).id,p=o;const{transposed:l,axes:c,originalAxes:m,inputWasTransposed:f}=An(o,u,n);if(f){p=l,d=n.dataIdMap.get(l.dataId).id}const h=p.shape.length;r.assertAxesAreInnerMostDims("any",c,h);const[b,_]=r.computeOutAndReduceShapes(p.shape,c),y=t.sizeFromShape(_),g=n.makeOutput(b,o.dtype);if(0!==t.sizeFromShape(p.shape)){const e=n.dataIdMap.get(g.dataId).id;En(d,y,e)}if(f&&n.disposeData(l.dataId),i){const e=r.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}};let Cn;const Dn={kernelName:l,backendName:"wasm",kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{axis:s}=r,{x:u}=a,i=n.dataIdMap.get(u.dataId).id;let o=i,d=u;const{transposed:p,axes:l,inputWasTransposed:c}=An(u,s,n);if(c){const e=n.dataIdMap.get(p.dataId).id;e!==i&&(d=p,o=e)}const m=d.shape.slice(0,-1),f=n.makeOutput(m,"int32"),h=n.dataIdMap.get(f.dataId).id,b=t.sizeFromShape(f.shape),_=d.shape[l[0]];return Cn(o,cn[d.dtype],b,_,h),c&&n.disposeData(p.dataId),f},setupFunc:function(e){Cn=e.wasm.cwrap(l,null,["number","number","number","number","number"])}};let Tn;const On={kernelName:c,backendName:"wasm",setupFunc:function(e){Tn=e.wasm.cwrap(c,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,s=n.x,u=a.dataIdMap.get(s.dataId).id,{filterSize:i,strides:o,pad:d,dimRoundingMode:p}=t,l=r.computePool2DInfo(s.shape,i,o,1,d,p),c=l.filterHeight,m=l.filterWidth,f=l.padInfo.top,h=l.padInfo.right,b=l.padInfo.bottom,_=l.padInfo.left,y=l.strideHeight,g=l.strideWidth,w=l.inChannels;if("channelsLast"!==l.dataFormat)throw new Error(`wasm backend does not support dataFormat:'${l.dataFormat}'. Please use 'channelsLast'.`);if(1!==l.dilationWidth||1!==l.dilationHeight)throw new Error(`was backend only supports average pooling with dilation = [1, 1], got [${l.dilationHeight}, ${l.dilationWidth}].`);const k=a.makeOutput(l.outShape,"float32"),I=a.dataIdMap.get(k.dataId).id;return Tn(u,s.shape[0],s.shape[1],s.shape[2],c,m,f,h,b,_,y,g,w,I),k}};function Wn(e){const{inputs:n,attrs:a}=e,{x:r}=n,{shape:s}=a,u=t.sizeFromShape(r.shape),i=t.inferFromImplicitShape(s,u);return t.assert(u===t.sizeFromShape(i),(()=>`new shape: ${i}, old shape: ${r.shape}. New shape and old shape must have the same number of elements.`)),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:i,dtype:r.dtype}}const Pn={kernelName:m,backendName:"wasm",kernelFunc:Wn};let jn;const zn={kernelName:f,backendName:"wasm",setupFunc:function(e){jn=e.wasm.cwrap(f,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:a,backend:r,attrs:s}=e,{a:u,b:i}=a,{transposeA:o,transposeB:d}=s;if("float32"!==u.dtype||"float32"!==i.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const p=u.shape.length,l=i.shape.length,c=o?u.shape[p-2]:u.shape[p-1],m=d?i.shape[l-1]:i.shape[l-2],f=o?u.shape[p-1]:u.shape[p-2],h=d?i.shape[l-2]:i.shape[l-1],b=u.shape.slice(0,-2),_=i.shape.slice(0,-2),y=t.sizeFromShape(b),g=t.sizeFromShape(_),w=n.assertAndGetBroadcastShape(u.shape.slice(0,-2),i.shape.slice(0,-2)).concat([f,h]);t.assert(c===m,(()=>`Error in matMul: inner shapes (${c}) and (${m}) of Tensors with shapes ${u.shape} and ${i.shape} and transposeA=${o} and transposeB=${d} must match.`));const k=d?[g,h,m]:[g,m,h],I=Wn({inputs:{x:u},backend:r,attrs:{shape:o?[y,c,f]:[y,f,c]}}),v=Wn({inputs:{x:i},backend:r,attrs:{shape:k}}),S=r.dataIdMap.get(I.dataId).id,M=r.dataIdMap.get(v.dataId).id,x=o?I.shape[2]:I.shape[1],A=d?v.shape[1]:v.shape[2],F=Math.max(y,g),N=r.makeOutput([F,x,A],I.dtype),E=r.dataIdMap.get(N.dataId).id,R=new Uint8Array(new Int32Array(I.shape).buffer),C=new Uint8Array(new Int32Array(v.shape).buffer);return jn(S,R,I.shape.length,M,C,v.shape.length,o,d,E),r.disposeData(I.dataId),r.disposeData(v.dataId),N.shape=w,N}};function Hn(e,n,a,s,u){const i=h.isSliceContinous(s,n,a),o=t.sizeFromShape(a),d=t.computeStrides(s);if(i){const t=h.computeFlatOffset(n,d);return"string"===u?e.slice(t,t+o):e.subarray(t,t+o)}const p="string"===u?r.fromUint8ToStringArray(e):e,l=b(s,u,p),c=b(a,u);for(let e=0;e<c.size;++e){const t=c.indexToLoc(e),a=t.map(((e,t)=>e+n[t]));c.set(l.get(...a),...t)}return"string"===u?r.fromStringArrayToUint8(c.values):c.values}function Ln(e){const{inputs:{x:n},attrs:{begin:a,size:r},backend:s}=e,[u,i]=h.parseSliceParams(n,a,r),o=h.isSliceContinous(n.shape,u,i),d=s.readSync(n.dataId),p=s.makeOutput(i,n.dtype),l=t.computeStrides(n.shape),c=s.dataIdMap.get(p.dataId);if(o){const e=h.computeFlatOffset(u,l);if("string"===n.dtype)c.stringBytes=d.slice(e,e+t.sizeFromShape(i));else{s.typedArrayFromHeap(p).set(d.subarray(e,e+t.sizeFromShape(i)))}return p}if("string"===n.dtype){const e=Hn(d,u,i,n.shape,n.dtype);return c.stringBytes=e,p}const m=s.typedArrayFromHeap(p),f=n.shape.length;if(2===f)!function(e,n,t,a,r){let s=0;const u=a[0],i=a[1],o=u+r[0];for(let a=u;a<o;a++){const u=a*n+i;t.set(e.subarray(u,u+r[1]),s),s+=r[1]}}(d,l[0],m,u,i);else if(3===f)!function(e,n,t,a,r,s){let u=0;const i=r[0],o=r[1],d=r[2],p=i+s[0],l=o+s[1];for(let r=i;r<p;r++)for(let i=o;i<l;i++){const o=r*n+i*t+d;a.set(e.subarray(o,o+s[2]),u),u+=s[2]}}(d,l[0],l[1],m,u,i);else if(4===f)!function(e,n,t,a,r,s,u){let i=0;const o=s[0],d=s[1],p=s[2],l=o+u[0],c=d+u[1],m=p+u[2],f=s[3];for(let s=o;s<l;s++)for(let o=d;o<c;o++)for(let d=p;d<m;d++){const p=s*n+o*t+d*a+f;r.set(e.subarray(p,p+u[3]),i),i+=u[3]}}(d,l[0],l[1],l[2],m,u,i);else{const e=Hn(d,u,i,n.shape,n.dtype);m.set(e)}return p}const Un={kernelName:_,backendName:"wasm",kernelFunc:Ln};const Bn={kernelName:y,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:s}=n,{blockShape:u,crops:i}=a,o=u.reduce(((e,n)=>e*n)),d=r.getReshaped(s.shape,u,o),p=r.getPermuted(d.length,u.length),l=r.getReshapedPermuted(s.shape,u,o),c=r.getSliceBeginCoords(i,u.length),m=r.getSliceSize(l,i,u.length),f=Wn({inputs:{x:s},backend:t,attrs:{shape:d}}),h=Mn({inputs:{x:f},backend:t,attrs:{perm:p}}),b=Ln({inputs:{x:Wn({inputs:{x:h},backend:t,attrs:{shape:l}})},backend:t,attrs:{begin:c,size:m}});return t.disposeData(f.dataId),t.disposeData(h.dataId),t.disposeData(f.dataId),b}};function qn(e){const{inputs:{x:n},attrs:{dtype:t},backend:a}=e,r=a.makeOutput(n.shape,t),s=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(s),r}const Vn={kernelName:g,backendName:"wasm",kernelFunc:qn},Gn=bn(w);let $n;const Kn={kernelName:k,backendName:"wasm",setupFunc:function(e){$n=e.wasm.cwrap(k,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,{clipValueMin:s,clipValueMax:u}=a,i=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,r.dtype),d=t.dataIdMap.get(o.dataId).id;return $n(i,s,u,d),o}};function Qn(e){const{inputs:n,backend:a}=e,s=t.parseAxisParam(e.attrs.axis,n[0].shape)[0];let u=r.computeOutShape(n.map((e=>e.shape)),s);const i=n.filter((e=>t.sizeFromShape(e.shape)>0));if(1===i.length)return In({inputs:{x:i[0]},backend:a});const o=a.makeOutput(u,n[0].dtype);if(0===t.sizeFromShape(u))return o;const d=i.map((e=>e.shape));if(r.assertParamsConsistent(d,s),"string"===i[0].dtype){const e=i.map((e=>{const n=t.sizeFromShape(e.shape.slice(s));return Wn({inputs:{x:e},backend:a,attrs:{shape:[-1,n]}})})),d=e.map((e=>({vals:a.readSync(e.dataId),shape:e.shape})));u=r.computeOutShape(e.map((e=>e.shape)),1);const p=1===e[0].shape[0],l=function(e,n,a,s){const u=t.getArrayFromDType(a,t.sizeFromShape(n));if(s&&"string"!==a){let n=0;e.forEach((e=>{const a=t.sizeFromShape(e.shape);u.set(e.vals,n),n+=a}))}else{let t=0;e.forEach((e=>{const s="string"===a?r.fromUint8ToStringArray(e.vals):e.vals;let i=0;for(let a=0;a<e.shape[0];++a){const r=a*n[1]+t;for(let n=0;n<e.shape[1];++n)u[r+n]=s[i++]}t+=e.shape[1]}))}return u}(d,u,n[0].dtype,p),c=r.computeOutShape(i.map((e=>e.shape)),s);o.shape=c;return a.dataIdMap.get(o.dataId).stringBytes=r.fromStringArrayToUint8(l),e.forEach((e=>a.disposeData(e.dataId))),o}const p=t.sizeFromShape(i[0].shape.slice(0,s));let l=0;const c=i.map((e=>{const n=t.sizeFromShape(e.shape.slice(s));return l+=n,n})),m=i.map((e=>a.typedArrayFromHeap(e))),f=a.typedArrayFromHeap(o);for(let e=0;e<p;e++){let n=e*l;for(let t=0;t<m.length;t++){const a=c[t],r=e*a,s=m[t].subarray(r,r+a);f.set(s,n),n+=a}}return o}const Xn={kernelName:I,backendName:"wasm",kernelFunc:Qn};let Zn;const Yn={kernelName:v,backendName:"wasm",setupFunc:function(e){Zn=e.wasm.cwrap(v,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:s,filter:u}=n,i=a.dataIdMap.get(s.dataId).id,o=a.dataIdMap.get(u.dataId).id,{strides:d,dilations:p,pad:l,dimRoundingMode:c,dataFormat:m}=t,f=r.convertConv2DDataFormat(m),h=r.computeConv2DInfo(s.shape,u.shape,d,p,l,c,!1,f),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,w=h.padInfo.bottom,k=h.padInfo.left,I=h.dilationHeight,v=h.dilationWidth,S=h.strideHeight,M=h.strideWidth,x=h.inChannels,A=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error(`wasm backend Conv2D does not support dataFormat:'${h.dataFormat}'. Please use 'channelsLast'.`);const N=a.makeOutput(h.outShape,"float32"),E=a.dataIdMap.get(N.dataId).id;return Zn(i,s.shape[0],s.shape[1],s.shape[2],o,b,_,y,g,w,k,F,I,v,S,M,x,A,E),N}};let Jn;const et={kernelName:S,backendName:"wasm",setupFunc:function(e){Jn=e.wasm.cwrap(S,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{dy:u,filter:i}=a,{strides:o,pad:d,dataFormat:p,dimRoundingMode:l,inputShape:c}=s,m=r.convertConv2DDataFormat(p),f=r.computeConv2DInfo(c,i.shape,o,1,d,l,!1,m),{batchSize:h,filterHeight:b,filterWidth:_,inChannels:y,inHeight:g,inWidth:w,outChannels:k,outHeight:I,outWidth:v,strideHeight:S,strideWidth:M}=f,x=b-1-f.padInfo.top,A=_-1-f.padInfo.left,F="channelsLast"===f.dataFormat,N=t.computeStrides(f.inShape),E=t.computeStrides(u.shape),[R,C,D]=t.computeStrides(i.shape),T=N[0],O=F?N[1]:N[2],W=F?N[2]:1,P=F?1:N[1],j=E[0],z=F?E[1]:E[2],H=F?E[2]:1,L=F?1:E[1],U=n.makeOutput(f.inShape,"float32"),B=n.dataIdMap.get(U.dataId).id,q=n.dataIdMap.get(u.dataId).id,V=n.dataIdMap.get(i.dataId).id;return Jn(q,V,h,b,_,g,w,y,I,v,k,S,M,x,A,R,C,D,T,O,W,P,j,z,H,L,B),U}},nt=bn(M),tt=bn(x);var at;let rt;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(at||(at={}));const st={kernelName:A,backendName:"wasm",setupFunc:function(e){rt=e.wasm.cwrap(A,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{method:r,extrapolationValue:s,cropSize:u}=a,{image:i,boxes:o,boxInd:d}=t,p=o.shape[0],[l,c]=u,m=[p,l,c,i.shape[3]];let f,h=n.dataIdMap.get(i.dataId);"float32"!==i.dtype&&(f=qn({backend:n,inputs:{x:i},attrs:{dtype:"float32"}}),h=n.dataIdMap.get(f.dataId));const b=h.id,_=n.dataIdMap.get(o.dataId).id,y=n.dataIdMap.get(d.dataId).id,g=n.makeOutput(m,"float32"),w=n.dataIdMap.get(g.dataId).id,k=new Uint8Array(new Int32Array(i.shape).buffer);return rt(b,_,y,p,k,l,c,at[r],s,w),null!=f&&n.disposeData(f.dataId),g}};let ut;const it={kernelName:F,backendName:"wasm",setupFunc:function(e){ut=e.wasm.cwrap(F,null,["number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:a,attrs:s}=e,{x:u}=n,{axis:i,exclusive:o,reverse:d}=s,p=u.shape.length;t.assert("float32"===u.dtype||"int32"===u.dtype,(()=>`cumsum does not support ${u.dtype} tensors in the WASM backend`));const l=r.getAxesPermutation([i],p);let c=u;null!==l&&(c=Mn({inputs:{x:u},attrs:{perm:l},backend:a}));const m=r.getInnerMostAxes(1,p)[0];r.assertAxesAreInnerMostDims("cumsum",[m],p);const f=a.makeOutput(c.shape,c.dtype),h=c.shape[m],b=a.dataIdMap.get(c.dataId).id,_=a.dataIdMap.get(f.dataId).id;ut(b,o?1:0,d?1:0,h,_,cn[u.dtype]);let y=f;if(null!==l){y=Mn({inputs:{x:f},attrs:{perm:r.getUndoAxesPermutation(l)},backend:a}),a.disposeData(c.dataId),a.disposeData(f.dataId)}return y}};let ot;const dt={kernelName:N,backendName:"wasm",setupFunc:function(e){ot=e.wasm.cwrap(N,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{blockSize:u,dataFormat:i}=r,o=s.shape[0],d=("NHWC"===i?s.shape[1]:s.shape[2])*u,p=("NHWC"===i?s.shape[2]:s.shape[3])*u,l=("NHWC"===i?s.shape[3]:s.shape[1])/(u*u),c="NHWC"===i?[o,d,p,l]:[o,l,d,p],m=n.makeOutput(c,"float32"),f=n.dataIdMap.get(s.dataId).id,h=new Uint8Array(new Int32Array(t.computeStrides(s.shape)).buffer),b=new Uint8Array(new Int32Array(c).buffer),_=new Uint8Array(new Int32Array(t.computeStrides(c)).buffer),y=n.dataIdMap.get(m.dataId).id;return ot(f,u,"NHWC"===i?1:0,h,s.shape.length-1,b,_,c.length,y),m}};let pt;const lt={kernelName:E,backendName:"wasm",setupFunc:function(e){pt=e.wasm.cwrap(E,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:s,filter:u}=n,i=a.dataIdMap.get(s.dataId).id,o=a.dataIdMap.get(u.dataId).id,{strides:d,dilations:p,pad:l,dimRoundingMode:c}=t,m=null==p?[1,1]:p,f=r.computeConv2DInfo(s.shape,u.shape,d,m,l,c,!0),h=f.filterHeight,b=f.filterWidth,_=f.padInfo.top,y=f.padInfo.right,g=f.padInfo.bottom,w=f.padInfo.left,k=f.dilationHeight,I=f.dilationWidth,v=f.strideHeight,S=f.strideWidth,M=f.inChannels,x=f.outChannels,A="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error(`wasm backend DepthwiseConv2dNative does not support dataFormat:'${f.dataFormat}'. Please use 'channelsLast'.`);const F=a.makeOutput(f.outShape,"float32"),N=a.dataIdMap.get(F.dataId).id;return pt(i,s.shape[0],s.shape[1],s.shape[2],o,h,b,_,y,g,w,A,k,I,v,S,M,x,N),F}},ct=bn(R),mt=yn(C,0,"bool"),ft=bn(D,"float32");function ht(e){const{inputs:n,attrs:a,backend:r}=e,{input:s}=n,{dim:u}=a,i=s.shape.length,o=s.shape.slice();let d=u;return u<0&&(t.assert(-(i+1)<=u,(()=>`Axis must be in the interval [${-(i+1)}, ${i}]`)),d=i+u+1),o.splice(d,0,1),Wn({inputs:{x:s},backend:r,attrs:{shape:o}})}const bt={kernelName:T,backendName:"wasm",kernelFunc:ht};function _t(e){const{attrs:{shape:n,value:t,dtype:a},backend:r}=e,s=r.makeOutput(n,a);return r.typedArrayFromHeap(s).fill(t),s}const yt={kernelName:O,backendName:"wasm",kernelFunc:_t};let gt;const wt={kernelName:W,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t}=e,{image:a}=n,r=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id,[i,o,d,p]=a.shape;return gt(s,i,o,d,p,u),r},setupFunc:function(e){gt=e.wasm.cwrap(W,null,["number","number","number","number","number","number"])}},kt=bn(P),It=yn(j);let vt;const St={kernelName:z,backendName:"wasm",setupFunc:function(e){vt=e.wasm.cwrap(z,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{varianceEpsilon:s}=r,{x:u,mean:i,variance:o,offset:d,scale:p}=a,l=n.dataIdMap.get(u.dataId).id,c=n.dataIdMap.get(i.dataId).id,m=n.dataIdMap.get(o.dataId).id,f=null!=d?n.dataIdMap.get(d.dataId).id:0,h=null!=p?n.dataIdMap.get(p.dataId).id:0,b=n.makeOutput(u.shape,u.dtype);if(0===t.sizeFromShape(u.shape))return b;const _=n.dataIdMap.get(b.dataId).id;return vt(l,c,m,f,h,s,_),b}};let Mt;const xt={kernelName:H,backendName:"wasm",setupFunc:function(e){Mt=e.wasm.cwrap(H,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:s,filter:u,bias:i,preluActivationWeights:o}=n,{strides:d,pad:p,dilations:l,dataFormat:c,dimRoundingMode:m,activation:f,leakyreluAlpha:h}=t,b=r.computeConv2DInfo(s.shape,u.shape,d,l,p,m),_=mn[f];if(null==_)throw new Error(`${f} activation not yet supported for FusedConv2D in the wasm backend.`);const y=a.dataIdMap.get(s.dataId).id,g=a.dataIdMap.get(u.dataId).id,w=b.outChannels;let k=0;if(null!=i){const e=a.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);k=e.id}const I=b.filterHeight,v=b.filterWidth,S=b.padInfo.top,M=b.padInfo.right,x=b.padInfo.bottom,A=b.padInfo.left,F=b.dilationHeight,N=b.dilationWidth,E=b.strideHeight,R=b.strideWidth,C=b.inChannels,D="SAME"===b.padInfo.type?1:0,T=b.batchSize,O=b.inHeight,W=b.inWidth;if("NHWC"!==c)throw new Error(`wasm backend FusedConv2D does not support dataFormat:'${c}'. Please use 'NHWC'.`);const P=a.makeOutput(b.outShape,"float32"),j=a.dataIdMap.get(P.dataId).id,z=null==o?0:a.dataIdMap.get(o.dataId).id;return Mt(y,T,O,W,g,I,v,k,S,M,x,A,D,F,N,E,R,C,w,_,z,h||0,j),P}};let At;const Ft={kernelName:L,backendName:"wasm",setupFunc:function(e){At=e.wasm.cwrap(L,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:s,filter:u,bias:i,preluActivationWeights:o}=n,{strides:d,pad:p,dilations:l,dataFormat:c,dimRoundingMode:m,activation:f,leakyreluAlpha:h}=t,b=r.computeConv2DInfo(s.shape,u.shape,d,l,p,m,!0),_=mn[f];if(null==_)throw new Error(`${f} activation not yet supported for FusedDepthwiseConv2D in the wasm backend.`);const y=a.dataIdMap.get(s.dataId).id,g=a.dataIdMap.get(u.dataId).id,w=b.outChannels;let k=0;if(null!=i){const e=a.dataIdMap.get(i.dataId);if(1!==e.shape.length)throw new Error(`FusedDepthwiseConv2D only supports rank-1 bias but got rank ${e.shape.length}.`);if(e.shape[0]!==w)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not match the number of output channels (${w})`);k=e.id}const I=b.filterHeight,v=b.filterWidth,S=b.padInfo.top,M=b.padInfo.right,x=b.padInfo.bottom,A=b.padInfo.left,F=b.dilationHeight,N=b.dilationWidth,E=b.strideHeight,R=b.strideWidth,C=b.inChannels,D="SAME"===b.padInfo.type?1:0,T=b.batchSize,O=b.inHeight,W=b.inWidth;if("NHWC"!==c)throw new Error(`wasm backend FusedDepthwiseConv2D does not support dataFormat:'${c}'. Please use 'NHWC'.`);const P=a.makeOutput(b.outShape,"float32"),j=a.dataIdMap.get(P.dataId).id,z=null==o?0:a.dataIdMap.get(o.dataId).id;return At(y,T,O,W,g,I,v,k,S,M,x,A,D,F,N,E,R,C,w,_,z,h||0,j),P}};let Nt;const Et={kernelName:U,backendName:"wasm",setupFunc:function(e){Nt=e.wasm.cwrap(U,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:t}=e,{params:a,indices:r}=t,[s,u,i,o]=B.prepareAndValidate(a,r),d=n.makeOutput(s,a.dtype);if(0===u)return d;const p=r.shape,l=p[p.length-1],c=n.dataIdMap.get(a.dataId).id,m=n.dataIdMap.get(r.dataId).id,f=new Uint8Array(new Int32Array(o).buffer),h=n.dataIdMap.get(d.dataId).id;return Nt(c,cn[a.dtype],m,u,l,i,f,h),d}};let Rt;const Ct={kernelName:q,backendName:"wasm",setupFunc:function(e){Rt=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{x:u,indices:i}=a,{axis:o,batchDims:d}=s,p=t.parseAxisParam(o,u.shape)[0],l=n.readSync(i.dataId),c=u.shape[p];for(let e=0;e<l.length;++e){const n=l[e];t.assert(n<=c-1&&n>=0,(()=>`GatherV2: the index value ${n} is not in [0, ${c-1}]`))}const m=r.segment_util.collectGatherOpShapeInfo(u,i,p,d),f=Wn({inputs:{x:u},attrs:{shape:[m.batchSize,m.outerSize,m.dimSize,m.sliceSize]},backend:n}),h=t.sizeFromShape(i.shape),b=Wn({inputs:{x:i},attrs:{shape:[m.batchSize,h/m.batchSize]},backend:n}),_=[m.batchSize,m.outerSize,h/m.batchSize,m.sliceSize],y=n.makeOutput(_,u.dtype);if(0===t.sizeFromShape(u.shape))return y;const g=f.shape.length-1,w=n.dataIdMap.get(f.dataId).id,k=n.dataIdMap.get(b.dataId).id,I=n.dataIdMap.get(y.dataId).id,v=new Uint8Array(new Int32Array(t.computeStrides(f.shape)).buffer),S=new Uint8Array(new Int32Array(t.computeStrides(_)).buffer);return Rt(w,cn[u.dtype],v,g,k,m.batchSize,S,I),n.disposeData(f.dataId),n.disposeData(b.dataId),y.shape=m.outputShape,y}},Dt=yn(V,0,"bool"),Tt=yn(G,0,"bool");let Ot;const Wt={kernelName:$,backendName:"wasm",setupFunc:function(e){Ot=e.wasm.cwrap($,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:{x:n},attrs:{alpha:a},backend:r}=e,s=r.dataIdMap.get(n.dataId).id,u=r.makeOutput(n.shape,"float32");if(0!==t.sizeFromShape(n.shape)){const e=r.dataIdMap.get(u.dataId).id;Ot(s,cn[n.dtype],a,e)}return u}},Pt=yn(K,0,"bool"),jt=yn(Q,0,"bool"),zt=bn(X),Ht=yn(Z,0,"bool");let Lt;const Ut={kernelName:Y,backendName:"wasm",setupFunc:function(e){Lt=e.wasm.cwrap(Y,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{reductionIndices:u,keepDims:i}=s,{x:o}=a;let d=n.dataIdMap.get(o.dataId).id,p=o;const{transposed:l,axes:c,originalAxes:m,inputWasTransposed:f}=An(o,u,n);if(f){p=l,d=n.dataIdMap.get(l.dataId).id}const h=p.shape.length;r.assertAxesAreInnerMostDims("max",c,h);const[b,_]=r.computeOutAndReduceShapes(p.shape,c),y=t.sizeFromShape(_),g=n.makeOutput(b,o.dtype);if(0!==t.sizeFromShape(p.shape)){const e=n.dataIdMap.get(g.dataId).id;Lt(d,cn[o.dtype],y,e)}if(f&&n.disposeData(l.dataId),i){const e=r.expandShapeToKeepDim(g.shape,m);g.shape=e}return g}},Bt=yn(J);let qt;const Vt={kernelName:ee,backendName:"wasm",setupFunc:function(e){qt=e.wasm.cwrap(ee,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:a,backend:s}=e,u=n.x,i=s.dataIdMap.get(u.dataId).id;t.assert("float32"===u.dtype,(()=>`Error in MaxPool: only float32 input is supported. Got ${u.dtype}.`));const{filterSize:o,strides:d,pad:p,dimRoundingMode:l}=a,c=r.computePool2DInfo(u.shape,o,d,1,p,l),m=c.filterHeight,f=c.filterWidth,h=c.padInfo.top,b=c.padInfo.right,_=c.padInfo.bottom,y=c.padInfo.left,g=c.dilationHeight,w=c.dilationWidth,k=c.strideHeight,I=c.strideWidth,v=c.inChannels,S=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error(`wasm backend does not support dataFormat:'${c.dataFormat}'. Please use 'channelsLast'.`);const M=s.makeOutput(c.outShape,"float32"),x=s.dataIdMap.get(M.dataId).id;return qt(i,u.shape[0],u.shape[1],u.shape[2],m,f,h,b,_,y,g,w,k,I,v,S,x),M}};let Gt;const $t={kernelName:ne,backendName:"wasm",setupFunc:function(e){Gt=e.wasm.cwrap(ne,null,["number, number, number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let p=d,l=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=An(o,u,n);let b=m;if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(l=c,p=e,b=r.getInnerMostAxes(b.length,l.shape.length))}r.assertAxesAreInnerMostDims("mean",b,l.shape.length);const[_,y]=r.computeOutAndReduceShapes(l.shape,b),g=t.sizeFromShape(y);let w=l;"float32"!==l.dtype&&(w=qn({backend:n,inputs:{x:l},attrs:{dtype:"float32"}}),p=n.dataIdMap.get(w.dataId).id);const k=n.makeOutput(_,"float32");if(0!==t.sizeFromShape(l.shape)){const e=n.dataIdMap.get(k.dataId).id;Gt(p,g,e)}if(h&&n.disposeData(c.dataId),i){const e=r.expandShapeToKeepDim(k.shape,f);k.shape=e}return"float32"!==l.dtype&&n.disposeData(w.dataId),k}};let Kt;const Qt={kernelName:te,backendName:"wasm",setupFunc:function(e){Kt=e.wasm.cwrap(te,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let p=d,l=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=An(o,u,n);if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(l=c,p=e)}const b=l.shape.length;r.assertAxesAreInnerMostDims("min",m,b);const[_,y]=r.computeOutAndReduceShapes(l.shape,m),g=t.sizeFromShape(y),w=n.makeOutput(_,l.dtype);if(0!==t.sizeFromShape(l.shape)){const e=n.dataIdMap.get(w.dataId).id;Kt(p,cn[o.dtype],g,e)}if(h&&n.disposeData(c.dataId),i){const e=r.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},Xt=yn(ae);var Zt;let Yt;!function(e){e[e.reflect=0]="reflect",e[e.symmetric=1]="symmetric"}(Zt||(Zt={}));const Jt={kernelName:re,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:a,mode:r}}=e,s=a.map(((e,t)=>e[0]+n.shape[t]+e[1])),u=t.dataIdMap.get(n.dataId).id,i=t.makeOutput(s,n.dtype),o=t.dataIdMap.get(i.dataId).id,d=new Uint8Array(new Int32Array(n.shape).buffer),p=a.map((e=>e[0])),l=a.map((e=>e[1])),c=new Uint8Array(new Int32Array(p).buffer),m=new Uint8Array(new Int32Array(l).buffer);return Yt(u,d,n.shape.length,cn[n.dtype],c,m,Zt[r],o),i},setupFunc:function(e){Yt=e.wasm.cwrap(re,null,["number","array","number","number","array","array","number","number"])}},ea=yn(se),na=bn(ue);function ta(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],s=t[2],u=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:s,pValidOutputs:u}}let aa;const ra={kernelName:ie,backendName:"wasm",setupFunc:function(e){aa=e.wasm.cwrap(ie,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u}=a,{boxes:i,scores:o}=t,d=n.dataIdMap.get(i.dataId).id,p=n.dataIdMap.get(o.dataId).id,l=aa(d,p,s,r,u),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f,pValidOutputs:h}=ta(n,l);return n.wasm._free(f),n.wasm._free(h),n.makeOutput([m],"int32",c)}};let sa;const ua={kernelName:oe,backendName:"wasm",setupFunc:function(e){sa=e.wasm.cwrap(oe,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,padToMaxOutputSize:i}=a,{boxes:o,scores:d}=t,p=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(d.dataId).id,c=sa(p,l,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=ta(n,c);return n.wasm._free(h),[n.makeOutput([f],"int32",m),n.makeOutput([],"int32",b)]}};let ia;const oa={kernelName:de,backendName:"wasm",setupFunc:function(e){ia=e.wasm.cwrap(de,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:s,scoreThreshold:u,softNmsSigma:i}=a,{boxes:o,scores:d}=t,p=n.dataIdMap.get(o.dataId).id,l=n.dataIdMap.get(d.dataId).id,c=ia(p,l,s,r,u,i),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h,pValidOutputs:b}=ta(n,c);return n.wasm._free(b),[n.makeOutput([f],"int32",m),n.makeOutput([f],"float32",h)]}},da=yn(pe,0,"bool");let pa;const la={kernelName:le,backendName:"wasm",setupFunc:function(e){pa=e.wasm.cwrap(le,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{indices:r}=n,{depth:s,onValue:u,offValue:i}=a,o=t.makeOutput([...r.shape,s],"int32"),d=t.dataIdMap.get(o.dataId).id,p=t.dataIdMap.get(r.dataId).id;return pa(p,s,u,i,d),o}};const ca={kernelName:ce,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};const ma={kernelName:me,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{axis:s}=r;if(1===n.length)return ht({inputs:{input:n[0]},backend:a,attrs:{dim:s}});const u=n[0].shape,i=n[0].dtype;n.forEach((e=>{t.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),t.assert(i===e.dtype,(()=>"All tensors passed to stack must have matching dtypes"))}));const o=[],d=Qn({inputs:n.map((e=>{const n=ht({inputs:{input:e},backend:a,attrs:{dim:s}});return o.push(n),n})),backend:a,attrs:{axis:s}});return o.forEach((e=>a.disposeData(e.dataId))),d}};let fa;const ha={kernelName:fe,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:a,attrs:{paddings:r,constantValue:s}}=e,u=r.map(((e,t)=>e[0]+n.shape[t]+e[1]));if(0===t.sizeFromShape(n.shape))return _t({backend:a,attrs:{shape:u,value:s,dtype:n.dtype}});const i=a.dataIdMap.get(n.dataId).id,o=a.makeOutput(u,n.dtype),d=a.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),l=r.map((e=>e[0])),c=r.map((e=>e[1])),m=new Uint8Array(new Int32Array(l).buffer),f=new Uint8Array(new Int32Array(c).buffer);return fa(i,p,n.shape.length,cn[n.dtype],m,f,s,d),o},setupFunc:function(e){fa=e.wasm.cwrap(fe,null,["number","array","number","number","array","array","number","number"])}},ba=yn(he);let _a;const ya={kernelName:be,backendName:"wasm",setupFunc:function(e){_a=e.wasm.cwrap(be,null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:a,alpha:r}=n,s=t.dataIdMap.get(a.dataId).id,u=t.dataIdMap.get(r.dataId).id;let i=s;const o=a;let d=o;"float32"!==o.dtype&&(d=qn({backend:t,inputs:{x:a},attrs:{dtype:"float32"}}),i=t.dataIdMap.get(d.dataId).id);const p=t.makeOutput(a.shape,"float32"),l=t.dataIdMap.get(p.dataId).id;return _a(i,u,l),"float32"!==o.dtype&&t.disposeData(d.dataId),p}};let ga;const wa={kernelName:_e,backendName:"wasm",setupFunc:function(e){ga=e.wasm.cwrap(_e,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let p=d,l=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=An(o,u,n);let b=m;if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(l=c,p=e,b=r.getInnerMostAxes(b.length,l.shape.length))}r.assertAxesAreInnerMostDims("prod",b,l.shape.length);const[_,y]=r.computeOutAndReduceShapes(l.shape,b),g=t.sizeFromShape(y),w=n.makeOutput(_,l.dtype);if(0!==t.sizeFromShape(l.shape)){const e=n.dataIdMap.get(w.dataId).id;ga(p,g,cn[w.dtype],e)}if(h&&n.disposeData(c.dataId),i){const e=r.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},ka={kernelName:ye,backendName:"wasm",kernelFunc:e=>{const{backend:n,attrs:a}=e,{start:r,stop:s,step:u,dtype:i}=a,o=function(e,n,a,r){if(e===n||e<n&&a<0||n<e&&a>1)return t.makeZerosTypedArray(0,r);const s=Math.abs(Math.ceil((n-e)/a)),u=t.makeZerosTypedArray(s,r);n<e&&1===a&&(a=-1),u[0]=e;for(let e=1;e<u.length;e++)u[e]=u[e-1]+a;return u}(r,s,u,i),d=n.makeOutput([o.length],i);return n.typedArrayFromHeap(d).set(o),d}},Ia=yn(ge),va=bn(we),Sa=bn(ke);let Ma;const xa={kernelName:Ie,backendName:"wasm",setupFunc:function(e){Ma=e.wasm.cwrap(Ie,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{images:s}=a,{alignCorners:u,halfPixelCenters:i,size:o}=r,[d,p]=o,[l,c,m,f]=s.shape,h=[l,d,p,f];let b,_=n.dataIdMap.get(s.dataId);"float32"!==_.dtype&&(b=qn({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),_=n.dataIdMap.get(b.dataId));const y=_.id,g=n.makeOutput(h,"float32");if(0===t.sizeFromShape(s.shape))return g;const w=n.dataIdMap.get(g.dataId).id;return Ma(y,l,c,m,f,d,p,u?1:0,i?1:0,w),null!=b&&n.disposeData(b.dataId),g}};let Aa;const Fa={kernelName:ve,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:r}=e,{x:s}=n,{dims:u}=r,i=t.parseAxisParam(u,s.shape);if(0===s.shape.length)return In({inputs:{x:s},backend:a});const o=a.makeOutput(s.shape,s.dtype),d=a.dataIdMap.get(s.dataId).id,p=a.dataIdMap.get(o.dataId).id,l=new Uint8Array(new Int32Array(i).buffer),c=new Uint8Array(new Int32Array(s.shape).buffer);Aa(d,l,i.length,c,s.shape.length,p);const m=Wn({inputs:{x:o},attrs:{shape:s.shape},backend:a});return a.disposeData(o.dataId),m},setupFunc:function(e){Aa=e.wasm.cwrap(ve,null,["number","array","number","array","number","number"])}};let Na;const Ea={kernelName:Se,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{image:s}=n,{radians:u,fillValue:i,center:o}=a,d=t.makeOutput(s.shape,s.dtype),p=t.dataIdMap.get(s.dataId).id,l=t.dataIdMap.get(d.dataId).id,[c,m,f,h]=s.shape,[b,_]=r.getImageCenter(o,m,f),y="number"==typeof i?[i,i,i,0===i?0:255]:[...i,255],g=new Uint8Array(new Int32Array(y).buffer);return Na(p,c,m,f,h,u,b,_,g,y.length,l),d},setupFunc:function(e){Na=e.wasm.cwrap(Se,null,["number","number","number","number","number","number","number","number","array","number","number"])}},Ra=bn(Me),Ca=bn(xe);let Da;const Ta={kernelName:Ae,backendName:"wasm",setupFunc:function(e){Da=e.wasm.cwrap(Ae,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{indices:s,updates:u}=a,{shape:i}=r,o=n.makeOutput(i,u.dtype);if(0===t.sizeFromShape(i))return o;const{sliceRank:d,numUpdates:p,sliceSize:l,strides:c,outputSize:m}=Fe.calculateShapes(u,s,i),f=n.dataIdMap.get(s.dataId).id,h=n.dataIdMap.get(u.dataId).id,b=new Uint8Array(new Int32Array(c).buffer),_=n.dataIdMap.get(o.dataId).id;return Da(f,h,cn[u.dtype],d,p,l,b,m,_),o}};let Oa;const Wa={kernelName:Ne,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a}=e,{condition:r,t:s,e:u}=n,i=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(s.dataId).id,d=a.dataIdMap.get(u.dataId).id,p=a.makeOutput(s.shape,s.dtype),l=a.dataIdMap.get(p.dataId).id,c=r.shape.length,m=s.shape.length,f=0===c||c>1||1===m?1:t.sizeFromShape(s.shape.slice(1));return Oa(i,o,d,f,l),p},setupFunc:function(e){Oa=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}};let Pa;const ja={kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){Pa=e.wasm.cwrap(Ee,null,["number","number"])},kernelFunc:function(e){const{backend:n,inputs:{x:a}}=e,r=n.dataIdMap.get(a.dataId).id,s=n.makeOutput(a.shape,a.dtype),u=n.dataIdMap.get(s.dataId).id;return 0===t.sizeFromShape(s.shape)||Pa(r,u),s}},za=bn(Re);let Ha;const La={kernelName:Ce,backendName:"wasm",setupFunc:function(e){Ha=e.wasm.cwrap(Ce,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:{logits:a},attrs:{dim:r}}=e,s=n.dataIdMap.get(a.dataId).id,u=n.makeOutput(a.shape,a.dtype),i=n.dataIdMap.get(u.dataId).id,o=a.shape[r],d=t.sizeFromShape(a.shape)/o;return 0===t.sizeFromShape(u.shape)||Ha(s,i,o,d),u}};const Ua={kernelName:De,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:a,attrs:s}=e,{x:u}=n,{blockShape:i,paddings:o}=s,d=t.sizeFromShape(i),p=[[0,0]];p.push(...o);for(let e=1+i.length;e<u.shape.length;++e)p.push([0,0]);const l=ha.kernelFunc({inputs:{x:u},backend:a,attrs:{paddings:p,constantValue:0}}),c=r.getReshaped(l.shape,i,d,!1),m=r.getPermuted(c.length,i.length,!1),f=r.getReshapedPermuted(l.shape,i,d,!1),h=Wn({inputs:{x:l},backend:a,attrs:{shape:c}}),b=Mn({inputs:{x:h},backend:a,attrs:{perm:m}}),_=Wn({inputs:{x:b},backend:a,attrs:{shape:f}});return a.disposeData(l.dataId),a.disposeData(h.dataId),a.disposeData(b.dataId),_}};let Ba;const qa={kernelName:Te,backendName:"wasm",setupFunc:function(e){Ba=e.wasm.cwrap("SparseFillEmptyRows","number",["number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t}=e,{indices:a,values:s,denseShape:u,defaultValue:i}=t,o=a.shape[0],d=a.shape[1],p=n.readSync(u.dataId)[0],l=[o+p,d],c=n.dataIdMap.get(a.dataId).id,m=n.dataIdMap.get(s.dataId).id,f=n.dataIdMap.get(i.dataId).id,h=n.makeOutput(l,a.dtype),b=n.dataIdMap.get(h.dataId).id,_=n.makeOutput(l.slice(0,1),s.dtype),y=n.dataIdMap.get(_.dataId).id,g=n.makeOutput([p],"bool"),w=n.dataIdMap.get(g.dataId).id,k=n.makeOutput([o],a.dtype),I=n.dataIdMap.get(k.dataId).id,v=n.makeOutput([4],"int32"),S=n.dataIdMap.get(v.dataId).id,M=Ba(c,m,cn[s.dtype],o,p,d,f,b,y,w,I,S),x=n.readSync(v.dataId);let A;switch(x[0]){case 1:A=r.getSparseFillEmptyRowsIndicesDenseShapeMismatch(x[1]);break;case 2:A=r.getSparseFillEmptyRowsNegativeIndexErrorMessage(x[1],x[2]);break;case 3:A=r.getSparseFillEmptyRowsOutOfRangeIndexErrorMessage(x[1],x[2],x[3]);break;default:A=""}if(n.disposeData(v.dataId),A)throw n.disposeData(h.dataId),n.disposeData(_.dataId),n.disposeData(g.dataId),n.disposeData(k.dataId),new Error(A);let F=h,N=_;return M!==l[0]&&(F=Ln({inputs:{x:h},attrs:{begin:0,size:[M,d]},backend:n}),N=Ln({inputs:{x:_},attrs:{begin:0,size:M},backend:n}),n.disposeData(h.dataId),n.disposeData(_.dataId)),[F,N,g,k]}};let Va;const Ga={kernelName:Oe,backendName:"wasm",setupFunc:function(e){Va=e.wasm.cwrap(Oe,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a}=e,{inputIndices:s,inputShape:u,newShape:i}=a;if(2!==s.shape.length)throw new Error(`Input indices should be a matrix but received shape\n        ${s.shape}`);if(1!==u.shape.length)throw new Error(`Input shape should be a vector but received shape\n        ${u.shape}`);if(1!==i.shape.length)throw new Error(`Target shape should be a vector but received shape ${i.shape}`);const o=n.dataIdMap.get(s.dataId).id,d=n.dataIdMap.get(u.dataId).id,p=n.dataIdMap.get(i.dataId).id,l=s.shape[0],c=t.sizeFromShape(i.shape),m=n.makeOutput([l,c],s.dtype),f=n.dataIdMap.get(m.dataId).id,h=n.makeOutput([c],i.dtype),b=n.dataIdMap.get(h.dataId).id,_=n.makeOutput([3],"int32"),y=n.dataIdMap.get(_.dataId).id;Va(o,d,p,l,f,b,y);const g=n.readSync(_.dataId);let w;switch(g[0]){case 0:w=r.getSparseReshapeMultipleNegativeOneOutputDimErrorMessage(g[1],g[2]);break;case 1:w=r.getSparseReshapeNegativeOutputDimErrorMessage(g[1],g[2]);break;case 2:w=r.getSparseReshapeEmptyTensorZeroOutputDimErrorMessage();break;case 3:{const e=Array.from(n.readSync(u.dataId)),t=Array.from(n.readSync(h.dataId));w=r.getSparseReshapeInputOutputMultipleErrorMessage(e,t);break}case 4:{const e=Array.from(n.readSync(u.dataId)),t=Array.from(n.readSync(h.dataId));w=r.getSparseReshapeInputOutputMismatchErrorMessage(e,t);break}default:w=""}if(n.disposeData(_.dataId),w)throw n.disposeData(m.dataId),n.disposeData(h.dataId),new Error(w);return[m,h]}};let $a;function Ka(e){$a=e.wasm.cwrap("SparseSegmentReduction",null,["number","number","number","number","number","number","number","number","number"])}function Qa(e,n){const{backend:t,inputs:a}=e,{data:s,indices:u,segmentIds:i}=a,o=u.shape[0],d=t.readSync(i.dataId,o-1,o)[0],p=o>0?d+1:0;if(p<0)throw new Error(r.getSparseSegmentReductionNegativeSegmentIdsErrorMessage());const l=s.shape.slice();l[0]=p;const c=t.dataIdMap.get(s.dataId).id,m=t.dataIdMap.get(u.dataId).id,f=t.dataIdMap.get(i.dataId).id,h=t.makeOutput(l,s.dtype),b=t.dataIdMap.get(h.dataId).id,_=t.makeOutput([4],"int32"),y=t.dataIdMap.get(_.dataId).id;$a(c,cn[s.dtype],s.shape[0],m,f,b,y,n,0);const g=t.readSync(_.dataId);let w;switch(g[0]){case 0:w=r.getSparseSegmentReductionNegativeSegmentIdsErrorMessage();break;case 1:w=r.getSparseSegmentReductionNonIncreasingSegmentIdsErrorMessage();break;case 2:w=r.getSparseSegmentReductionSegmentIdOutOfRangeErrorMessage(g[1],g[2]);break;case 3:w=r.getSparseSegmentReductionIndicesOutOfRangeErrorMessage(g[1],g[2],g[3]);break;default:w=""}if(t.disposeData(_.dataId),w)throw t.disposeData(h.dataId),new Error(w);return h}const Xa={kernelName:We,backendName:"wasm",setupFunc:Ka,kernelFunc:function(e){return Qa(e,!0)}};const Za={kernelName:Pe,backendName:"wasm",setupFunc:Ka,kernelFunc:function(e){return Qa(e,!1)}};const Ya={kernelName:je,backendName:"wasm",kernelFunc:function(e){const{inputs:n,attrs:a,backend:s}=e,{x:u}=n,{numOrSizeSplits:i,axis:o}=a,d=t.parseAxisParam(o,u.shape)[0],p=r.prepareSplitSize(u,i,d),l=new Array(u.shape.length).fill(0),c=u.shape.slice();return p.map((e=>{const n=[...c];n[d]=e;const t=Ln({inputs:{x:u},attrs:{begin:l,size:n},backend:s});return l[d]+=e,t}))}},Ja=bn(ze),er=bn(He),nr=yn(Le);let tr;const ar={kernelName:Ue,backendName:"wasm",setupFunc:function(e){tr=e.wasm.cwrap(Ue,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{alpha:r}=a,{x:s}=t,u=n.dataIdMap.get(s.dataId).id,i=n.makeOutput(s.shape,s.dtype),o=n.dataIdMap.get(i.dataId).id;return tr(u,r,cn[s.dtype],o),i}};let rr;const sr={kernelName:Be,backendName:"wasm",setupFunc:function(e){rr=e.wasm.cwrap(Be,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{x:s}=a,{begin:u,end:i,strides:o,beginMask:d,endMask:p,ellipsisMask:l,newAxisMask:c,shrinkAxisMask:m}=r,{finalShapeSparse:f,finalShape:b,isIdentity:_,sliceDim0:y,isSimpleSlice:g,begin:w,end:k,strides:I}=h.sliceInfo(s.shape,u,i,o,d,p,l,c,m);let v;if(_)v=Wn({inputs:{x:s},backend:n,attrs:{shape:b}});else if(y||g){t.assert(s.shape.length>=1,(()=>`Input must have rank at least 1, got: ${s.shape.length}`));const e=h.computeOutShape(w,k,I),a=Ln({inputs:{x:s},backend:n,attrs:{begin:w,size:e}});v=Wn({inputs:{x:a},backend:n,attrs:{shape:b}}),n.disposeData(a.dataId)}else{const e=n.makeOutput(f,"float32"),a=n.dataIdMap.get(s.dataId).id,r=new Uint8Array(new Int32Array(t.computeStrides(s.shape)).buffer),u=new Uint8Array(new Int32Array(w).buffer),i=new Uint8Array(new Int32Array(k).buffer),o=new Uint8Array(new Int32Array(I).buffer),d=new Uint8Array(new Int32Array(f).buffer),p=new Uint8Array(new Int32Array(t.computeStrides(f)).buffer),l=n.dataIdMap.get(e.dataId).id;rr(a,r,s.shape.length,u,i,o,d,p,f.length,l),v=Wn({inputs:{x:e},backend:n,attrs:{shape:b}}),n.disposeData(e.dataId)}return v}},ur=yn(qe);let ir;const or={kernelName:Ve,backendName:"wasm",setupFunc:function(e){ir=e.wasm.cwrap(Ve,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:s}=e,{axis:u,keepDims:i}=s,{x:o}=a,d=n.dataIdMap.get(o.dataId).id;let p=d,l=o;const{transposed:c,axes:m,originalAxes:f,inputWasTransposed:h}=An(o,u,n);let b=m;if(h){const e=n.dataIdMap.get(c.dataId).id;e!==d&&(l=c,p=e,b=r.getInnerMostAxes(b.length,l.shape.length))}r.assertAxesAreInnerMostDims("sum",b,l.shape.length);const[_,y]=r.computeOutAndReduceShapes(l.shape,b),g=t.sizeFromShape(y),w=n.makeOutput(_,l.dtype);if(0!==t.sizeFromShape(l.shape)){const e=n.dataIdMap.get(w.dataId).id;ir(p,g,cn[w.dtype],e)}if(h&&n.disposeData(c.dataId),i){const e=r.expandShapeToKeepDim(w.shape,f);w.shape=e}return w}},dr=bn(Ge),pr=bn($e);let lr;let cr;let mr;const fr=[hn,_n,gn,kn,Nn,Rn,Dn,On,zn,Bn,Vn,Gn,Kn,Xn,Yn,et,nt,tt,st,it,dt,lt,ct,mt,ft,bt,yt,wt,kt,It,St,xt,Ft,Et,Ct,Dt,Tt,vn,Wt,Pt,jt,zt,Ht,Ut,Bt,Vt,$t,Qt,Xt,Jt,ea,na,ra,ua,oa,da,la,ca,ma,ha,ba,ya,wa,ka,Ia,va,Sa,Pn,xa,Fa,Ea,Ra,Ca,Ta,Wa,ja,za,Un,La,Ua,qa,Ga,Xa,Za,Ya,Ja,er,nr,ar,sr,ur,or,dr,pr,{kernelName:Ke,backendName:"wasm",setupFunc:function(e){lr=e.wasm.cwrap(Ke,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,s=t.dataIdMap.get(r.dataId).id,{reps:u}=a,i=new Array(r.shape.length);for(let e=0;e<i.length;e++)i[e]=r.shape[e]*u[e];const o=new Uint8Array(new Int32Array(r.shape).buffer),d=new Uint8Array(new Int32Array(i).buffer),p=t.makeOutput(i,r.dtype),l=t.dataIdMap.get(p.dataId).id;return lr(s,o,r.shape.length,d,i.length,cn[p.dtype],l),p}},{kernelName:Qe,backendName:"wasm",setupFunc:function(e){cr=e.wasm.cwrap(Qe,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:({inputs:e,backend:n,attrs:t})=>{const{x:a}=e,{k:r,sorted:s}=t,u=n.dataIdMap.get(a.dataId).id,i=new Uint8Array(new Int32Array(a.shape).buffer),o=a.shape.slice();o[o.length-1]=r;const d=n.makeOutput(o,a.dtype),p=n.dataIdMap.get(d.dataId).id,l=n.makeOutput(o,"int32"),c=n.dataIdMap.get(l.dataId).id;return cr(u,i,a.shape.length,cn[a.dtype],r,s,p,c),[d,l]}},{kernelName:Xe,backendName:"wasm",setupFunc:function(e){mr=e.wasm.cwrap(Xe,null,["number","number","bool","number","number","number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:a,attrs:r}=e,{image:s,transforms:u}=a,{interpolation:i,fillMode:o,fillValue:d,outputShape:p}=r,[l,c,m,f]=s.shape,[h,b]=null!=p?p:[c,m],_=[l,h,b,f],y=new Uint8Array(new Int32Array(t.computeStrides(s.shape)).buffer),g=n.makeOutput(_,s.dtype),w=n.dataIdMap.get(g.dataId).id,k=n.dataIdMap.get(s.dataId).id,I=n.dataIdMap.get(u.dataId).id,v="nearest"===i?1:2;let S;switch(o){case"constant":S=1;break;case"reflect":S=2;break;case"wrap":S=3;break;case"nearest":S=4;break;default:S=1}return mr(k,I,u.shape[0]>1,l,h,b,f,m,c,y,s.shape.length-1,v,S,d,w),g}},xn,{kernelName:Ze,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{value:r}=n;let{axis:s}=a;s<0&&(s+=r.shape.length);const u=r.shape[s],i=r.shape.length,o=new Array(i-1);let d=0;for(let e=0;e<i;e++)e!==s&&(o[d++]=r.shape[e]);const p=new Array(u),l=new Array(i).fill(0),c=r.shape.slice();c[s]=1;for(let e=0;e<p.length;e++)l[s]=e,p[e]=Ln({inputs:{x:r},attrs:{begin:l,size:c},backend:t});return p.map((({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:o})))}},{kernelName:Ye,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}];for(const e of fr)Je(e);const hr=en();hr.registerFlag("WASM_HAS_SIMD_SUPPORT",(async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])))),hr.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",(async()=>{if(hr.get("IS_NODE"))return!1;try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}}));var br="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function _r(e,n){return e(n={exports:{}},n.exports),n.exports}var yr=_r((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){function n(){return E.buffer!=j&&$(E.buffer),z}function a(){return E.buffer!=j&&$(E.buffer),H}function r(){return E.buffer!=j&&$(E.buffer),L}function s(){return E.buffer!=j&&$(E.buffer),U}var u,i,o,d="undefined"!=typeof(e=e||{})?e:{};d.ready=new Promise((function(e,n){u=e,i=n})),"undefined"!=typeof process&&process.listeners&&(o={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var p,l,c,m,f,h,b=Object.assign({},d),_=(e,n)=>{throw n},y="object"==typeof window,g="function"==typeof importScripts,w="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,k=d.ENVIRONMENT_IS_PTHREAD||!1,I="";function v(e){return d.locateFile?d.locateFile(e,I):I+e}if(w){let e;I=g?un.dirname(I)+"/":__dirname+"/",h=()=>{f||(m=on,f=un)},p=function(e,n){return h(),e=f.normalize(e),m.readFileSync(e,n?void 0:"utf8")},c=e=>{var n=p(e,!0);return n.buffer||(n=new Uint8Array(n)),n},l=(e,n,t)=>{h(),e=f.normalize(e),m.readFile(e,(function(e,a){e?t(e):n(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof rn))throw e})),process.on("unhandledRejection",(function(e){throw e})),_=(e,n)=>{if(J())throw process.exitCode=e,n;var t;(t=n)instanceof rn||F("exiting due to exception: "+t),process.exit(e)},d.inspect=function(){return"[Emscripten Module object]"};try{e=dn}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}br.Worker=e.Worker}else(y||g)&&(g?I=self.location.href:"undefined"!=typeof document&&document.currentScript&&(I=document.currentScript.src),"undefined"!=typeof t&&t&&(I=t),I=0!==I.indexOf("blob:")?I.substr(0,I.replace(/[?#].*/,"").lastIndexOf("/")+1):"",w||(p=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},g&&(c=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),l=(e,n,t)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)}));w&&"undefined"==typeof performance&&(br.performance=pn.performance);var S=console.log.bind(console),M=console.warn.bind(console);w&&(h(),S=e=>m.writeSync(1,e+"\n"),M=e=>m.writeSync(2,e+"\n"));var x,A=d.print||S,F=d.printErr||M;function N(e){N.shown||(N.shown={}),N.shown[e]||(N.shown[e]=1,F(e))}Object.assign(d,b),b=null,d.arguments&&d.arguments,d.thisProgram&&d.thisProgram,d.quit&&(_=d.quit),d.wasmBinary&&(x=d.wasmBinary);var E,R,C=d.noExitRuntime||!0;"object"!=typeof WebAssembly&&re("no native wasm support detected");var D,T=!1;function O(e){return d["_"+e]}function W(e,t,a,r,s){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);G(e,n=tn(t),t)}return n},array:function(e){var t=tn(e.length);return function(e,t){n().set(e,t)}(e,t),t}},i=O(e),o=[],d=0;if(r)for(var p=0;p<r.length;p++){var l=u[a[p]];l?(0===d&&(d=en()),o[p]=l(r[p])):o[p]=r[p]}var c=i.apply(null,o);return c=function(e){return 0!==d&&nn(d),function(e){return"string"===t?V(e):"boolean"===t?Boolean(e):e}(e)}(c)}function P(e){var n=new TextDecoder(e);this.decode=e=>(e.buffer instanceof SharedArrayBuffer&&(e=new Uint8Array(e)),n.decode.call(n,e))}var j,z,H,L,U,B="undefined"!=typeof TextDecoder?new P("utf8"):void 0;function q(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&B)return B.decode(e.subarray(n,r));for(var s="";n<r;){var u=e[n++];if(128&u){var i=63&e[n++];if(192!=(224&u)){var o=63&e[n++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[n++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function V(e,n){return e?q(a(),e,n):""}function G(e,n,t){return function(e,n,t,a){if(!(a>0))return 0;for(var r=t,s=t+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(t>=s)break;n[t++]=i}else if(i<=2047){if(t+1>=s)break;n[t++]=192|i>>6,n[t++]=128|63&i}else if(i<=65535){if(t+2>=s)break;n[t++]=224|i>>12,n[t++]=128|i>>6&63,n[t++]=128|63&i}else{if(t+3>=s)break;n[t++]=240|i>>18,n[t++]=128|i>>12&63,n[t++]=128|i>>6&63,n[t++]=128|63&i}}return n[t]=0,t-r}(e,a(),n,t)}function $(e){j=e,d.HEAP8=z=new Int8Array(e),d.HEAP16=new Int16Array(e),d.HEAP32=L=new Int32Array(e),d.HEAPU8=H=new Uint8Array(e),d.HEAPU16=new Uint16Array(e),d.HEAPU32=new Uint32Array(e),d.HEAPF32=new Float32Array(e),d.HEAPF64=U=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new P("utf-16le"),k&&(j=d.buffer);var K,Q=d.INITIAL_MEMORY||16777216;if(k)E=d.wasmMemory,j=d.buffer;else if(d.wasmMemory)E=d.wasmMemory;else if(!((E=new WebAssembly.Memory({initial:Q/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw F("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),w&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");E&&(j=E.buffer),Q=j.byteLength,$(j);var X=[],Z=[],Y=[];function J(){return C||!1}function ee(){k||de(Z)}var ne,te=0,ae=null;function re(e){k?postMessage({cmd:"onAbort",arg:e}):d.onAbort&&d.onAbort(e),F(e="Aborted("+e+")"),T=!0,D=1,e+=". Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw i(n),n}function se(e){return e.startsWith("data:application/octet-stream;base64,")}function ue(e){return e.startsWith("file://")}function ie(e){try{if(e==ne&&x)return new Uint8Array(x);if(c)return c(e);throw"both async and sync fetching of the wasm failed"}catch(e){re(e)}}d.preloadedImages={},d.preloadedAudios={},se(ne="tfjs-backend-wasm-threaded-simd.wasm")||(ne=v(ne));var oe={};function de(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?_e(t)():_e(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(d)}}function pe(e){var n=en(),t=e();return nn(n),t}function le(e){var n=me.pthreads[e];if(n){r()[e>>2]=0;var t=n.worker;me.returnWorkerToPool(t)}}function ce(e){!function(e,n){if(D=e,!n&&k)throw fe(e),"unwind";var t;J()||k||me.terminateAllThreads(),D=t=e,J()||(me.terminateAllThreads(),d.onExit&&d.onExit(t),T=!0),_(t,new rn(t))}(e)}var me={unusedWorkers:[],runningWorkers:[],tlsInitFunctions:[],init:function(){k?me.initWorker():me.initMainThread()},initMainThread:function(){for(var e=0;e<8;++e)me.allocateUnusedWorker()},initWorker:function(){C=!1},pthreads:{},setExitStatus:function(e){D=e},terminateAllThreads:function(){for(var e in me.pthreads){var n=me.pthreads[e];n&&n.worker&&me.returnWorkerToPool(n.worker)}for(var t=0;t<me.unusedWorkers.length;++t)me.unusedWorkers[t].terminate();me.unusedWorkers=[]},returnWorkerToPool:function(e){me.runWithoutMainThreadQueuedCalls((function(){delete me.pthreads[e.pthread.threadInfoStruct],me.unusedWorkers.push(e),me.runningWorkers.splice(me.runningWorkers.indexOf(e),1),Ye(e.pthread.threadInfoStruct),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){r()[an>>2]=0;try{e()}finally{r()[an>>2]=1}},receiveObjectTransfer:function(e){},threadInit:function(){for(var e in me.tlsInitFunctions)me.tlsInitFunctions[e]()},loadWasmModuleToWorker:function(e,n){e.onmessage=t=>{var a,s=t.data,u=s.cmd;if(e.pthread&&(me.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),s.targetThread&&s.targetThread!=Ge()){var i=me.pthreads[s.targetThread];return i?i.worker.postMessage(s,s.transferList):F('Internal error! Worker sent a message "'+u+'" to target pthread '+s.targetThread+", but that thread no longer exists!"),void(me.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===u?$e():"spawnThread"===u?ge(s):"cleanupThread"===u?le(s.thread):"killThread"===u?function(e){r()[e>>2]=0;var n=me.pthreads[e];delete me.pthreads[e],n.worker.terminate(),Ye(e),me.runningWorkers.splice(me.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}(s.thread):"cancelThread"===u?(a=s.thread,me.pthreads[a].worker.postMessage({cmd:"cancel"})):"loaded"===u?(e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===u?A("Thread "+s.threadId+": "+s.text):"printErr"===u?F("Thread "+s.threadId+": "+s.text):"alert"===u?alert("Thread "+s.threadId+": "+s.text):"setimmediate"===s.target?e.postMessage(s):"onAbort"===u?d.onAbort&&d.onAbort(s.arg):F("worker sent an unknown command "+u),me.currentProxiedOperationCallerThread=void 0},e.onerror=e=>{throw F("worker sent an error! "+e.filename+":"+e.lineno+": "+e.message),e},w&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("detachedExit",(function(){}))),e.postMessage({cmd:"load",urlOrBlob:d.mainScriptUrlOrBlob||t,wasmMemory:E,wasmModule:R})},allocateUnusedWorker:function(){var e=v("tfjs-backend-wasm-threaded-simd.worker.js");me.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==me.unusedWorkers.length&&(me.allocateUnusedWorker(),me.loadWasmModuleToWorker(me.unusedWorkers[0])),me.unusedWorkers.pop()}};function fe(e){if(k)return ke(1,0,e);try{ce(e)}catch(e){!function(e){if(e instanceof rn||"unwind"==e)return D;_(1,e)}(e)}}d.establishStackSpace=function(){var e=Ge(),n=r()[e+44>>2],t=r()[e+48>>2];Je(n,n-t),nn(n)};var he,be=[];function _e(e){var n=be[e];return n||(e>=be.length&&(be.length=e+1),be[e]=n=K.get(e)),n}function ye(e,n){var t,a;if(0===e)t=Date.now();else{if(1!==e&&4!==e)return a=28,r()[Ve()>>2]=a,-1;t=he()}return r()[n>>2]=t/1e3|0,r()[n+4>>2]=t%1e3*1e3*1e3|0,0}function ge(e){var n=me.getNewWorker();if(!n)return 6;me.runningWorkers.push(n);var t=me.pthreads[e.pthread_ptr]={worker:n,threadInfoStruct:e.pthread_ptr};n.pthread=t;var a={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr};return n.runPthread=()=>{a.time=performance.now(),n.postMessage(a,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread),0}function we(){return 2147483648}function ke(e,n){var t=arguments.length-2,a=arguments;return pe((function(){for(var r=t,u=tn(8*r),i=u>>3,o=0;o<t;o++){var d=a[2+o];s()[i+o]=d}return Xe(e,r,u,n)}))}d.invokeEntryPoint=function(e,n){return _e(e)(n)},he=w?()=>{var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:k?()=>performance.now()-d.__performance_now_clock_drift:()=>performance.now();var Ie=[];function ve(e){try{return E.grow(e-j.byteLength+65535>>>16),$(E.buffer),1}catch(e){}}var Se={inEventHandler:0,removeAllEventListeners:function(){for(var e=Se.eventHandlers.length-1;e>=0;--e)Se._removeHandler(e);Se.eventHandlers=[],Se.deferredCalls=[]},registerRemoveEventListeners:function(){Se.removeEventListenersRegistered||(Se.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in Se.deferredCalls){var s=Se.deferredCalls[r];if(s.targetFunction==e&&a(s.argsList,t))return}Se.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),Se.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<Se.deferredCalls.length;++n)Se.deferredCalls[n].targetFunction==e&&(Se.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return Se.inEventHandler&&Se.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(Se.canPerformEventHandlerRequests())for(var e=0;e<Se.deferredCalls.length;++e){var n=Se.deferredCalls[e];Se.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<Se.eventHandlers.length;++t)Se.eventHandlers[t].target!=e||n&&n!=Se.eventHandlers[t].eventTypeString||Se._removeHandler(t--)},_removeHandler:function(e){var n=Se.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),Se.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++Se.inEventHandler,Se.currentEventHandler=e,Se.runDeferredCalls(),e.handlerFunc(n),Se.runDeferredCalls(),--Se.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),Se.eventHandlers.push(e),Se.registerRemoveEventListeners();else for(var t=0;t<Se.eventHandlers.length;++t)Se.eventHandlers[t].target==e.target&&Se.eventHandlers[t].eventTypeString==e.eventTypeString&&Se._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,s){pe((function(){var u=tn(12);r()[u>>2]=t,r()[u+4>>2]=a,r()[u+8>>2]=s,Ze(e,637534208,n,a,u)}))},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return me.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function Me(e,n,t,a){pe((function(){var s,u,i,o=tn(12),d=0;n&&(u=function(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}(s=n)+1,i=Be(u),G(s,i,u),d=i),r()[o>>2]=d,r()[o+4>>2]=t,r()[o+8>>2]=a,Ze(e,657457152,0,d,o)}))}var xe=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function Ae(e){var n;return e=(n=e)>2?V(n):n,xe[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function Fe(e){return Ae(e)}function Ne(e,n,t){var a=Fe(e);if(!a)return-4;if(a.canvasSharedPtr&&(r()[a.canvasSharedPtr>>2]=n,r()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(function(e,n,t,a){Me(e,n=n?V(n):"",t,a)}(r()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var s=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);s=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,s&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function Ee(e,n,t){return k?ke(2,1,e,n,t):Ne(e,n,t)}var Re,Ce={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},queries:[],stringCache:{},unpackAlignment:4,recordError:function(e){Ce.lastError||(Ce.lastError=e)},getNewId:function(e){for(var n=Ce.counter++,t=e.length;t<n;t++)e[t]=null;return n},getSource:function(e,n,t,a){for(var s="",u=0;u<n;++u){var i=a?r()[a+4*u>>2]:-1;s+=V(r()[t+4*u>>2],i<0?void 0:i)}return s},createContext:function(e,n){e.getContextSafariWebGL2Fixed||(e.getContextSafariWebGL2Fixed=e.getContext,e.getContext=function(n,t){var a=e.getContextSafariWebGL2Fixed(n,t);return"webgl"==n==a instanceof WebGLRenderingContext?a:null});var t=e.getContext("webgl",n);return t?Ce.registerContext(t,n):0},registerContext:function(e,n){var t=Be(8);r()[t+4>>2]=Ge();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),Ce.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Ce.initExtensions(a),t},makeContextCurrent:function(e){return Ce.currentContext=Ce.contexts[e],d.ctx=Re=Ce.currentContext&&Ce.currentContext.GLctx,!(e&&!Re)},getContext:function(e){return Ce.contexts[e]},deleteContext:function(e){Ce.currentContext===Ce.contexts[e]&&(Ce.currentContext=null),"object"==typeof Se&&Se.removeAllHandlersOnTarget(Ce.contexts[e].GLctx.canvas),Ce.contexts[e]&&Ce.contexts[e].GLctx.canvas&&(Ce.contexts[e].GLctx.canvas.GLctxObject=void 0),qe(Ce.contexts[e].handle),Ce.contexts[e]=null},initExtensions:function(e){if(e||(e=Ce.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n,t=e.GLctx;!function(e){var n=e.getExtension("ANGLE_instanced_arrays");n&&(e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,s){n.drawElementsInstancedANGLE(e,t,a,r,s)})}(t),function(e){var n=e.getExtension("OES_vertex_array_object");n&&(e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)})}(t),function(e){var n=e.getExtension("WEBGL_draw_buffers");n&&(e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)})}(t),t.disjointTimerQueryExt=t.getExtension("EXT_disjoint_timer_query"),(n=t).multiDrawWebgl=n.getExtension("WEBGL_multi_draw"),(t.getSupportedExtensions()||[]).forEach((function(e){e.includes("lose_context")||e.includes("debug")||t.getExtension(e)}))}}},De=["default","low-power","high-performance"],Te={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Te.buffers[e];0===n||10===n?((1===e?A:F)(q(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Te.varargs+=4,r()[Te.varargs-4>>2]},getStr:function(e){return V(e)},get64:function(e,n){return e}};function Oe(e){return k?ke(3,1,e):0}function We(e,n,t,a,r){if(k)return ke(4,1,e,n,t,a,r)}function Pe(e,n,t,s){if(k)return ke(5,1,e,n,t,s);for(var u=0,i=0;i<t;i++){var o=r()[n>>2],d=r()[n+4>>2];n+=8;for(var p=0;p<d;p++)Te.printChar(e,a()[o+p]);u+=d}return r()[s>>2]=u,0}me.init();var je,ze,He,Le=[null,fe,Ee,Oe,We,Pe],Ue={__clock_gettime:function(e,n){return ye(e,n)},__emscripten_init_main_thread_js:function(e){Ke(e,!g,1,!y),me.threadInit()},__emscripten_thread_cleanup:function(e){k?postMessage({cmd:"cleanupThread",thread:e}):le(e)},__pthread_create_js:function(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return F("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;var r=[];if(k&&0===r.length)return Qe(687865856,e,n,t,a);var s={startRoutine:t,pthread_ptr:e,arg:a,transferList:r};return k?(s.cmd="spawnThread",postMessage(s,r),0):ge(s)},_emscripten_default_pthread_stack_size:function(){return 2097152},_emscripten_notify_thread_queue:function(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(k)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=me.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1},abort:function(){re("")},emscripten_check_blocking_allowed:function(){w||g||N("Blocking on the main thread is very dangerous, see https://emscripten.org/docs/porting/pthreads.html#blocking-on-the-main-browser-thread")},emscripten_get_heap_max:we,emscripten_get_now:he,emscripten_memcpy_big:function(e,n,t){a().copyWithin(e,n,n+t)},emscripten_num_logical_cores:function(){return w?ln.cpus().length:navigator.hardwareConcurrency},emscripten_receive_on_main_thread_js:function(e,n,t){Ie.length=n;for(var a=t>>3,r=0;r<n;r++)Ie[r]=s()[a+r];return(e<0?oe[-e-1]:Le[e]).apply(null,Ie)},emscripten_resize_heap:function(e){var n=a().length;if((e>>>=0)<=n)return!1;var t,r,s=2147483648;if(e>s)return!1;for(var u=1;u<=4;u*=2){var i=n*(1+.2/u);if(i=Math.min(i,e+100663296),ve(Math.min(s,((t=Math.max(e,i))%(r=65536)>0&&(t+=r-t%r),t))))return!0}return!1},emscripten_set_canvas_element_size:function(e,n,t){return Fe(e)?Ne(e,n,t):Ee(e,n,t)},emscripten_unwind_to_js_event_loop:function(){throw"unwind"},emscripten_webgl_create_context:function(e,n){return t=e,a=n>>2,s=r()[a+6],u={alpha:!!r()[a+0],depth:!!r()[a+1],stencil:!!r()[a+2],antialias:!!r()[a+3],premultipliedAlpha:!!r()[a+4],preserveDrawingBuffer:!!r()[a+5],powerPreference:De[s],failIfMajorPerformanceCaveat:!!r()[a+7],majorVersion:r()[a+8],minorVersion:r()[a+9],enableExtensionsByDefault:r()[a+10],explicitSwapControl:r()[a+11],proxyContextToMainThread:r()[a+12],renderViaOffscreenBackBuffer:r()[a+13]},(i=Fe(t))?u.explicitSwapControl?0:Ce.createContext(i,u):0;var t,a,s,u,i},exit:ce,fd_close:Oe,fd_seek:We,fd_write:Pe,memory:E||d.wasmMemory,setTempRet0:function(e){}},Be=(function(){var e={env:Ue,wasi_snapshot_preview1:Ue};function n(e,n){var t,a,r=e.exports;if(d.asm=r,t=d.asm.emscripten_tls_init,me.tlsInitFunctions.push(t),K=d.asm.__indirect_function_table,a=d.asm.__wasm_call_ctors,Z.unshift(a),R=n,!k){var s=me.unusedWorkers.length;me.unusedWorkers.forEach((function(e){me.loadWasmModuleToWorker(e,(function(){--s||function(e){if(te--,d.monitorRunDependencies&&d.monitorRunDependencies(te),0==te&&ae){var n=ae;ae=null,n()}}()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return function(){if(!x&&(y||g)){if("function"==typeof fetch&&!ue(ne))return fetch(ne,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ne+"'";return e.arrayBuffer()})).catch((function(){return ie(ne)}));if(l)return new Promise((function(e,n){l(ne,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return ie(ne)}))}().then((function(n){return WebAssembly.instantiate(n,e)})).then((function(e){return e})).then(n,(function(e){F("failed to asynchronously prepare wasm: "+e),re(e)}))}if(k||(te++,d.monitorRunDependencies&&d.monitorRunDependencies(te)),d.instantiateWasm)try{return d.instantiateWasm(e,n)}catch(e){return F("Module.instantiateWasm callback failed with error: "+e),!1}(x||"function"!=typeof WebAssembly.instantiateStreaming||se(ne)||ue(ne)||"function"!=typeof fetch?a(t):fetch(ne,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return F("wasm streaming compile failed: "+e),F("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(i)}(),d.___wasm_call_ctors=function(){return(d.___wasm_call_ctors=d.asm.__wasm_call_ctors).apply(null,arguments)},d._init=function(){return(d._init=d.asm.init).apply(null,arguments)},d._init_with_threads_count=function(){return(d._init_with_threads_count=d.asm.init_with_threads_count).apply(null,arguments)},d._get_threads_count=function(){return(d._get_threads_count=d.asm.get_threads_count).apply(null,arguments)},d._register_tensor=function(){return(d._register_tensor=d.asm.register_tensor).apply(null,arguments)},d._dispose_data=function(){return(d._dispose_data=d.asm.dispose_data).apply(null,arguments)},d._dispose=function(){return(d._dispose=d.asm.dispose).apply(null,arguments)},d._Abs=function(){return(d._Abs=d.asm.Abs).apply(null,arguments)},d._Add=function(){return(d._Add=d.asm.Add).apply(null,arguments)},d._AddN=function(){return(d._AddN=d.asm.AddN).apply(null,arguments)},d._All=function(){return(d._All=d.asm.All).apply(null,arguments)},d._Any=function(){return(d._Any=d.asm.Any).apply(null,arguments)},d._ArgMax=function(){return(d._ArgMax=d.asm.ArgMax).apply(null,arguments)},d._AvgPool=function(){return(d._AvgPool=d.asm.AvgPool).apply(null,arguments)},d._BatchMatMul=function(){return(d._BatchMatMul=d.asm.BatchMatMul).apply(null,arguments)},d._Ceil=function(){return(d._Ceil=d.asm.Ceil).apply(null,arguments)},d._ClipByValue=function(){return(d._ClipByValue=d.asm.ClipByValue).apply(null,arguments)},d._Conv2D=function(){return(d._Conv2D=d.asm.Conv2D).apply(null,arguments)},d._Conv2DBackpropInput=function(){return(d._Conv2DBackpropInput=d.asm.Conv2DBackpropInput).apply(null,arguments)},d._Cos=function(){return(d._Cos=d.asm.Cos).apply(null,arguments)},d._Cosh=function(){return(d._Cosh=d.asm.Cosh).apply(null,arguments)},d._CropAndResize=function(){return(d._CropAndResize=d.asm.CropAndResize).apply(null,arguments)},d._Cumsum=function(){return(d._Cumsum=d.asm.Cumsum).apply(null,arguments)},d._DepthToSpace=function(){return(d._DepthToSpace=d.asm.DepthToSpace).apply(null,arguments)},d._DepthwiseConv2dNative=function(){return(d._DepthwiseConv2dNative=d.asm.DepthwiseConv2dNative).apply(null,arguments)},d._Elu=function(){return(d._Elu=d.asm.Elu).apply(null,arguments)},d._Equal=function(){return(d._Equal=d.asm.Equal).apply(null,arguments)},d._Exp=function(){return(d._Exp=d.asm.Exp).apply(null,arguments)},d._FlipLeftRight=function(){return(d._FlipLeftRight=d.asm.FlipLeftRight).apply(null,arguments)},d._Floor=function(){return(d._Floor=d.asm.Floor).apply(null,arguments)},d._FloorDiv=function(){return(d._FloorDiv=d.asm.FloorDiv).apply(null,arguments)},d._FusedBatchNorm=function(){return(d._FusedBatchNorm=d.asm.FusedBatchNorm).apply(null,arguments)},d._FusedConv2D=function(){return(d._FusedConv2D=d.asm.FusedConv2D).apply(null,arguments)},d._FusedDepthwiseConv2D=function(){return(d._FusedDepthwiseConv2D=d.asm.FusedDepthwiseConv2D).apply(null,arguments)},d._Gather=function(){return(d._Gather=d.asm.Gather).apply(null,arguments)},d._GatherNd=function(){return(d._GatherNd=d.asm.GatherNd).apply(null,arguments)},d._Greater=function(){return(d._Greater=d.asm.Greater).apply(null,arguments)},d._GreaterEqual=function(){return(d._GreaterEqual=d.asm.GreaterEqual).apply(null,arguments)},d._LeakyRelu=function(){return(d._LeakyRelu=d.asm.LeakyRelu).apply(null,arguments)},d._Less=function(){return(d._Less=d.asm.Less).apply(null,arguments)},d._LessEqual=function(){return(d._LessEqual=d.asm.LessEqual).apply(null,arguments)},d._Log=function(){return(d._Log=d.asm.Log).apply(null,arguments)},d._LogicalAnd=function(){return(d._LogicalAnd=d.asm.LogicalAnd).apply(null,arguments)},d._Max=function(){return(d._Max=d.asm.Max).apply(null,arguments)},d._MaxPool=function(){return(d._MaxPool=d.asm.MaxPool).apply(null,arguments)},d._Maximum=function(){return(d._Maximum=d.asm.Maximum).apply(null,arguments)},d._Mean=function(){return(d._Mean=d.asm.Mean).apply(null,arguments)},d._Min=function(){return(d._Min=d.asm.Min).apply(null,arguments)},d._Minimum=function(){return(d._Minimum=d.asm.Minimum).apply(null,arguments)},d._MirrorPad=function(){return(d._MirrorPad=d.asm.MirrorPad).apply(null,arguments)},d._Multiply=function(){return(d._Multiply=d.asm.Multiply).apply(null,arguments)},d._Neg=function(){return(d._Neg=d.asm.Neg).apply(null,arguments)},d._NonMaxSuppressionV3=function(){return(d._NonMaxSuppressionV3=d.asm.NonMaxSuppressionV3).apply(null,arguments)},d._NonMaxSuppressionV4=function(){return(d._NonMaxSuppressionV4=d.asm.NonMaxSuppressionV4).apply(null,arguments)},d._NonMaxSuppressionV5=function(){return(d._NonMaxSuppressionV5=d.asm.NonMaxSuppressionV5).apply(null,arguments)},d._NotEqual=function(){return(d._NotEqual=d.asm.NotEqual).apply(null,arguments)},d._OneHot=function(){return(d._OneHot=d.asm.OneHot).apply(null,arguments)},d._PadV2=function(){return(d._PadV2=d.asm.PadV2).apply(null,arguments)},d._Pow=function(){return(d._Pow=d.asm.Pow).apply(null,arguments)},d._Prelu=function(){return(d._Prelu=d.asm.Prelu).apply(null,arguments)},d._Prod=function(){return(d._Prod=d.asm.Prod).apply(null,arguments)},d._RealDiv=function(){return(d._RealDiv=d.asm.RealDiv).apply(null,arguments)},d._Relu=function(){return(d._Relu=d.asm.Relu).apply(null,arguments)},d._Relu6=function(){return(d._Relu6=d.asm.Relu6).apply(null,arguments)},d._ResizeBilinear=function(){return(d._ResizeBilinear=d.asm.ResizeBilinear).apply(null,arguments)},d._Reverse=function(){return(d._Reverse=d.asm.Reverse).apply(null,arguments)},d._RotateWithOffset=function(){return(d._RotateWithOffset=d.asm.RotateWithOffset).apply(null,arguments)},d._Round=function(){return(d._Round=d.asm.Round).apply(null,arguments)},d._Rsqrt=function(){return(d._Rsqrt=d.asm.Rsqrt).apply(null,arguments)},d._ScatterNd=function(){return(d._ScatterNd=d.asm.ScatterNd).apply(null,arguments)},d._SelectV2=function(){return(d._SelectV2=d.asm.SelectV2).apply(null,arguments)},d._Sigmoid=function(){return(d._Sigmoid=d.asm.Sigmoid).apply(null,arguments)},d._Sin=function(){return(d._Sin=d.asm.Sin).apply(null,arguments)},d._Softmax=function(){return(d._Softmax=d.asm.Softmax).apply(null,arguments)},d._SparseFillEmptyRows=function(){return(d._SparseFillEmptyRows=d.asm.SparseFillEmptyRows).apply(null,arguments)},d._SparseReshape=function(){return(d._SparseReshape=d.asm.SparseReshape).apply(null,arguments)},d._SparseSegmentReduction=function(){return(d._SparseSegmentReduction=d.asm.SparseSegmentReduction).apply(null,arguments)},d._Sqrt=function(){return(d._Sqrt=d.asm.Sqrt).apply(null,arguments)},d._Square=function(){return(d._Square=d.asm.Square).apply(null,arguments)},d._SquaredDifference=function(){return(d._SquaredDifference=d.asm.SquaredDifference).apply(null,arguments)},d._Step=function(){return(d._Step=d.asm.Step).apply(null,arguments)},d._StridedSlice=function(){return(d._StridedSlice=d.asm.StridedSlice).apply(null,arguments)},d._Sub=function(){return(d._Sub=d.asm.Sub).apply(null,arguments)},d._Sum=function(){return(d._Sum=d.asm.Sum).apply(null,arguments)},d._Tan=function(){return(d._Tan=d.asm.Tan).apply(null,arguments)},d._Tanh=function(){return(d._Tanh=d.asm.Tanh).apply(null,arguments)},d._Tile=function(){return(d._Tile=d.asm.Tile).apply(null,arguments)},d._TopK=function(){return(d._TopK=d.asm.TopK).apply(null,arguments)},d._Transform=function(){return(d._Transform=d.asm.Transform).apply(null,arguments)},d._Transpose=function(){return(d._Transpose=d.asm.Transpose).apply(null,arguments)},d.__FusedMatMul=function(){return(d.__FusedMatMul=d.asm._FusedMatMul).apply(null,arguments)},d._malloc=function(){return(Be=d._malloc=d.asm.malloc).apply(null,arguments)}),qe=d._free=function(){return(qe=d._free=d.asm.free).apply(null,arguments)},Ve=(d._emscripten_tls_init=function(){return(d._emscripten_tls_init=d.asm.emscripten_tls_init).apply(null,arguments)},d.___errno_location=function(){return(Ve=d.___errno_location=d.asm.__errno_location).apply(null,arguments)}),Ge=d._pthread_self=function(){return(Ge=d._pthread_self=d.asm.pthread_self).apply(null,arguments)},$e=d._emscripten_main_thread_process_queued_calls=function(){return($e=d._emscripten_main_thread_process_queued_calls=d.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},Ke=(d.__emscripten_thread_crashed=function(){return(d.__emscripten_thread_crashed=d.asm._emscripten_thread_crashed).apply(null,arguments)},d.__emscripten_thread_init=function(){return(Ke=d.__emscripten_thread_init=d.asm._emscripten_thread_init).apply(null,arguments)}),Qe=(d._emscripten_current_thread_process_queued_calls=function(){return(d._emscripten_current_thread_process_queued_calls=d.asm.emscripten_current_thread_process_queued_calls).apply(null,arguments)},d._emscripten_main_browser_thread_id=function(){return(d._emscripten_main_browser_thread_id=d.asm.emscripten_main_browser_thread_id).apply(null,arguments)},d._emscripten_sync_run_in_main_thread_2=function(){return(d._emscripten_sync_run_in_main_thread_2=d.asm.emscripten_sync_run_in_main_thread_2).apply(null,arguments)},d._emscripten_sync_run_in_main_thread_4=function(){return(Qe=d._emscripten_sync_run_in_main_thread_4=d.asm.emscripten_sync_run_in_main_thread_4).apply(null,arguments)}),Xe=d._emscripten_run_in_main_runtime_thread_js=function(){return(Xe=d._emscripten_run_in_main_runtime_thread_js=d.asm.emscripten_run_in_main_runtime_thread_js).apply(null,arguments)},Ze=d._emscripten_dispatch_to_thread_=function(){return(Ze=d._emscripten_dispatch_to_thread_=d.asm.emscripten_dispatch_to_thread_).apply(null,arguments)},Ye=d.__emscripten_thread_free_data=function(){return(Ye=d.__emscripten_thread_free_data=d.asm._emscripten_thread_free_data).apply(null,arguments)},Je=(d.__emscripten_thread_exit=function(){return(d.__emscripten_thread_exit=d.asm._emscripten_thread_exit).apply(null,arguments)},d._memalign=function(){return(d._memalign=d.asm.memalign).apply(null,arguments)},d._emscripten_stack_set_limits=function(){return(Je=d._emscripten_stack_set_limits=d.asm.emscripten_stack_set_limits).apply(null,arguments)}),en=d.stackSave=function(){return(en=d.stackSave=d.asm.stackSave).apply(null,arguments)},nn=d.stackRestore=function(){return(nn=d.stackRestore=d.asm.stackRestore).apply(null,arguments)},tn=d.stackAlloc=function(){return(tn=d.stackAlloc=d.asm.stackAlloc).apply(null,arguments)},an=(d.dynCall_iijjiiii=function(){return(d.dynCall_iijjiiii=d.asm.dynCall_iijjiiii).apply(null,arguments)},d.dynCall_jiji=function(){return(d.dynCall_jiji=d.asm.dynCall_jiji).apply(null,arguments)},d.__emscripten_allow_main_runtime_queued_calls=21416);function rn(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function sn(e){if(!(te>0)){if(k)return u(d),ee(),void postMessage({cmd:"loaded"});!function(){if(d.preRun)for("function"==typeof d.preRun&&(d.preRun=[d.preRun]);d.preRun.length;)e=d.preRun.shift(),X.unshift(e);var e;de(X)}(),te>0||(d.setStatus?(d.setStatus("Running..."),setTimeout((function(){setTimeout((function(){d.setStatus("")}),1),n()}),1)):n())}function n(){je||(je=!0,d.calledRun=!0,T||(ee(),u(d),d.onRuntimeInitialized&&d.onRuntimeInitialized(),function(){if(!k){if(d.postRun)for("function"==typeof d.postRun&&(d.postRun=[d.postRun]);d.postRun.length;)e=d.postRun.shift(),Y.unshift(e);var e;de(Y)}}()))}}if(d.cwrap=function(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?O(e):function(){return W(e,n,t,arguments)}},d.keepRuntimeAlive=J,d.PThread=me,d.PThread=me,d.wasmMemory=E,d.ExitStatus=rn,ae=function e(){je||sn(),je||(ae=e)},d.run=sn,d.preInit)for("function"==typeof d.preInit&&(d.preInit=[d.preInit]);d.preInit.length>0;)d.preInit.pop()();if(sn(),o&&(ze={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!o.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!o.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof WasmBackendModule)He=WasmBackendModule;else{if("undefined"==typeof e)throw new Error("Could not find wasm module in post.js");He=e}if(ze){var cn=He._dispose;He._dispose=function(){cn(),ze.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),ze.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=a}));var gr=_r((function(e,n){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){var n,a,r,s="undefined"!=typeof(e=e||{})?e:{};s.ready=new Promise((function(e,t){n=e,a=t})),"undefined"!=typeof process&&process.listeners&&(r={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var u,i,o,d,p,l,c=Object.assign({},s),m="object"==typeof window,f="function"==typeof importScripts,h="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,b="";h?(b=f?un.dirname(b)+"/":__dirname+"/",l=()=>{p||(d=on,p=un)},u=function(e,n){return l(),e=p.normalize(e),d.readFileSync(e,n?void 0:"utf8")},o=e=>{var n=u(e,!0);return n.buffer||(n=new Uint8Array(n)),n},i=(e,n,t)=>{l(),e=p.normalize(e),d.readFile(e,(function(e,a){e?t(e):n(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof te))throw e})),process.on("unhandledRejection",(function(e){throw e})),s.inspect=function(){return"[Emscripten Module object]"}):(m||f)&&(f?b=self.location.href:"undefined"!=typeof document&&document.currentScript&&(b=document.currentScript.src),t&&(b=t),b=0!==b.indexOf("blob:")?b.substr(0,b.replace(/[?#].*/,"").lastIndexOf("/")+1):"",u=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},f&&(o=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),i=(e,n,t)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)});var _,y=s.print||console.log.bind(console),g=s.printErr||console.warn.bind(console);Object.assign(s,c),c=null,s.arguments&&s.arguments,s.thisProgram&&s.thisProgram,s.quit&&s.quit,s.wasmBinary&&(_=s.wasmBinary);var w;s.noExitRuntime;"object"!=typeof WebAssembly&&z("no native wasm support detected");var k=!1;function I(e){return s["_"+e]}function v(e,n,t,a,r){var s={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);!function(e,n,t){!function(e,n,t,a){if(!(a>0))return 0;for(var r=t+a-1,s=0;s<e.length;++s){var u=e.charCodeAt(s);if(u>=55296&&u<=57343&&(u=65536+((1023&u)<<10)|1023&e.charCodeAt(++s)),u<=127){if(t>=r)break;n[t++]=u}else if(u<=2047){if(t+1>=r)break;n[t++]=192|u>>6,n[t++]=128|63&u}else if(u<=65535){if(t+2>=r)break;n[t++]=224|u>>12,n[t++]=128|u>>6&63,n[t++]=128|63&u}else{if(t+3>=r)break;n[t++]=240|u>>18,n[t++]=128|u>>12&63,n[t++]=128|u>>6&63,n[t++]=128|63&u}}n[t]=0}(e,x,n,t)}(e,n=ne(t),t)}return n},array:function(e){var n=ne(e.length);return function(e,n){M.set(e,n)}(e,n),n}},u=I(e),i=[],o=0;if(a)for(var d=0;d<a.length;d++){var p=s[t[d]];p?(0===o&&(o=J()),i[d]=p(a[d])):i[d]=a[d]}var l=u.apply(null,i);return l=function(e){return 0!==o&&ee(o),function(e){return"string"===n?E(e):"boolean"===n?Boolean(e):e}(e)}(l)}var S,M,x,A,F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function N(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&F)return F.decode(e.subarray(n,r));for(var s="";n<r;){var u=e[n++];if(128&u){var i=63&e[n++];if(192!=(224&u)){var o=63&e[n++];if((u=224==(240&u)?(15&u)<<12|i<<6|o:(7&u)<<18|i<<12|o<<6|63&e[n++])<65536)s+=String.fromCharCode(u);else{var d=u-65536;s+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else s+=String.fromCharCode((31&u)<<6|i)}else s+=String.fromCharCode(u)}return s}function E(e,n){return e?N(x,e,n):""}function R(e){S=e,s.HEAP8=M=new Int8Array(e),s.HEAP16=new Int16Array(e),s.HEAP32=A=new Int32Array(e),s.HEAPU8=x=new Uint8Array(e),s.HEAPU16=new Uint16Array(e),s.HEAPU32=new Uint32Array(e),s.HEAPF32=new Float32Array(e),s.HEAPF64=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new TextDecoder("utf-16le"),s.INITIAL_MEMORY;var C,D,T=[],O=[],W=[],P=0,j=null;function z(e){s.onAbort&&s.onAbort(e),g(e="Aborted("+e+")"),k=!0,e+=". Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw a(n),n}function H(e){return e.startsWith("data:application/octet-stream;base64,")}function L(e){return e.startsWith("file://")}function U(e){try{if(e==D&&_)return new Uint8Array(_);if(o)return o(e);throw"both async and sync fetching of the wasm failed"}catch(e){z(e)}}function B(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?V(t)():V(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(s)}}s.preloadedImages={},s.preloadedAudios={},H(D="tfjs-backend-wasm.wasm")||(D=function(e){return s.locateFile?s.locateFile(e,b):b+e}(D));var q=[];function V(e){var n=q[e];return n||(e>=q.length&&(q.length=e+1),q[e]=n=C.get(e)),n}function G(){return 2147483648}function $(e){try{return w.grow(e-S.byteLength+65535>>>16),R(w.buffer),1}catch(e){}}var K,Q,X,Z={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Z.buffers[e];0===n||10===n?((1===e?y:g)(N(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Z.varargs+=4,A[Z.varargs-4>>2]},getStr:function(e){return E(e)},get64:function(e,n){return e}},Y={abort:function(){z("")},emscripten_get_heap_max:G,emscripten_memcpy_big:function(e,n,t){x.copyWithin(e,n,n+t)},emscripten_resize_heap:function(e){var n,t,a=x.length,r=2147483648;if((e>>>=0)>r)return!1;for(var s=1;s<=4;s*=2){var u=a*(1+.2/s);if(u=Math.min(u,e+100663296),$(Math.min(r,((n=Math.max(e,u))%(t=65536)>0&&(n+=t-n%t),n))))return!0}return!1},fd_close:function(e){return 0},fd_seek:function(e,n,t,a,r){},fd_write:function(e,n,t,a){for(var r=0,s=0;s<t;s++){var u=A[n>>2],i=A[n+4>>2];n+=8;for(var o=0;o<i;o++)Z.printChar(e,x[u+o]);r+=i}return A[a>>2]=r,0},setTempRet0:function(e){}},J=(function(){var e={env:Y,wasi_snapshot_preview1:Y};function n(e,n){var t,a=e.exports;s.asm=a,R((w=s.asm.memory).buffer),C=s.asm.__indirect_function_table,t=s.asm.__wasm_call_ctors,O.unshift(t),function(e){if(P--,s.monitorRunDependencies&&s.monitorRunDependencies(P),0==P&&j){var n=j;j=null,n()}}()}function t(e){n(e.instance)}function r(n){return function(){if(!_&&(m||f)){if("function"==typeof fetch&&!L(D))return fetch(D,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+D+"'";return e.arrayBuffer()})).catch((function(){return U(D)}));if(i)return new Promise((function(e,n){i(D,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return U(D)}))}().then((function(n){return WebAssembly.instantiate(n,e)})).then((function(e){return e})).then(n,(function(e){g("failed to asynchronously prepare wasm: "+e),z(e)}))}if(P++,s.monitorRunDependencies&&s.monitorRunDependencies(P),s.instantiateWasm)try{return s.instantiateWasm(e,n)}catch(e){return g("Module.instantiateWasm callback failed with error: "+e),!1}(_||"function"!=typeof WebAssembly.instantiateStreaming||H(D)||L(D)||"function"!=typeof fetch?r(t):fetch(D,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return g("wasm streaming compile failed: "+e),g("falling back to ArrayBuffer instantiation"),r(t)}))}))).catch(a)}(),s.___wasm_call_ctors=function(){return(s.___wasm_call_ctors=s.asm.__wasm_call_ctors).apply(null,arguments)},s._init=function(){return(s._init=s.asm.init).apply(null,arguments)},s._init_with_threads_count=function(){return(s._init_with_threads_count=s.asm.init_with_threads_count).apply(null,arguments)},s._get_threads_count=function(){return(s._get_threads_count=s.asm.get_threads_count).apply(null,arguments)},s._register_tensor=function(){return(s._register_tensor=s.asm.register_tensor).apply(null,arguments)},s._dispose_data=function(){return(s._dispose_data=s.asm.dispose_data).apply(null,arguments)},s._dispose=function(){return(s._dispose=s.asm.dispose).apply(null,arguments)},s._Abs=function(){return(s._Abs=s.asm.Abs).apply(null,arguments)},s._Add=function(){return(s._Add=s.asm.Add).apply(null,arguments)},s._AddN=function(){return(s._AddN=s.asm.AddN).apply(null,arguments)},s._All=function(){return(s._All=s.asm.All).apply(null,arguments)},s._Any=function(){return(s._Any=s.asm.Any).apply(null,arguments)},s._ArgMax=function(){return(s._ArgMax=s.asm.ArgMax).apply(null,arguments)},s._AvgPool=function(){return(s._AvgPool=s.asm.AvgPool).apply(null,arguments)},s._BatchMatMul=function(){return(s._BatchMatMul=s.asm.BatchMatMul).apply(null,arguments)},s._Ceil=function(){return(s._Ceil=s.asm.Ceil).apply(null,arguments)},s._ClipByValue=function(){return(s._ClipByValue=s.asm.ClipByValue).apply(null,arguments)},s._Conv2D=function(){return(s._Conv2D=s.asm.Conv2D).apply(null,arguments)},s._Conv2DBackpropInput=function(){return(s._Conv2DBackpropInput=s.asm.Conv2DBackpropInput).apply(null,arguments)},s._Cos=function(){return(s._Cos=s.asm.Cos).apply(null,arguments)},s._Cosh=function(){return(s._Cosh=s.asm.Cosh).apply(null,arguments)},s._CropAndResize=function(){return(s._CropAndResize=s.asm.CropAndResize).apply(null,arguments)},s._Cumsum=function(){return(s._Cumsum=s.asm.Cumsum).apply(null,arguments)},s._DepthToSpace=function(){return(s._DepthToSpace=s.asm.DepthToSpace).apply(null,arguments)},s._DepthwiseConv2dNative=function(){return(s._DepthwiseConv2dNative=s.asm.DepthwiseConv2dNative).apply(null,arguments)},s._Elu=function(){return(s._Elu=s.asm.Elu).apply(null,arguments)},s._Equal=function(){return(s._Equal=s.asm.Equal).apply(null,arguments)},s._Exp=function(){return(s._Exp=s.asm.Exp).apply(null,arguments)},s._FlipLeftRight=function(){return(s._FlipLeftRight=s.asm.FlipLeftRight).apply(null,arguments)},s._Floor=function(){return(s._Floor=s.asm.Floor).apply(null,arguments)},s._FloorDiv=function(){return(s._FloorDiv=s.asm.FloorDiv).apply(null,arguments)},s._FusedBatchNorm=function(){return(s._FusedBatchNorm=s.asm.FusedBatchNorm).apply(null,arguments)},s._FusedConv2D=function(){return(s._FusedConv2D=s.asm.FusedConv2D).apply(null,arguments)},s._FusedDepthwiseConv2D=function(){return(s._FusedDepthwiseConv2D=s.asm.FusedDepthwiseConv2D).apply(null,arguments)},s._Gather=function(){return(s._Gather=s.asm.Gather).apply(null,arguments)},s._GatherNd=function(){return(s._GatherNd=s.asm.GatherNd).apply(null,arguments)},s._Greater=function(){return(s._Greater=s.asm.Greater).apply(null,arguments)},s._GreaterEqual=function(){return(s._GreaterEqual=s.asm.GreaterEqual).apply(null,arguments)},s._LeakyRelu=function(){return(s._LeakyRelu=s.asm.LeakyRelu).apply(null,arguments)},s._Less=function(){return(s._Less=s.asm.Less).apply(null,arguments)},s._LessEqual=function(){return(s._LessEqual=s.asm.LessEqual).apply(null,arguments)},s._Log=function(){return(s._Log=s.asm.Log).apply(null,arguments)},s._LogicalAnd=function(){return(s._LogicalAnd=s.asm.LogicalAnd).apply(null,arguments)},s._Max=function(){return(s._Max=s.asm.Max).apply(null,arguments)},s._MaxPool=function(){return(s._MaxPool=s.asm.MaxPool).apply(null,arguments)},s._Maximum=function(){return(s._Maximum=s.asm.Maximum).apply(null,arguments)},s._Mean=function(){return(s._Mean=s.asm.Mean).apply(null,arguments)},s._Min=function(){return(s._Min=s.asm.Min).apply(null,arguments)},s._Minimum=function(){return(s._Minimum=s.asm.Minimum).apply(null,arguments)},s._MirrorPad=function(){return(s._MirrorPad=s.asm.MirrorPad).apply(null,arguments)},s._Multiply=function(){return(s._Multiply=s.asm.Multiply).apply(null,arguments)},s._Neg=function(){return(s._Neg=s.asm.Neg).apply(null,arguments)},s._NonMaxSuppressionV3=function(){return(s._NonMaxSuppressionV3=s.asm.NonMaxSuppressionV3).apply(null,arguments)},s._NonMaxSuppressionV4=function(){return(s._NonMaxSuppressionV4=s.asm.NonMaxSuppressionV4).apply(null,arguments)},s._NonMaxSuppressionV5=function(){return(s._NonMaxSuppressionV5=s.asm.NonMaxSuppressionV5).apply(null,arguments)},s._NotEqual=function(){return(s._NotEqual=s.asm.NotEqual).apply(null,arguments)},s._OneHot=function(){return(s._OneHot=s.asm.OneHot).apply(null,arguments)},s._PadV2=function(){return(s._PadV2=s.asm.PadV2).apply(null,arguments)},s._Pow=function(){return(s._Pow=s.asm.Pow).apply(null,arguments)},s._Prelu=function(){return(s._Prelu=s.asm.Prelu).apply(null,arguments)},s._Prod=function(){return(s._Prod=s.asm.Prod).apply(null,arguments)},s._RealDiv=function(){return(s._RealDiv=s.asm.RealDiv).apply(null,arguments)},s._Relu=function(){return(s._Relu=s.asm.Relu).apply(null,arguments)},s._Relu6=function(){return(s._Relu6=s.asm.Relu6).apply(null,arguments)},s._ResizeBilinear=function(){return(s._ResizeBilinear=s.asm.ResizeBilinear).apply(null,arguments)},s._Reverse=function(){return(s._Reverse=s.asm.Reverse).apply(null,arguments)},s._RotateWithOffset=function(){return(s._RotateWithOffset=s.asm.RotateWithOffset).apply(null,arguments)},s._Round=function(){return(s._Round=s.asm.Round).apply(null,arguments)},s._Rsqrt=function(){return(s._Rsqrt=s.asm.Rsqrt).apply(null,arguments)},s._ScatterNd=function(){return(s._ScatterNd=s.asm.ScatterNd).apply(null,arguments)},s._SelectV2=function(){return(s._SelectV2=s.asm.SelectV2).apply(null,arguments)},s._Sigmoid=function(){return(s._Sigmoid=s.asm.Sigmoid).apply(null,arguments)},s._Sin=function(){return(s._Sin=s.asm.Sin).apply(null,arguments)},s._Softmax=function(){return(s._Softmax=s.asm.Softmax).apply(null,arguments)},s._SparseFillEmptyRows=function(){return(s._SparseFillEmptyRows=s.asm.SparseFillEmptyRows).apply(null,arguments)},s._SparseReshape=function(){return(s._SparseReshape=s.asm.SparseReshape).apply(null,arguments)},s._SparseSegmentReduction=function(){return(s._SparseSegmentReduction=s.asm.SparseSegmentReduction).apply(null,arguments)},s._Sqrt=function(){return(s._Sqrt=s.asm.Sqrt).apply(null,arguments)},s._Square=function(){return(s._Square=s.asm.Square).apply(null,arguments)},s._SquaredDifference=function(){return(s._SquaredDifference=s.asm.SquaredDifference).apply(null,arguments)},s._Step=function(){return(s._Step=s.asm.Step).apply(null,arguments)},s._StridedSlice=function(){return(s._StridedSlice=s.asm.StridedSlice).apply(null,arguments)},s._Sub=function(){return(s._Sub=s.asm.Sub).apply(null,arguments)},s._Sum=function(){return(s._Sum=s.asm.Sum).apply(null,arguments)},s._Tan=function(){return(s._Tan=s.asm.Tan).apply(null,arguments)},s._Tanh=function(){return(s._Tanh=s.asm.Tanh).apply(null,arguments)},s._Tile=function(){return(s._Tile=s.asm.Tile).apply(null,arguments)},s._TopK=function(){return(s._TopK=s.asm.TopK).apply(null,arguments)},s._Transform=function(){return(s._Transform=s.asm.Transform).apply(null,arguments)},s._Transpose=function(){return(s._Transpose=s.asm.Transpose).apply(null,arguments)},s.__FusedMatMul=function(){return(s.__FusedMatMul=s.asm._FusedMatMul).apply(null,arguments)},s._malloc=function(){return(s._malloc=s.asm.malloc).apply(null,arguments)},s._free=function(){return(s._free=s.asm.free).apply(null,arguments)},s.___errno_location=function(){return(s.___errno_location=s.asm.__errno_location).apply(null,arguments)},s._emscripten_main_thread_process_queued_calls=function(){return(s._emscripten_main_thread_process_queued_calls=s.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},s.stackSave=function(){return(J=s.stackSave=s.asm.stackSave).apply(null,arguments)}),ee=s.stackRestore=function(){return(ee=s.stackRestore=s.asm.stackRestore).apply(null,arguments)},ne=s.stackAlloc=function(){return(ne=s.stackAlloc=s.asm.stackAlloc).apply(null,arguments)};function te(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function ae(e){function t(){K||(K=!0,s.calledRun=!0,k||(B(O),n(s),s.onRuntimeInitialized&&s.onRuntimeInitialized(),function(){if(s.postRun)for("function"==typeof s.postRun&&(s.postRun=[s.postRun]);s.postRun.length;)e=s.postRun.shift(),W.unshift(e);var e;B(W)}()))}P>0||(function(){if(s.preRun)for("function"==typeof s.preRun&&(s.preRun=[s.preRun]);s.preRun.length;)e=s.preRun.shift(),T.unshift(e);var e;B(T)}(),P>0||(s.setStatus?(s.setStatus("Running..."),setTimeout((function(){setTimeout((function(){s.setStatus("")}),1),t()}),1)):t()))}if(s.dynCall_iijjiiii=function(){return(s.dynCall_iijjiiii=s.asm.dynCall_iijjiiii).apply(null,arguments)},s.dynCall_jiji=function(){return(s.dynCall_jiji=s.asm.dynCall_jiji).apply(null,arguments)},s.cwrap=function(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?I(e):function(){return v(e,n,t,arguments)}},j=function e(){K||ae(),K||(j=e)},s.run=ae,s.preInit)for("function"==typeof s.preInit&&(s.preInit=[s.preInit]);s.preInit.length>0;)s.preInit.pop()();if(ae(),r&&(Q={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!r.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!r.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof e)X=e;else{if("undefined"==typeof WasmBackendModuleThreadedSimd)throw new Error("Could not find wasm module in post.js");X=WasmBackendModuleThreadedSimd}if(Q){var re=X._dispose;X._dispose=function(){re(),Q.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),Q.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=a}));class wr extends nn{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.initWithThreadsCount(Rr),Cr=this.wasm.tfjs.getThreadsCount(),this.dataIdMap=new tn(this,an())}write(e,n,t){const a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const n=t.now();e();return{kernelMs:t.now()-n}}move(e,n,a,r,s){const u=this.dataIdNextNumber++;if("string"===r){const t=n;return void this.dataIdMap.set(e,{id:u,stringBytes:t,shape:a,dtype:r,memoryOffset:null,refCount:s})}const i=t.sizeFromShape(a),o=i*t.bytesPerElement(r),d=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:d,shape:a,dtype:r,refCount:s}),this.wasm.tfjs.registerTensor(u,i,d),null!=n&&this.wasm.HEAPU8.set(new Uint8Array(n.buffer,n.byteOffset,o),d)}async read(e){return this.readSync(e)}readSync(e,n,a){const{memoryOffset:r,dtype:s,shape:u,stringBytes:i}=this.dataIdMap.get(e);if("string"===s)return null!=n&&0!==n||!(null==a||a>=i.length)?i.slice(n,a):i;n=n||0,a=a||t.sizeFromShape(u);const o=t.bytesPerElement(s);return function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error(`Unknown dtype ${n}`)}}(this.wasm.HEAPU8.slice(r+n*o,r+a*o).buffer,s)}disposeData(e,n=!1){if(this.dataIdMap.has(e)){const t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0}refCount(e){if(this.dataIdMap.has(e)){return this.dataIdMap.get(e).refCount}return 0}incRef(e){const n=this.dataIdMap.get(e);null!=n&&n.refCount++}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),"PThread"in this.wasm&&this.wasm.PThread.terminateAllThreads(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,n,a){let r;if(null==a)r=this.write(null,e,n);else{const s=this.dataIdNextNumber++;r={id:s},this.dataIdMap.set(r,{id:s,memoryOffset:a,shape:e,dtype:n,refCount:1});const u=t.sizeFromShape(e);this.wasm.tfjs.registerTensor(s,u,a)}return{dataId:r,shape:e,dtype:n}}typedArrayFromHeap({shape:e,dtype:n,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:s}=this.dataIdMap.get(a),u=t.sizeFromShape(e);switch(n){case"float32":return new Float32Array(r,s,u);case"int32":return new Int32Array(r,s,u);case"bool":return new Uint8Array(r,s,u);default:throw new Error(`Unknown dtype ${n}`)}}}function kr(e,n,t){if(null!=Sr)return Sr;let a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=xr&&null!=xr[a]?xr[a]:t+a}async function Ir(){const[e,n]=await Promise.all([en().getAsync("WASM_HAS_SIMD_SUPPORT"),en().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise(((a,r)=>{const s={locateFile:(t,a)=>{if(t.endsWith(".worker.js")){const e=new Blob(['"use strict";var Module={};var ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string";if(ENVIRONMENT_IS_NODE){var nodeWorkerThreads=require("worker_threads");var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var fs=require("fs");Object.assign(global,{self:global,require:require,Module:Module,location:{href:__filename},Worker:nodeWorkerThreads.Worker,importScripts:function(f){(0,eval)(fs.readFileSync(f,"utf8"))},postMessage:function(msg){parentPort.postMessage(msg)},performance:global.performance||{now:function(){return Date.now()}}})}function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");if(ENVIRONMENT_IS_NODE){fs.writeSync(2,text+"\n");return}console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;self.alert=threadAlert;Module["instantiateWasm"]=((info,receiveInstance)=>{var instance=new WebAssembly.Instance(Module["wasmModule"],info);receiveInstance(instance);Module["wasmModule"]=null;return instance.exports});self.onmessage=(e=>{try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance})}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0,1);Module["establishStackSpace"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].threadInit();try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(Module["keepRuntimeAlive"]()){Module["PThread"].setExitStatus(result)}else{Module["__emscripten_thread_exit"](result)}}catch(ex){if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["keepRuntimeAlive"]()){}else{Module["__emscripten_thread_exit"](ex.status)}}else{throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["__emscripten_thread_exit"](-1)}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else if(e.data.cmd==="processProxyingQueue"){if(Module["_pthread_self"]()){Module["_emscripten_proxy_execute_queue"](e.data.queue)}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);if(Module["__emscripten_thread_crashed"]){Module["__emscripten_thread_crashed"]()}throw ex}});'],{type:"application/javascript"});return URL.createObjectURL(e)}return t.endsWith(".wasm")?kr(e,n,null!=Mr?Mr:a):a+t}};Fr&&(s.instantiateWasm=function(e){return(n,a)=>(t.fetch(e,{credentials:"same-origin"}).then((t=>{t.ok||n.env.a(`failed to load wasm binary file at '${e}'`),t.arrayBuffer().then((e=>{WebAssembly.instantiate(e,n).then((e=>{a(e.instance,e.module)}))}))})),{})}(kr(e,n,null!=Mr?Mr:"")));let u,i=!1;s.onAbort=()=>{if(i)return;if(Ar)return;Ar=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})},n&&e&&null==Sr?(s.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+yr.toString()],{type:"text/javascript"}),u=yr(s)):u=gr(s),u.then((e=>{i=!0,Ar=!1;e.tfjs={init:e.cwrap("init",null,[]),initWithThreadsCount:e.cwrap("init_with_threads_count",null,["number"]),getThreadsCount:e.cwrap("get_threads_count","number",[]),registerTensor:e.cwrap("register_tensor",null,["number","number","number"]),disposeData:e.cwrap("dispose_data",null,["number"]),dispose:e.cwrap("dispose",null,[])},a({wasm:e})}))}))}const vr=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Sr=null,Mr=null,xr={},Ar=!1,Fr=!1;function Nr(e,n=!1){if(rn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Ar)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Sr=e,Fr=n}function Er(e,n=!1){if(Ar)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Mr=e;else{xr=e;const n=vr.filter((e=>null==xr[e]));if(n.length>0)throw new Error(`There were no entries found for the following binaries: ${n.join(",")}. Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.`)}Fr=n}let Rr=-1,Cr=-1;function Dr(e){Rr=e}function Tr(){if(-1===Cr)throw new Error("WASM backend not initialized.");return Cr}const Or="3.14.0";sn("wasm",(async()=>{const{wasm:e}=await Ir();return new wr(e)}),2);export{wr as BackendWasm,Tr as getThreadsCount,Dr as setThreadsCount,Nr as setWasmPath,Er as setWasmPaths,Or as version_wasm};
//# sourceMappingURL=tf-backend-wasm.fesm.min.js.map
