/**
 * @license
 * Copyright 2022 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs"),require("worker_threads"),require("perf_hooks"),require("os")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs","worker_threads","perf_hooks","os"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs,e.worker_threads,e.perf_hooks,e.os)}(this,(function(e,n,t,a,r,u,i){"use strict";var s,o,d;t=t&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t,a=a&&Object.prototype.hasOwnProperty.call(a,"default")?a.default:a,r=r&&Object.prototype.hasOwnProperty.call(r,"default")?r.default:r,u=u&&Object.prototype.hasOwnProperty.call(u,"default")?u.default:u,i=i&&Object.prototype.hasOwnProperty.call(i,"default")?i.default:i,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(s||(s={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu",e[e.leakyrelu=4]="leakyrelu",e[e.sigmoid=5]="sigmoid",e[e.elu=6]="elu"}(o||(o={}));var l={kernelName:n._FusedMatMul,backendName:"wasm",setupFunc:function(e){d=e.wasm.cwrap(n._FusedMatMul,null,["number","array","number","number","array","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.a,i=t.b,s=t.bias,l=t.preluActivationWeights;if("float32"!==u.dtype||"float32"!==i.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");var p=r.transposeA,c=r.transposeB,m=r.activation,f=r.leakyreluAlpha,h=a.dataIdMap.get(u.dataId).id,b=a.dataIdMap.get(i.dataId).id,_=0;if(null!=s){var y=a.dataIdMap.get(s.dataId);if(1!==y.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got rank "+y.shape.length+".");_=y.id}var g=null==l?0:a.dataIdMap.get(l.dataId).id,v=o[m];if(null==v)throw new Error(m+" activation not yet supported for FusedConv2D in the wasm backend.");var w=p?u.shape[2]:u.shape[1],k=c?i.shape[1]:i.shape[2],I=n.broadcast_util.assertAndGetBroadcastShape(u.shape.slice(0,-2),i.shape.slice(0,-2)),S=a.makeOutput(I.concat([w,k]),u.dtype),M=a.dataIdMap.get(S.dataId).id,x=new Uint8Array(new Int32Array(u.shape).buffer),A=new Uint8Array(new Int32Array(i.shape).buffer);return d(h,x,u.shape.length,b,A,i.shape.length,p,c,v,_,g,f||0,M),S}};function p(e,t){var a;return{kernelName:e,backendName:"wasm",setupFunc:function(n){a=n.wasm.cwrap(e,null,["number","number","number"])},kernelFunc:function(e){var r=e.backend,u=e.inputs.x,i=r.dataIdMap.get(u.dataId).id,o=r.makeOutput(u.shape,t||u.dtype),d=r.dataIdMap.get(o.dataId).id;return 0===n.util.sizeFromShape(o.shape)||a(i,s[u.dtype],d),o}}}var c=p(n.Abs);function m(e,t,a){var r;return{kernelName:e,backendName:"wasm",setupFunc:function(n){r=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(e){var t=e.backend,u=e.inputs,i=u.a,o=u.b,d=t.dataIdMap.get(i.dataId).id,l=t.dataIdMap.get(o.dataId).id,p=null!=a?a:i.dtype,c=n.backend_util.assertAndGetBroadcastShape(i.shape,o.shape),m=t.makeOutput(c,p);if(0===n.util.sizeFromShape(c))return m;var f=new Uint8Array(new Int32Array(i.shape).buffer),h=new Uint8Array(new Int32Array(o.shape).buffer),b=t.dataIdMap.get(m.dataId).id;return r(d,f,i.shape.length,l,h,o.shape.length,s[i.dtype],b),m}}}var f,h=m(n.Add);var b={kernelName:n.AddN,backendName:"wasm",setupFunc:function(e){f=e.wasm.cwrap(n.AddN,null,["array","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(r.shape))return r;var u=t.map((function(e){return a.dataIdMap.get(e.dataId).id})),i=new Uint8Array(new Int32Array(u).buffer),o=a.dataIdMap.get(r.dataId).id;return f(i,u.length,s[r.dtype],o),r}};function _(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype),r=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(a).set(r),a}var y,g={kernelName:n.Identity,backendName:"wasm",kernelFunc:_};function v(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=function(e,n){for(var t=[],a=[],r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(r=0;r<a.length;++r){for(var u=-1,i=0;i<a.length;++i)a[i]>=r&&(-1===u||a[u]>a[i])&&(u=i);a[u]=r}return[t,a]}(n.x.shape,a.perm),u=r[0],i=r[1],o=!0,d=0;d<i.length;d++)i[d]!==d&&(o=!1);var l=function(e,n){for(var t=new Array(e.length),a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm),p={dataId:n.x.dataId,shape:u,dtype:n.x.dtype};if(o){var c=_({inputs:n,backend:t});return c.shape=l,c}var m=t.makeOutput(l,p.dtype),f=t.dataIdMap.get(p.dataId).id,h=t.dataIdMap.get(m.dataId).id,b=new Uint8Array(new Int32Array(i).buffer),g=new Uint8Array(new Int32Array(p.shape).buffer);return y(f,g,p.shape.length,s[p.dtype],h,b,i.length),m}var w,k={kernelName:n.Transpose,backendName:"wasm",kernelFunc:v,setupFunc:function(e){y=e.wasm.cwrap(n.Transpose,null,["number","array","number","number","number","array","number"])}};function I(e,t,a){var r=e.shape,u=e.shape.length,i=n.util.parseAxisParam(t,r),s=i,o=n.backend_util.getAxesPermutation(s,u),d=null,l=!1;if(null!=o){for(var p=new Array(u),c=0;c<p.length;c++)p[c]=r[o[c]];s=n.backend_util.getInnerMostAxes(s.length,u),d=v({inputs:{x:e},attrs:{perm:o},backend:a});var m=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(d.dataId).id!==m&&(l=!0)}return{transposed:d,originalAxes:i,axes:s,inputWasTransposed:l}}var S,M={kernelName:n.All,backendName:"wasm",setupFunc:function(e){w=e.wasm.cwrap(n.All,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=s,l=I(s,u,t),p=l.transposed,c=l.axes,m=l.originalAxes,f=l.inputWasTransposed;f&&(d=p,o=t.dataIdMap.get(p.dataId).id);var h=d.shape.length;n.backend_util.assertAxesAreInnerMostDims("all",c,h);var b=n.backend_util.computeOutAndReduceShapes(d.shape,c),_=b[0],y=b[1],g=n.util.sizeFromShape(y),v=t.makeOutput(_,s.dtype);if(0!==n.util.sizeFromShape(d.shape)){var k=t.dataIdMap.get(v.dataId).id;w(o,g,k)}if(f&&t.disposeData(p.dataId),i){var S=n.backend_util.expandShapeToKeepDim(v.shape,m);v.shape=S}return v}};var x,A={kernelName:n.Any,backendName:"wasm",setupFunc:function(e){S=e.wasm.cwrap(n.Any,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=s,l=I(s,u,t),p=l.transposed,c=l.axes,m=l.originalAxes,f=l.inputWasTransposed;f&&(d=p,o=t.dataIdMap.get(p.dataId).id);var h=d.shape.length;n.backend_util.assertAxesAreInnerMostDims("any",c,h);var b=n.backend_util.computeOutAndReduceShapes(d.shape,c),_=b[0],y=b[1],g=n.util.sizeFromShape(y),v=t.makeOutput(_,s.dtype);if(0!==n.util.sizeFromShape(d.shape)){var w=t.dataIdMap.get(v.dataId).id;S(o,g,w)}if(f&&t.disposeData(p.dataId),i){var k=n.backend_util.expandShapeToKeepDim(v.shape,m);v.shape=k}return v}};var F,N={kernelName:n.ArgMax,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.axis,u=a.x,i=t.dataIdMap.get(u.dataId).id,o=i,d=u,l=I(u,r,t),p=l.transposed,c=l.axes,m=l.inputWasTransposed;if(m){var f=t.dataIdMap.get(p.dataId).id;f!==i&&(d=p,o=f)}var h=d.shape.slice(0,-1),b=t.makeOutput(h,"int32"),_=t.dataIdMap.get(b.dataId).id,y=n.util.sizeFromShape(b.shape),g=d.shape[c[0]];return x(o,s[d.dtype],y,g,_),m&&t.disposeData(p.dataId),b},setupFunc:function(e){x=e.wasm.cwrap(n.ArgMax,null,["number","number","number","number","number"])}};var E={kernelName:n.AvgPool,backendName:"wasm",setupFunc:function(e){F=e.wasm.cwrap(n.AvgPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id,s=a.filterSize,o=a.strides,d=a.pad,l=a.dimRoundingMode,p=n.backend_util.computePool2DInfo(u.shape,s,o,1,d,l),c=p.filterHeight,m=p.filterWidth,f=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,_=p.padInfo.left,y=p.strideHeight,g=p.strideWidth,v=p.inChannels;if("channelsLast"!==p.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+p.dataFormat+"'. Please use 'channelsLast'.");if(1!==p.dilationWidth||1!==p.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], got ["+p.dilationHeight+", "+p.dilationWidth+"].");var w=r.makeOutput(p.outShape,"float32"),k=r.dataIdMap.get(w.dataId).id;return F(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,h,b,_,y,g,v,k),w}};function R(e){var t=e.inputs,a=e.attrs,r=t.x,u=a.shape,i=n.util.sizeFromShape(r.shape),s=n.util.inferFromImplicitShape(u,i);return n.util.assert(i===n.util.sizeFromShape(s),(function(){return"new shape: "+s+", old shape: "+r.shape+". New shape and old shape must have the same number of elements."})),e.backend.incRef(r.dataId),{dataId:r.dataId,shape:s,dtype:r.dtype}}var C,D={kernelName:n.Reshape,backendName:"wasm",kernelFunc:R};var T={kernelName:n.BatchMatMul,backendName:"wasm",setupFunc:function(e){C=e.wasm.cwrap(n.BatchMatMul,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.a,i=t.b,s=r.transposeA,o=r.transposeB;if("float32"!==u.dtype||"float32"!==i.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");var d=u.shape.length,l=i.shape.length,p=s?u.shape[d-2]:u.shape[d-1],c=o?i.shape[l-1]:i.shape[l-2],m=s?u.shape[d-1]:u.shape[d-2],f=o?i.shape[l-2]:i.shape[l-1],h=u.shape.slice(0,-2),b=i.shape.slice(0,-2),_=n.util.sizeFromShape(h),y=n.util.sizeFromShape(b),g=n.broadcast_util.assertAndGetBroadcastShape(u.shape.slice(0,-2),i.shape.slice(0,-2)).concat([m,f]);n.util.assert(p===c,(function(){return"Error in matMul: inner shapes ("+p+") and ("+c+") of Tensors with shapes "+u.shape+" and "+i.shape+" and transposeA="+s+" and transposeB="+o+" must match."}));var v=o?[y,f,c]:[y,c,f],w=R({inputs:{x:u},backend:a,attrs:{shape:s?[_,p,m]:[_,m,p]}}),k=R({inputs:{x:i},backend:a,attrs:{shape:v}}),I=a.dataIdMap.get(w.dataId).id,S=a.dataIdMap.get(k.dataId).id,M=s?w.shape[2]:w.shape[1],x=o?k.shape[1]:k.shape[2],A=Math.max(_,y),F=a.makeOutput([A,M,x],w.dtype),N=a.dataIdMap.get(F.dataId).id,E=new Uint8Array(new Int32Array(w.shape).buffer),D=new Uint8Array(new Int32Array(k.shape).buffer);return C(I,E,w.shape.length,S,D,k.shape.length,s,o,N),a.disposeData(w.dataId),a.disposeData(k.dataId),F.shape=g,F}};function O(e,t,a,r,u){const i=n.slice_util.isSliceContinous(r,t,a),s=n.util.sizeFromShape(a),o=n.util.computeStrides(r);if(i){const a=n.slice_util.computeFlatOffset(t,o);return"string"===u?e.slice(a,a+s):e.subarray(a,a+s)}const d="string"===u?n.backend_util.fromUint8ToStringArray(e):e,l=n.buffer(r,u,d),p=n.buffer(a,u);for(let e=0;e<p.size;++e){const n=p.indexToLoc(e),a=n.map(((e,n)=>e+t[n]));p.set(l.get(...a),...n)}return"string"===u?n.backend_util.fromStringArrayToUint8(p.values):p.values}function P(e){var t=e.inputs.x,a=e.attrs,r=a.begin,u=a.size,i=e.backend,s=n.slice_util.parseSliceParams(t,r,u),o=s[0],d=s[1],l=n.slice_util.isSliceContinous(t.shape,o,d),p=i.readSync(t.dataId),c=i.makeOutput(d,t.dtype),m=n.util.computeStrides(t.shape),f=i.dataIdMap.get(c.dataId);if(l){var h=n.slice_util.computeFlatOffset(o,m);if("string"===t.dtype)f.stringBytes=p.slice(h,h+n.util.sizeFromShape(d));else i.typedArrayFromHeap(c).set(p.subarray(h,h+n.util.sizeFromShape(d)));return c}if("string"===t.dtype){var b=O(p,o,d,t.shape,t.dtype);return f.stringBytes=b,c}var _=i.typedArrayFromHeap(c),y=t.shape.length;if(2===y)!function(e,n,t,a,r){for(var u=0,i=a[0],s=a[1],o=i+r[0],d=i;d<o;d++){var l=d*n+s;t.set(e.subarray(l,l+r[1]),u),u+=r[1]}}(p,m[0],_,o,d);else if(3===y)!function(e,n,t,a,r,u){for(var i=0,s=r[0],o=r[1],d=r[2],l=s+u[0],p=o+u[1],c=s;c<l;c++)for(var m=o;m<p;m++){var f=c*n+m*t+d;a.set(e.subarray(f,f+u[2]),i),i+=u[2]}}(p,m[0],m[1],_,o,d);else if(4===y)!function(e,n,t,a,r,u,i){for(var s=0,o=u[0],d=u[1],l=u[2],p=o+i[0],c=d+i[1],m=l+i[2],f=u[3],h=o;h<p;h++)for(var b=d;b<c;b++)for(var _=l;_<m;_++){var y=h*n+b*t+_*a+f;r.set(e.subarray(y,y+i[3]),s),s+=i[3]}}(p,m[0],m[1],m[2],_,o,d);else{b=O(p,o,d,t.shape,t.dtype);_.set(b)}return c}var W={kernelName:n.Slice,backendName:"wasm",kernelFunc:P};var j={kernelName:n.BatchToSpaceND,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.blockShape,s=r.crops,o=i.reduce((function(e,n){return e*n})),d=n.backend_util.getReshaped(u.shape,i,o),l=n.backend_util.getPermuted(d.length,i.length),p=n.backend_util.getReshapedPermuted(u.shape,i,o),c=n.backend_util.getSliceBeginCoords(s,i.length),m=n.backend_util.getSliceSize(p,s,i.length),f=R({inputs:{x:u},backend:a,attrs:{shape:d}}),h=v({inputs:{x:f},backend:a,attrs:{perm:l}}),b=P({inputs:{x:R({inputs:{x:h},backend:a,attrs:{shape:p}})},backend:a,attrs:{begin:c,size:m}});return a.disposeData(f.dataId),a.disposeData(h.dataId),a.disposeData(f.dataId),b}};function z(e){var n=e.inputs.x,t=e.attrs.dtype,a=e.backend,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}var L,H={kernelName:n.Cast,backendName:"wasm",kernelFunc:z},B=p(n.Ceil);var q={kernelName:n.ClipByValue,backendName:"wasm",setupFunc:function(e){L=e.wasm.cwrap(n.ClipByValue,null,["number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.clipValueMin,i=a.clipValueMax,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,r.dtype),d=t.dataIdMap.get(o.dataId).id;return L(s,u,i,d),o}};function U(e){var t=e.inputs,a=e.backend,r=n.util.parseAxisParam(e.attrs.axis,t[0].shape)[0],u=n.backend_util.computeOutShape(t.map((function(e){return e.shape})),r),i=t.filter((function(e){return n.util.sizeFromShape(e.shape)>0}));if(1===i.length)return _({inputs:{x:i[0]},backend:a});var s=a.makeOutput(u,t[0].dtype);if(0===n.util.sizeFromShape(u))return s;var o=i.map((function(e){return e.shape}));if(n.backend_util.assertParamsConsistent(o,r),"string"===i[0].dtype){var d=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return R({inputs:{x:e},backend:a,attrs:{shape:[-1,t]}})})),l=d.map((function(e){return{vals:a.readSync(e.dataId),shape:e.shape}}));u=n.backend_util.computeOutShape(d.map((function(e){return e.shape})),1);var p=1===d[0].shape[0],c=function(e,t,a,r){const u=n.util.getArrayFromDType(a,n.util.sizeFromShape(t));if(r&&"string"!==a){let t=0;e.forEach((e=>{const a=n.util.sizeFromShape(e.shape);u.set(e.vals,t),t+=a}))}else{let r=0;e.forEach((e=>{const i="string"===a?n.backend_util.fromUint8ToStringArray(e.vals):e.vals;let s=0;for(let n=0;n<e.shape[0];++n){const a=n*t[1]+r;for(let n=0;n<e.shape[1];++n)u[a+n]=i[s++]}r+=e.shape[1]}))}return u}(l,u,t[0].dtype,p),m=n.backend_util.computeOutShape(i.map((function(e){return e.shape})),r);return s.shape=m,a.dataIdMap.get(s.dataId).stringBytes=n.backend_util.fromStringArrayToUint8(c),d.forEach((function(e){return a.disposeData(e.dataId)})),s}for(var f=n.util.sizeFromShape(i[0].shape.slice(0,r)),h=0,b=i.map((function(e){var t=n.util.sizeFromShape(e.shape.slice(r));return h+=t,t})),y=i.map((function(e){return a.typedArrayFromHeap(e)})),g=a.typedArrayFromHeap(s),v=0;v<f;v++)for(var w=v*h,k=0;k<y.length;k++){var I=b[k],S=v*I,M=y[k].subarray(S,S+I);g.set(M,w),w+=I}return s}var V,G={kernelName:n.Concat,backendName:"wasm",kernelFunc:U};var K,Q={kernelName:n.Conv2D,backendName:"wasm",setupFunc:function(e){V=e.wasm.cwrap(n.Conv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,d=a.strides,l=a.dilations,p=a.pad,c=a.dimRoundingMode,m=a.dataFormat,f=n.backend_util.convertConv2DDataFormat(m),h=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,l,p,c,!1,f),b=h.filterHeight,_=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,v=h.padInfo.bottom,w=h.padInfo.left,k=h.dilationHeight,I=h.dilationWidth,S=h.strideHeight,M=h.strideWidth,x=h.inChannels,A=h.outChannels,F="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+h.dataFormat+"'. Please use 'channelsLast'.");var N=r.makeOutput(h.outShape,"float32"),E=r.dataIdMap.get(N.dataId).id;return V(s,u.shape[0],u.shape[1],u.shape[2],o,b,_,y,g,v,w,F,k,I,S,M,x,A,E),N}};var X,Z,Y={kernelName:n.Conv2DBackpropInput,backendName:"wasm",setupFunc:function(e){K=e.wasm.cwrap(n.Conv2DBackpropInput,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.dy,i=a.filter,s=r.strides,o=r.pad,d=r.dataFormat,l=r.dimRoundingMode,p=r.inputShape,c=n.backend_util.convertConv2DDataFormat(d),m=n.backend_util.computeConv2DInfo(p,i.shape,s,1,o,l,!1,c),f=m.batchSize,h=m.filterHeight,b=m.filterWidth,_=m.inChannels,y=m.inHeight,g=m.inWidth,v=m.outChannels,w=m.outHeight,k=m.outWidth,I=m.strideHeight,S=m.strideWidth,M=h-1-m.padInfo.top,x=b-1-m.padInfo.left,A="channelsLast"===m.dataFormat,F=n.util.computeStrides(m.inShape),N=n.util.computeStrides(u.shape),E=n.util.computeStrides(i.shape),R=E[0],C=E[1],D=E[2],T=F[0],O=A?F[1]:F[2],P=A?F[2]:1,W=A?1:F[1],j=N[0],z=A?N[1]:N[2],L=A?N[2]:1,H=A?1:N[1],B=t.makeOutput(m.inShape,"float32"),q=t.dataIdMap.get(B.dataId).id,U=t.dataIdMap.get(u.dataId).id,V=t.dataIdMap.get(i.dataId).id;return K(U,V,f,h,b,y,g,_,w,k,v,I,S,M,x,R,C,D,T,O,P,W,j,z,L,H,q),B}},J=p(n.Cos),$=p(n.Cosh);!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(X||(X={}));var ee,ne={kernelName:n.CropAndResize,backendName:"wasm",setupFunc:function(e){Z=e.wasm.cwrap(n.CropAndResize,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var n,t=e.backend,a=e.inputs,r=e.attrs,u=r.method,i=r.extrapolationValue,s=r.cropSize,o=a.image,d=a.boxes,l=a.boxInd,p=d.shape[0],c=s,m=c[0],f=c[1],h=[p,m,f,o.shape[3]],b=t.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(n=z({backend:t,inputs:{x:o},attrs:{dtype:"float32"}}),b=t.dataIdMap.get(n.dataId));var _=b.id,y=t.dataIdMap.get(d.dataId).id,g=t.dataIdMap.get(l.dataId).id,v=t.makeOutput(h,"float32"),w=t.dataIdMap.get(v.dataId).id,k=new Uint8Array(new Int32Array(o.shape).buffer);return Z(_,y,g,p,k,m,f,X[u],i,w),null!=n&&t.disposeData(n.dataId),v}};var te,ae={kernelName:n.Cumsum,backendName:"wasm",setupFunc:function(e){ee=e.wasm.cwrap(n.Cumsum,null,["number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.axis,o=r.exclusive,d=r.reverse,l=u.shape.length;n.util.assert("float32"===u.dtype||"int32"===u.dtype,(function(){return"cumsum does not support "+u.dtype+" tensors in the WASM backend"}));var p=n.backend_util.getAxesPermutation([i],l),c=u;null!==p&&(c=v({inputs:{x:u},attrs:{perm:p},backend:a}));var m=n.backend_util.getInnerMostAxes(1,l)[0];n.backend_util.assertAxesAreInnerMostDims("cumsum",[m],l);var f=a.makeOutput(c.shape,c.dtype),h=c.shape[m],b=a.dataIdMap.get(c.dataId).id,_=a.dataIdMap.get(f.dataId).id;ee(b,o?1:0,d?1:0,h,_,s[u.dtype]);var y=f;return null!==p&&(y=v({inputs:{x:f},attrs:{perm:n.backend_util.getUndoAxesPermutation(p)},backend:a}),a.disposeData(c.dataId),a.disposeData(f.dataId)),y}};var re,ue={kernelName:n.DepthToSpace,backendName:"wasm",setupFunc:function(e){te=e.wasm.cwrap(n.DepthToSpace,null,["number","number","number","array","number","array","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=r.blockSize,s=r.dataFormat,o=u.shape[0],d=("NHWC"===s?u.shape[1]:u.shape[2])*i,l=("NHWC"===s?u.shape[2]:u.shape[3])*i,p=("NHWC"===s?u.shape[3]:u.shape[1])/(i*i),c="NHWC"===s?[o,d,l,p]:[o,p,d,l],m=t.makeOutput(c,"float32"),f=t.dataIdMap.get(u.dataId).id,h=new Uint8Array(new Int32Array(n.util.computeStrides(u.shape)).buffer),b=new Uint8Array(new Int32Array(c).buffer),_=new Uint8Array(new Int32Array(n.util.computeStrides(c)).buffer),y=t.dataIdMap.get(m.dataId).id;return te(f,i,"NHWC"===s?1:0,h,u.shape.length-1,b,_,c.length,y),m}};var ie={kernelName:n.DepthwiseConv2dNative,backendName:"wasm",setupFunc:function(e){re=e.wasm.cwrap(n.DepthwiseConv2dNative,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,d=a.strides,l=a.dilations,p=a.pad,c=a.dimRoundingMode,m=null==l?[1,1]:l,f=n.backend_util.computeConv2DInfo(u.shape,i.shape,d,m,p,c,!0),h=f.filterHeight,b=f.filterWidth,_=f.padInfo.top,y=f.padInfo.right,g=f.padInfo.bottom,v=f.padInfo.left,w=f.dilationHeight,k=f.dilationWidth,I=f.strideHeight,S=f.strideWidth,M=f.inChannels,x=f.outChannels,A="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+f.dataFormat+"'. Please use 'channelsLast'.");var F=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(F.dataId).id;return re(s,u.shape[0],u.shape[1],u.shape[2],o,h,b,_,y,g,v,A,w,k,I,S,M,x,N),F}},se=p(n.Elu),oe=m(n.Equal,0,"bool"),de=p(n.Exp,"float32");function le(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.input,i=a.dim,s=u.shape.length,o=u.shape.slice(),d=i;return i<0&&(n.util.assert(-(s+1)<=i,(function(){return"Axis must be in the interval ["+-(s+1)+", "+s+"]"})),d=s+i+1),o.splice(d,0,1),R({inputs:{x:u},backend:r,attrs:{shape:o}})}var pe={kernelName:n.ExpandDims,backendName:"wasm",kernelFunc:le};function ce(e){var n=e.attrs,t=n.shape,a=n.value,r=n.dtype,u=e.backend,i=u.makeOutput(t,r);return u.typedArrayFromHeap(i).fill(a),i}var me,fe={kernelName:n.Fill,backendName:"wasm",kernelFunc:ce};var he,be={kernelName:n.FlipLeftRight,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.image,r=t.makeOutput(a.shape,a.dtype),u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=a.shape,o=s[0],d=s[1],l=s[2],p=s[3];return me(u,o,d,l,p,i),r},setupFunc:function(e){me=e.wasm.cwrap(n.FlipLeftRight,null,["number","number","number","number","number","number"])}},_e=p(n.Floor),ye=m(n.FloorDiv);var ge,ve={kernelName:n.FusedBatchNorm,backendName:"wasm",setupFunc:function(e){he=e.wasm.cwrap(n.FusedBatchNorm,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs.varianceEpsilon,u=a.x,i=a.mean,s=a.variance,o=a.offset,d=a.scale,l=t.dataIdMap.get(u.dataId).id,p=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,m=null!=o?t.dataIdMap.get(o.dataId).id:0,f=null!=d?t.dataIdMap.get(d.dataId).id:0,h=t.makeOutput(u.shape,u.dtype);if(0===n.util.sizeFromShape(u.shape))return h;var b=t.dataIdMap.get(h.dataId).id;return he(l,p,c,m,f,r,b),h}};var we,ke={kernelName:n.FusedConv2D,backendName:"wasm",setupFunc:function(e){ge=e.wasm.cwrap(n.FusedConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=t.bias,d=t.preluActivationWeights,l=a.strides,p=a.pad,c=a.dilations,m=a.dataFormat,f=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,_=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,c,p,f),y=o[h];if(null==y)throw new Error(h+" activation not yet supported for FusedConv2D in the wasm backend.");var g=r.dataIdMap.get(u.dataId).id,v=r.dataIdMap.get(i.dataId).id,w=_.outChannels,k=0;if(null!=s){var I=r.dataIdMap.get(s.dataId);if(1!==I.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var S=_.filterHeight,M=_.filterWidth,x=_.padInfo.top,A=_.padInfo.right,F=_.padInfo.bottom,N=_.padInfo.left,E=_.dilationHeight,R=_.dilationWidth,C=_.strideHeight,D=_.strideWidth,T=_.inChannels,O="SAME"===_.padInfo.type?1:0,P=_.batchSize,W=_.inHeight,j=_.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+m+"'. Please use 'NHWC'.");var z=r.makeOutput(_.outShape,"float32"),L=r.dataIdMap.get(z.dataId).id,H=null==d?0:r.dataIdMap.get(d.dataId).id;return ge(g,P,W,j,v,S,M,k,x,A,F,N,O,E,R,C,D,T,w,y,H,b||0,L),z}};var Ie,Se={kernelName:n.FusedDepthwiseConv2D,backendName:"wasm",setupFunc:function(e){we=e.wasm.cwrap(n.FusedDepthwiseConv2D,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=t.filter,s=t.bias,d=t.preluActivationWeights,l=a.strides,p=a.pad,c=a.dilations,m=a.dataFormat,f=a.dimRoundingMode,h=a.activation,b=a.leakyreluAlpha,_=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,c,p,f,!0),y=o[h];if(null==y)throw new Error(h+" activation not yet supported for FusedDepthwiseConv2D in the wasm backend.");var g=r.dataIdMap.get(u.dataId).id,v=r.dataIdMap.get(i.dataId).id,w=_.outChannels,k=0;if(null!=s){var I=r.dataIdMap.get(s.dataId);if(1!==I.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got rank "+I.shape.length+".");if(I.shape[0]!==w)throw new Error("FusedDepthwiseConv2D bias shape ("+I.shape+") does not match the number of output channels ("+w+")");k=I.id}var S=_.filterHeight,M=_.filterWidth,x=_.padInfo.top,A=_.padInfo.right,F=_.padInfo.bottom,N=_.padInfo.left,E=_.dilationHeight,R=_.dilationWidth,C=_.strideHeight,D=_.strideWidth,T=_.inChannels,O="SAME"===_.padInfo.type?1:0,P=_.batchSize,W=_.inHeight,j=_.inWidth;if("NHWC"!==m)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+m+"'. Please use 'NHWC'.");var z=r.makeOutput(_.outShape,"float32"),L=r.dataIdMap.get(z.dataId).id,H=null==d?0:r.dataIdMap.get(d.dataId).id;return we(g,P,W,j,v,S,M,k,x,A,F,N,O,E,R,C,D,T,w,y,H,b||0,L),z}};var Me,xe={kernelName:n.GatherNd,backendName:"wasm",setupFunc:function(e){Ie=e.wasm.cwrap(n.GatherNd,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=a.params,u=a.indices,i=n.gather_util.prepareAndValidate(r,u),o=i[0],d=i[1],l=i[2],p=i[3],c=t.makeOutput(o,r.dtype);if(0===d)return c;var m=u.shape,f=m[m.length-1],h=t.dataIdMap.get(r.dataId).id,b=t.dataIdMap.get(u.dataId).id,_=new Uint8Array(new Int32Array(p).buffer),y=t.dataIdMap.get(c.dataId).id;return Ie(h,s[r.dtype],b,d,f,l,_,y),c}};var Ae,Fe={kernelName:n.GatherV2,backendName:"wasm",setupFunc:function(e){Me=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){for(var t=e.backend,a=e.inputs,r=e.attrs,u=a.x,i=a.indices,o=r.axis,d=r.batchDims,l=n.util.parseAxisParam(o,u.shape)[0],p=t.readSync(i.dataId),c=u.shape[l],m=function(e){var t=p[e];n.util.assert(t<=c-1&&t>=0,(function(){return"GatherV2: the index value "+t+" is not in [0, "+(c-1)+"]"}))},f=0;f<p.length;++f)m(f);var h=n.backend_util.segment_util.collectGatherOpShapeInfo(u,i,l,d),b=R({inputs:{x:u},attrs:{shape:[h.batchSize,h.outerSize,h.dimSize,h.sliceSize]},backend:t}),_=n.util.sizeFromShape(i.shape),y=R({inputs:{x:i},attrs:{shape:[h.batchSize,_/h.batchSize]},backend:t}),g=[h.batchSize,h.outerSize,_/h.batchSize,h.sliceSize],v=t.makeOutput(g,u.dtype);if(0===n.util.sizeFromShape(u.shape))return v;var w=b.shape.length-1,k=t.dataIdMap.get(b.dataId).id,I=t.dataIdMap.get(y.dataId).id,S=t.dataIdMap.get(v.dataId).id,M=new Uint8Array(new Int32Array(n.util.computeStrides(b.shape)).buffer),x=new Uint8Array(new Int32Array(n.util.computeStrides(g)).buffer);return Me(k,s[u.dtype],M,w,I,h.batchSize,x,S),t.disposeData(b.dataId),t.disposeData(y.dataId),v.shape=h.outputShape,v}},Ne=m(n.Greater,0,"bool"),Ee=m(n.GreaterEqual,0,"bool");var Re,Ce={kernelName:n.LeakyRelu,backendName:"wasm",setupFunc:function(e){Ae=e.wasm.cwrap(n.LeakyRelu,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.inputs.x,a=e.attrs.alpha,r=e.backend,u=r.dataIdMap.get(t.dataId).id,i=r.makeOutput(t.shape,"float32");if(0!==n.util.sizeFromShape(t.shape)){var o=r.dataIdMap.get(i.dataId).id;Ae(u,s[t.dtype],a,o)}return i}},De=m(n.Less,0,"bool"),Te=m(n.LessEqual,0,"bool"),Oe=p(n.Log),Pe=m(n.LogicalAnd,0,"bool");var We,je={kernelName:n.Max,backendName:"wasm",setupFunc:function(e){Re=e.wasm.cwrap(n.Max,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.reductionIndices,i=r.keepDims,o=a.x,d=t.dataIdMap.get(o.dataId).id,l=o,p=I(o,u,t),c=p.transposed,m=p.axes,f=p.originalAxes,h=p.inputWasTransposed;h&&(l=c,d=t.dataIdMap.get(c.dataId).id);var b=l.shape.length;n.backend_util.assertAxesAreInnerMostDims("max",m,b);var _=n.backend_util.computeOutAndReduceShapes(l.shape,m),y=_[0],g=_[1],v=n.util.sizeFromShape(g),w=t.makeOutput(y,o.dtype);if(0!==n.util.sizeFromShape(l.shape)){var k=t.dataIdMap.get(w.dataId).id;Re(d,s[o.dtype],v,k)}if(h&&t.disposeData(c.dataId),i){var S=n.backend_util.expandShapeToKeepDim(w.shape,f);w.shape=S}return w}},ze=m(n.Maximum);var Le,He={kernelName:n.MaxPool,backendName:"wasm",setupFunc:function(e){We=e.wasm.cwrap(n.MaxPool,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=r.dataIdMap.get(u.dataId).id;n.util.assert("float32"===u.dtype,(function(){return"Error in MaxPool: only float32 input is supported. Got "+u.dtype+"."}));var s=a.filterSize,o=a.strides,d=a.pad,l=a.dimRoundingMode,p=n.backend_util.computePool2DInfo(u.shape,s,o,1,d,l),c=p.filterHeight,m=p.filterWidth,f=p.padInfo.top,h=p.padInfo.right,b=p.padInfo.bottom,_=p.padInfo.left,y=p.dilationHeight,g=p.dilationWidth,v=p.strideHeight,w=p.strideWidth,k=p.inChannels,I=p.outChannels;if("channelsLast"!==p.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+p.dataFormat+"'. Please use 'channelsLast'.");var S=r.makeOutput(p.outShape,"float32"),M=r.dataIdMap.get(S.dataId).id;return We(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,h,b,_,y,g,v,w,k,I,M),S}};var Be,qe={kernelName:n.Mean,backendName:"wasm",setupFunc:function(e){Le=e.wasm.cwrap(n.Mean,null,["number, number, number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,s=a.x,o=t.dataIdMap.get(s.dataId).id,d=o,l=s,p=I(s,u,t),c=p.transposed,m=p.axes,f=p.originalAxes,h=p.inputWasTransposed,b=m;if(h){var _=t.dataIdMap.get(c.dataId).id;_!==o&&(l=c,d=_,b=n.backend_util.getInnerMostAxes(b.length,l.shape.length))}n.backend_util.assertAxesAreInnerMostDims("mean",b,l.shape.length);var y=n.backend_util.computeOutAndReduceShapes(l.shape,b),g=y[0],v=y[1],w=n.util.sizeFromShape(v),k=l;"float32"!==l.dtype&&(k=z({backend:t,inputs:{x:l},attrs:{dtype:"float32"}}),d=t.dataIdMap.get(k.dataId).id);var S=t.makeOutput(g,"float32");if(0!==n.util.sizeFromShape(l.shape)){var M=t.dataIdMap.get(S.dataId).id;Le(d,w,M)}if(h&&t.disposeData(c.dataId),i){var x=n.backend_util.expandShapeToKeepDim(S.shape,f);S.shape=x}return"float32"!==l.dtype&&t.disposeData(k.dataId),S}};var Ue,Ve,Ge={kernelName:n.Min,backendName:"wasm",setupFunc:function(e){Be=e.wasm.cwrap(n.Min,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,o=a.x,d=t.dataIdMap.get(o.dataId).id,l=d,p=o,c=I(o,u,t),m=c.transposed,f=c.axes,h=c.originalAxes,b=c.inputWasTransposed;if(b){var _=t.dataIdMap.get(m.dataId).id;_!==d&&(p=m,l=_)}var y=p.shape.length;n.backend_util.assertAxesAreInnerMostDims("min",f,y);var g=n.backend_util.computeOutAndReduceShapes(p.shape,f),v=g[0],w=g[1],k=n.util.sizeFromShape(w),S=t.makeOutput(v,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){var M=t.dataIdMap.get(S.dataId).id;Be(l,s[o.dtype],k,M)}if(b&&t.disposeData(m.dataId),i){var x=n.backend_util.expandShapeToKeepDim(S.shape,h);S.shape=x}return S}},Ke=m(n.Minimum);!function(e){e[e.reflect=0]="reflect",e[e.symmetric=1]="symmetric"}(Ue||(Ue={}));var Qe,Xe={kernelName:n.MirrorPad,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=e.attrs,r=a.paddings,u=a.mode,i=r.map((function(e,t){return e[0]+n.shape[t]+e[1]})),o=t.dataIdMap.get(n.dataId).id,d=t.makeOutput(i,n.dtype),l=t.dataIdMap.get(d.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),c=r.map((function(e){return e[0]})),m=r.map((function(e){return e[1]})),f=new Uint8Array(new Int32Array(c).buffer),h=new Uint8Array(new Int32Array(m).buffer);return Ve(o,p,n.shape.length,s[n.dtype],f,h,Ue[u],l),d},setupFunc:function(e){Ve=e.wasm.cwrap(n.MirrorPad,null,["number","array","number","number","array","array","number","number"])}},Ze=m(n.Multiply),Ye=p(n.Neg);function Je(e,n){var t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),a=t[0],r=t[1],u=t[2],i=t[3];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u,pValidOutputs:i}}var $e,en={kernelName:n.NonMaxSuppressionV3,backendName:"wasm",setupFunc:function(e){Qe=e.wasm.cwrap(n.NonMaxSuppressionV3,"number",["number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=t.boxes,o=t.scores,d=n.dataIdMap.get(s.dataId).id,l=n.dataIdMap.get(o.dataId).id,p=Je(n,Qe(d,l,u,r,i)),c=p.pSelectedIndices,m=p.selectedSize,f=p.pSelectedScores,h=p.pValidOutputs;return n.wasm._free(f),n.wasm._free(h),n.makeOutput([m],"int32",c)}};var nn,tn={kernelName:n.NonMaxSuppressionV4,backendName:"wasm",setupFunc:function(e){$e=e.wasm.cwrap(n.NonMaxSuppressionV4,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.padToMaxOutputSize,o=t.boxes,d=t.scores,l=n.dataIdMap.get(o.dataId).id,p=n.dataIdMap.get(d.dataId).id,c=Je(n,$e(l,p,u,r,i,s)),m=c.pSelectedIndices,f=c.selectedSize,h=c.pSelectedScores,b=c.pValidOutputs;return n.wasm._free(h),[n.makeOutput([f],"int32",m),n.makeOutput([],"int32",b)]}};var an,rn={kernelName:n.NonMaxSuppressionV5,backendName:"wasm",setupFunc:function(e){nn=e.wasm.cwrap(n.NonMaxSuppressionV5,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs,r=a.iouThreshold,u=a.maxOutputSize,i=a.scoreThreshold,s=a.softNmsSigma,o=t.boxes,d=t.scores,l=n.dataIdMap.get(o.dataId).id,p=n.dataIdMap.get(d.dataId).id,c=Je(n,nn(l,p,u,r,i,s)),m=c.pSelectedIndices,f=c.selectedSize,h=c.pSelectedScores,b=c.pValidOutputs;return n.wasm._free(b),[n.makeOutput([f],"int32",m),n.makeOutput([f],"float32",h)]}},un=m(n.NotEqual,0,"bool");var sn={kernelName:n.OneHot,backendName:"wasm",setupFunc:function(e){an=e.wasm.cwrap(n.OneHot,null,["number","number","number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.indices,u=a.depth,i=a.onValue,s=a.offValue,o=t.makeOutput(r.shape.concat([u]),"int32"),d=t.dataIdMap.get(o.dataId).id,l=t.dataIdMap.get(r.dataId).id;return an(l,u,i,s,d),o}};var on={kernelName:n.OnesLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}};var dn,ln={kernelName:n.Pack,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs.axis;if(1===t.length)return le({inputs:{input:t[0]},backend:a,attrs:{dim:r}});var u=t[0].shape,i=t[0].dtype;t.forEach((function(e){n.util.assertShapesMatch(u,e.shape,"All tensors passed to stack must have matching shapes"),n.util.assert(i===e.dtype,(function(){return"All tensors passed to stack must have matching dtypes"}))}));var s=[],o=U({inputs:t.map((function(e){var n=le({inputs:{input:e},backend:a,attrs:{dim:r}});return s.push(n),n})),backend:a,attrs:{axis:r}});return s.forEach((function(e){return a.disposeData(e.dataId)})),o}};var pn,cn={kernelName:n.PadV2,backendName:"wasm",kernelFunc:function(e){var t=e.inputs.x,a=e.backend,r=e.attrs,u=r.paddings,i=r.constantValue,o=u.map((function(e,n){return e[0]+t.shape[n]+e[1]}));if(0===n.util.sizeFromShape(t.shape))return ce({backend:a,attrs:{shape:o,value:i,dtype:t.dtype}});var d=a.dataIdMap.get(t.dataId).id,l=a.makeOutput(o,t.dtype),p=a.dataIdMap.get(l.dataId).id,c=new Uint8Array(new Int32Array(t.shape).buffer),m=u.map((function(e){return e[0]})),f=u.map((function(e){return e[1]})),h=new Uint8Array(new Int32Array(m).buffer),b=new Uint8Array(new Int32Array(f).buffer);return dn(d,c,t.shape.length,s[t.dtype],h,b,i,p),l},setupFunc:function(e){dn=e.wasm.cwrap(n.PadV2,null,["number","array","number","number","array","array","number","number"])}},mn=m(n.Pow);var fn,hn={kernelName:n.Prelu,backendName:"wasm",setupFunc:function(e){pn=e.wasm.cwrap(n.Prelu,null,["number","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=n.x,r=n.alpha,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=u,o=a,d=o;"float32"!==o.dtype&&(d=z({backend:t,inputs:{x:a},attrs:{dtype:"float32"}}),s=t.dataIdMap.get(d.dataId).id);var l=t.makeOutput(a.shape,"float32"),p=t.dataIdMap.get(l.dataId).id;return pn(s,i,p),"float32"!==o.dtype&&t.disposeData(d.dataId),l}};var bn,_n={kernelName:n.Prod,backendName:"wasm",setupFunc:function(e){fn=e.wasm.cwrap(n.Prod,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,o=a.x,d=t.dataIdMap.get(o.dataId).id,l=d,p=o,c=I(o,u,t),m=c.transposed,f=c.axes,h=c.originalAxes,b=c.inputWasTransposed,_=f;if(b){var y=t.dataIdMap.get(m.dataId).id;y!==d&&(p=m,l=y,_=n.backend_util.getInnerMostAxes(_.length,p.shape.length))}n.backend_util.assertAxesAreInnerMostDims("prod",_,p.shape.length);var g=n.backend_util.computeOutAndReduceShapes(p.shape,_),v=g[0],w=g[1],k=n.util.sizeFromShape(w),S=t.makeOutput(v,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){var M=t.dataIdMap.get(S.dataId).id;fn(l,k,s[S.dtype],M)}if(b&&t.disposeData(m.dataId),i){var x=n.backend_util.expandShapeToKeepDim(S.shape,h);S.shape=x}return S}},yn={kernelName:n.Range,backendName:"wasm",kernelFunc:function(e){var t=e.backend,a=e.attrs,r=a.start,u=a.stop,i=a.step,s=a.dtype,o=function(e,t,a,r){if(e===t||e<t&&a<0||t<e&&a>1)return n.util.makeZerosTypedArray(0,r);const u=Math.abs(Math.ceil((t-e)/a)),i=n.util.makeZerosTypedArray(u,r);t<e&&1===a&&(a=-1),i[0]=e;for(let e=1;e<i.length;e++)i[e]=i[e-1]+a;return i}(r,u,i,s),d=t.makeOutput([o.length],s);return t.typedArrayFromHeap(d).set(o),d}},gn=m(n.RealDiv),vn=p(n.Relu),wn=p(n.Relu6);var kn,In={kernelName:n.ResizeBilinear,backendName:"wasm",setupFunc:function(e){bn=e.wasm.cwrap(n.ResizeBilinear,null,["number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.images,s=u.alignCorners,o=u.halfPixelCenters,d=u.size,l=d[0],p=d[1],c=i.shape,m=c[0],f=c[1],h=c[2],b=c[3],_=[m,l,p,b],y=a.dataIdMap.get(i.dataId);"float32"!==y.dtype&&(t=z({backend:a,inputs:{x:i},attrs:{dtype:"float32"}}),y=a.dataIdMap.get(t.dataId));var g=y.id,v=a.makeOutput(_,"float32");if(0===n.util.sizeFromShape(i.shape))return v;var w=a.dataIdMap.get(v.dataId).id;return bn(g,m,f,h,b,l,p,s?1:0,o?1:0,w),null!=t&&a.disposeData(t.dataId),v}};var Sn,Mn={kernelName:n.Reverse,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.dims,s=n.util.parseAxisParam(i,u.shape);if(0===u.shape.length)return _({inputs:{x:u},backend:a});var o=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(s).buffer),c=new Uint8Array(new Int32Array(u.shape).buffer);kn(d,p,s.length,c,u.shape.length,l);var m=R({inputs:{x:o},attrs:{shape:u.shape},backend:a});return a.disposeData(o.dataId),m},setupFunc:function(e){kn=e.wasm.cwrap(n.Reverse,null,["number","array","number","array","number","number"])}};var xn,An={kernelName:n.RotateWithOffset,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.image,i=r.radians,s=r.fillValue,o=r.center,d=a.makeOutput(u.shape,u.dtype),l=a.dataIdMap.get(u.dataId).id,p=a.dataIdMap.get(d.dataId).id,c=u.shape,m=c[0],f=c[1],h=c[2],b=c[3],_=n.backend_util.getImageCenter(o,f,h),y=_[0],g=_[1],v="number"==typeof s?[s,s,s,0===s?0:255]:s.concat([255]),w=new Uint8Array(new Int32Array(v).buffer);return Sn(l,m,f,h,b,i,y,g,w,v.length,p),d},setupFunc:function(e){Sn=e.wasm.cwrap(n.RotateWithOffset,null,["number","number","number","number","number","number","number","number","array","number","number"])}},Fn=p(n.Round),Nn=p(n.Rsqrt);var En,Rn={kernelName:n.ScatterNd,backendName:"wasm",setupFunc:function(e){xn=e.wasm.cwrap(n.ScatterNd,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=a.indices,i=a.updates,o=r.shape,d=t.makeOutput(o,i.dtype);if(0===n.util.sizeFromShape(o))return d;var l=n.scatter_util.calculateShapes(i,u,o),p=l.sliceRank,c=l.numUpdates,m=l.sliceSize,f=l.strides,h=l.outputSize,b=t.dataIdMap.get(u.dataId).id,_=t.dataIdMap.get(i.dataId).id,y=new Uint8Array(new Int32Array(f).buffer),g=t.dataIdMap.get(d.dataId).id;return xn(b,_,s[i.dtype],p,c,m,y,h,g),d}};var Cn,Dn={kernelName:n.Select,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=t.condition,u=t.t,i=t.e,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,d=a.dataIdMap.get(i.dataId).id,l=a.makeOutput(u.shape,u.dtype),p=a.dataIdMap.get(l.dataId).id,c=r.shape.length,m=u.shape.length,f=0===c||c>1||1===m?1:n.util.sizeFromShape(u.shape.slice(1));return En(s,o,d,f,p),l},setupFunc:function(e){En=e.wasm.cwrap("SelectV2",null,["number","number","number","number","number"])}};var Tn,On={kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){Cn=e.wasm.cwrap(n.Sigmoid,null,["number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.x,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)||Cn(r,i),u}},Pn=p(n.Sin);var Wn={kernelName:n.Softmax,backendName:"wasm",setupFunc:function(e){Tn=e.wasm.cwrap(n.Softmax,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs.logits,r=e.attrs.dim,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],d=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)||Tn(u,s,o,d),i}};var jn,zn={kernelName:n.SpaceToBatchND,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.backend,r=e.attrs,u=t.x,i=r.blockShape,s=r.paddings,o=n.util.sizeFromShape(i),d=[[0,0]];d.push.apply(d,s);for(var l=1+i.length;l<u.shape.length;++l)d.push([0,0]);var p=cn.kernelFunc({inputs:{x:u},backend:a,attrs:{paddings:d,constantValue:0}}),c=n.backend_util.getReshaped(p.shape,i,o,!1),m=n.backend_util.getPermuted(c.length,i.length,!1),f=n.backend_util.getReshapedPermuted(p.shape,i,o,!1),h=R({inputs:{x:p},backend:a,attrs:{shape:c}}),b=v({inputs:{x:h},backend:a,attrs:{perm:m}}),_=R({inputs:{x:b},backend:a,attrs:{shape:f}});return a.disposeData(p.dataId),a.disposeData(h.dataId),a.disposeData(b.dataId),_}};var Ln,Hn={kernelName:n.SparseFillEmptyRows,backendName:"wasm",setupFunc:function(e){jn=e.wasm.cwrap("SparseFillEmptyRows","number",["number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=r.indices,i=r.values,o=r.denseShape,d=r.defaultValue,l=u.shape[0],p=u.shape[1],c=a.readSync(o.dataId)[0],m=[l+c,p],f=a.dataIdMap.get(u.dataId).id,h=a.dataIdMap.get(i.dataId).id,b=a.dataIdMap.get(d.dataId).id,_=a.makeOutput(m,u.dtype),y=a.dataIdMap.get(_.dataId).id,g=a.makeOutput(m.slice(0,1),i.dtype),v=a.dataIdMap.get(g.dataId).id,w=a.makeOutput([c],"bool"),k=a.dataIdMap.get(w.dataId).id,I=a.makeOutput([l],u.dtype),S=a.dataIdMap.get(I.dataId).id,M=a.makeOutput([4],"int32"),x=a.dataIdMap.get(M.dataId).id,A=jn(f,h,s[i.dtype],l,c,p,b,y,v,k,S,x),F=a.readSync(M.dataId);switch(F[0]){case 1:t=n.backend_util.getSparseFillEmptyRowsIndicesDenseShapeMismatch(F[1]);break;case 2:t=n.backend_util.getSparseFillEmptyRowsNegativeIndexErrorMessage(F[1],F[2]);break;case 3:t=n.backend_util.getSparseFillEmptyRowsOutOfRangeIndexErrorMessage(F[1],F[2],F[3]);break;default:t=""}if(a.disposeData(M.dataId),t)throw a.disposeData(_.dataId),a.disposeData(g.dataId),a.disposeData(w.dataId),a.disposeData(I.dataId),new Error(t);var N=_,E=g;return A!==m[0]&&(N=P({inputs:{x:_},attrs:{begin:0,size:[A,p]},backend:a}),E=P({inputs:{x:g},attrs:{begin:0,size:A},backend:a}),a.disposeData(_.dataId),a.disposeData(g.dataId)),[N,E,w,I]}};var Bn,qn={kernelName:n.SparseReshape,backendName:"wasm",setupFunc:function(e){Ln=e.wasm.cwrap(n.SparseReshape,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=a.inputIndices,u=a.inputShape,i=a.newShape;if(2!==r.shape.length)throw new Error("Input indices should be a matrix but received shape\n        "+r.shape);if(1!==u.shape.length)throw new Error("Input shape should be a vector but received shape\n        "+u.shape);if(1!==i.shape.length)throw new Error("Target shape should be a vector but received shape "+i.shape);var s=t.dataIdMap.get(r.dataId).id,o=t.dataIdMap.get(u.dataId).id,d=t.dataIdMap.get(i.dataId).id,l=r.shape[0],p=n.util.sizeFromShape(i.shape),c=t.makeOutput([l,p],r.dtype),m=t.dataIdMap.get(c.dataId).id,f=t.makeOutput([p],i.dtype),h=t.dataIdMap.get(f.dataId).id,b=t.makeOutput([3],"int32"),_=t.dataIdMap.get(b.dataId).id;Ln(s,o,d,l,m,h,_);var y,g=t.readSync(b.dataId);switch(g[0]){case 0:y=n.backend_util.getSparseReshapeMultipleNegativeOneOutputDimErrorMessage(g[1],g[2]);break;case 1:y=n.backend_util.getSparseReshapeNegativeOutputDimErrorMessage(g[1],g[2]);break;case 2:y=n.backend_util.getSparseReshapeEmptyTensorZeroOutputDimErrorMessage();break;case 3:var v=Array.from(t.readSync(u.dataId)),w=Array.from(t.readSync(f.dataId));y=n.backend_util.getSparseReshapeInputOutputMultipleErrorMessage(v,w);break;case 4:v=Array.from(t.readSync(u.dataId)),w=Array.from(t.readSync(f.dataId));y=n.backend_util.getSparseReshapeInputOutputMismatchErrorMessage(v,w);break;default:y=""}if(t.disposeData(b.dataId),y)throw t.disposeData(c.dataId),t.disposeData(f.dataId),new Error(y);return[c,f]}};function Un(e){Bn=e.wasm.cwrap("SparseSegmentReduction",null,["number","number","number","number","number","number","number","number","number"])}function Vn(e,t){var a=e.backend,r=e.inputs,u=r.data,i=r.indices,o=r.segmentIds,d=i.shape[0],l=a.readSync(o.dataId,d-1,d)[0],p=d>0?l+1:0;if(p<0)throw new Error(n.backend_util.getSparseSegmentReductionNegativeSegmentIdsErrorMessage());var c=u.shape.slice();c[0]=p;var m=a.dataIdMap.get(u.dataId).id,f=a.dataIdMap.get(i.dataId).id,h=a.dataIdMap.get(o.dataId).id,b=a.makeOutput(c,u.dtype),_=a.dataIdMap.get(b.dataId).id,y=a.makeOutput([4],"int32"),g=a.dataIdMap.get(y.dataId).id;Bn(m,s[u.dtype],u.shape[0],f,h,_,g,t,0);var v,w=a.readSync(y.dataId);switch(w[0]){case 0:v=n.backend_util.getSparseSegmentReductionNegativeSegmentIdsErrorMessage();break;case 1:v=n.backend_util.getSparseSegmentReductionNonIncreasingSegmentIdsErrorMessage();break;case 2:v=n.backend_util.getSparseSegmentReductionSegmentIdOutOfRangeErrorMessage(w[1],w[2]);break;case 3:v=n.backend_util.getSparseSegmentReductionIndicesOutOfRangeErrorMessage(w[1],w[2],w[3]);break;default:v=""}if(a.disposeData(y.dataId),v)throw a.disposeData(b.dataId),new Error(v);return b}var Gn={kernelName:n.SparseSegmentMean,backendName:"wasm",setupFunc:Un,kernelFunc:function(e){return Vn(e,!0)}};var Kn={kernelName:n.SparseSegmentSum,backendName:"wasm",setupFunc:Un,kernelFunc:function(e){return Vn(e,!1)}};var Qn,Xn={kernelName:n.SplitV,backendName:"wasm",kernelFunc:function(e){var t=e.inputs,a=e.attrs,r=e.backend,u=t.x,i=a.numOrSizeSplits,s=a.axis,o=n.util.parseAxisParam(s,u.shape)[0],d=n.backend_util.prepareSplitSize(u,i,o),l=new Array(u.shape.length).fill(0),p=u.shape.slice();return d.map((function(e){var n=p.slice();n[o]=e;var t=P({inputs:{x:u},attrs:{begin:l,size:n},backend:r});return l[o]+=e,t}))}},Zn=p(n.Sqrt),Yn=p(n.Square),Jn=m(n.SquaredDifference);var $n,et={kernelName:n.Step,backendName:"wasm",setupFunc:function(e){Qn=e.wasm.cwrap(n.Step,null,["number","number","number","number"])},kernelFunc:function(e){var n=e.backend,t=e.inputs,a=e.attrs.alpha,r=t.x,u=n.dataIdMap.get(r.dataId).id,i=n.makeOutput(r.shape,r.dtype),o=n.dataIdMap.get(i.dataId).id;return Qn(u,a,s[r.dtype],o),i}};var nt,tt={kernelName:n.StridedSlice,backendName:"wasm",setupFunc:function(e){$n=e.wasm.cwrap(n.StridedSlice,null,["number","array","number","array","array","array","array","array","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.x,s=u.begin,o=u.end,d=u.strides,l=u.beginMask,p=u.endMask,c=u.ellipsisMask,m=u.newAxisMask,f=u.shrinkAxisMask,h=n.slice_util.sliceInfo(i.shape,s,o,d,l,p,c,m,f),b=h.finalShapeSparse,_=h.finalShape,y=h.isIdentity,g=h.sliceDim0,v=h.isSimpleSlice,w=h.begin,k=h.end,I=h.strides;if(y)t=R({inputs:{x:i},backend:a,attrs:{shape:_}});else if(g||v){n.util.assert(i.shape.length>=1,(function(){return"Input must have rank at least 1, got: "+i.shape.length}));var S=n.slice_util.computeOutShape(w,k,I),M=P({inputs:{x:i},backend:a,attrs:{begin:w,size:S}});t=R({inputs:{x:M},backend:a,attrs:{shape:_}}),a.disposeData(M.dataId)}else{var x=a.makeOutput(b,"float32"),A=a.dataIdMap.get(i.dataId).id,F=new Uint8Array(new Int32Array(n.util.computeStrides(i.shape)).buffer),N=new Uint8Array(new Int32Array(w).buffer),E=new Uint8Array(new Int32Array(k).buffer),C=new Uint8Array(new Int32Array(I).buffer),D=new Uint8Array(new Int32Array(b).buffer),T=new Uint8Array(new Int32Array(n.util.computeStrides(b)).buffer),O=a.dataIdMap.get(x.dataId).id;$n(A,F,i.shape.length,N,E,C,D,T,b.length,O),t=R({inputs:{x:x},backend:a,attrs:{shape:_}}),a.disposeData(x.dataId)}return t}},at=m(n.Sub);var rt,ut={kernelName:n.Sum,backendName:"wasm",setupFunc:function(e){nt=e.wasm.cwrap(n.Sum,null,["number","number","number","number"])},kernelFunc:function(e){var t=e.backend,a=e.inputs,r=e.attrs,u=r.axis,i=r.keepDims,o=a.x,d=t.dataIdMap.get(o.dataId).id,l=d,p=o,c=I(o,u,t),m=c.transposed,f=c.axes,h=c.originalAxes,b=c.inputWasTransposed,_=f;if(b){var y=t.dataIdMap.get(m.dataId).id;y!==d&&(p=m,l=y,_=n.backend_util.getInnerMostAxes(_.length,p.shape.length))}n.backend_util.assertAxesAreInnerMostDims("sum",_,p.shape.length);var g=n.backend_util.computeOutAndReduceShapes(p.shape,_),v=g[0],w=g[1],k=n.util.sizeFromShape(w),S=t.makeOutput(v,p.dtype);if(0!==n.util.sizeFromShape(p.shape)){var M=t.dataIdMap.get(S.dataId).id;nt(l,k,s[S.dtype],M)}if(b&&t.disposeData(m.dataId),i){var x=n.backend_util.expandShapeToKeepDim(S.shape,h);S.shape=x}return S}},it=p(n.Tan),st=p(n.Tanh);var ot,dt={kernelName:n.Tile,backendName:"wasm",setupFunc:function(e){rt=e.wasm.cwrap(n.Tile,null,["number","array","number","array","number","number"])},kernelFunc:function(e){for(var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=t.dataIdMap.get(r.dataId).id,i=a.reps,o=new Array(r.shape.length),d=0;d<o.length;d++)o[d]=r.shape[d]*i[d];var l=new Uint8Array(new Int32Array(r.shape).buffer),p=new Uint8Array(new Int32Array(o).buffer),c=t.makeOutput(o,r.dtype),m=t.dataIdMap.get(c.dataId).id;return rt(u,l,r.shape.length,p,o.length,s[c.dtype],m),c}};var lt,pt={kernelName:n.TopK,backendName:"wasm",setupFunc:function(e){ot=e.wasm.cwrap(n.TopK,null,["number","array","number","number","number","bool","number","number"])},kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.x,u=a.k,i=a.sorted,o=t.dataIdMap.get(r.dataId).id,d=new Uint8Array(new Int32Array(r.shape).buffer),l=r.shape.slice();l[l.length-1]=u;var p=t.makeOutput(l,r.dtype),c=t.dataIdMap.get(p.dataId).id,m=t.makeOutput(l,"int32"),f=t.dataIdMap.get(m.dataId).id;return ot(o,d,r.shape.length,s[r.dtype],u,i,c,f),[p,m]}};var ct={kernelName:n.Transform,backendName:"wasm",setupFunc:function(e){lt=e.wasm.cwrap(n.Transform,null,["number","number","bool","number","number","number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){var t,a=e.backend,r=e.inputs,u=e.attrs,i=r.image,s=r.transforms,o=u.interpolation,d=u.fillMode,l=u.fillValue,p=u.outputShape,c=i.shape,m=c[0],f=c[1],h=c[2],b=c[3],_=null!=p?p:[f,h],y=_[0],g=_[1],v=[m,y,g,b],w=new Uint8Array(new Int32Array(n.util.computeStrides(i.shape)).buffer),k=a.makeOutput(v,i.dtype),I=a.dataIdMap.get(k.dataId).id,S=a.dataIdMap.get(i.dataId).id,M=a.dataIdMap.get(s.dataId).id,x="nearest"===o?1:2;switch(d){case"constant":t=1;break;case"reflect":t=2;break;case"wrap":t=3;break;case"nearest":t=4;break;default:t=1}return lt(S,M,s.shape[0]>1,m,y,g,b,h,f,w,i.shape.length-1,x,t,l,I),k}};var mt={kernelName:n.Unpack,backendName:"wasm",kernelFunc:function(e){var n=e.inputs,t=e.backend,a=e.attrs,r=n.value,u=a.axis;u<0&&(u+=r.shape.length);for(var i=r.shape[u],s=r.shape.length,o=new Array(s-1),d=0,l=0;l<s;l++)l!==u&&(o[d++]=r.shape[l]);var p=new Array(i),c=new Array(s).fill(0),m=r.shape.slice();for(m[u]=1,l=0;l<p.length;l++)c[u]=l,p[l]=P({inputs:{x:r},attrs:{begin:c,size:m},backend:t});return p.map((function(e){return{dataId:e.dataId,dtype:e.dtype,shape:o}}))}};for(var ft={kernelName:n.ZerosLike,backendName:"wasm",kernelFunc:function(e){var n=e.inputs.x,t=e.backend,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}},ht=0,bt=[l,c,h,b,M,A,N,E,T,j,H,B,q,G,Q,Y,J,$,ne,ae,ue,ie,se,oe,de,pe,fe,be,_e,ye,ve,ke,Se,xe,Fe,Ne,Ee,g,Ce,De,Te,Oe,Pe,je,ze,He,qe,Ge,Ke,Xe,Ze,Ye,en,tn,rn,un,sn,on,ln,cn,mn,hn,_n,yn,gn,vn,wn,D,In,Mn,An,Fn,Nn,Rn,Dn,On,Pn,W,Wn,zn,Hn,qn,Gn,Kn,Xn,Zn,Yn,Jn,et,tt,at,ut,it,st,dt,pt,ct,k,mt,ft];ht<bt.length;ht++){var _t=bt[ht];n.registerKernel(_t)}var yt=function(e,n){return(yt=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,n){e.__proto__=n}||function(e,n){for(var t in n)n.hasOwnProperty(t)&&(e[t]=n[t])})(e,n)};function gt(e,n,t,a){return new(t||(t=Promise))((function(r,u){function i(e){try{o(a.next(e))}catch(e){u(e)}}function s(e){try{o(a.throw(e))}catch(e){u(e)}}function o(e){var n;e.done?r(e.value):(n=e.value,n instanceof t?n:new t((function(e){e(n)}))).then(i,s)}o((a=a.apply(e,n||[])).next())}))}function vt(e,n){var t,a,r,u,i={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return u={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(u[Symbol.iterator]=function(){return this}),u;function s(u){return function(s){return function(u){if(t)throw new TypeError("Generator is already executing.");for(;i;)try{if(t=1,a&&(r=2&u[0]?a.return:u[0]?a.throw||((r=a.return)&&r.call(a),0):a.next)&&!(r=r.call(a,u[1])).done)return r;switch(a=0,r&&(u=[2&u[0],r.value]),u[0]){case 0:case 1:r=u;break;case 4:return i.label++,{value:u[1],done:!1};case 5:i.label++,a=u[1],u=[0];continue;case 7:u=i.ops.pop(),i.trys.pop();continue;default:if(!(r=i.trys,(r=r.length>0&&r[r.length-1])||6!==u[0]&&2!==u[0])){i=0;continue}if(3===u[0]&&(!r||u[1]>r[0]&&u[1]<r[3])){i.label=u[1];break}if(6===u[0]&&i.label<r[1]){i.label=r[1],r=u;break}if(r&&i.label<r[2]){i.label=r[2],i.ops.push(u);break}r[2]&&i.ops.pop(),i.trys.pop();continue}u=n.call(e,i)}catch(e){u=[6,e],a=0}finally{t=r=0}if(5&u[0])throw u[1];return{value:u[0]?u[1]:void 0,done:!0}}([u,s])}}}var wt=void 0,kt=n.env();kt.registerFlag("WASM_HAS_SIMD_SUPPORT",(function(){return gt(wt,void 0,void 0,(function(){return vt(this,(function(e){return[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))]}))}))})),kt.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",(function(){return gt(wt,void 0,void 0,(function(){return vt(this,(function(e){if(kt.get("IS_NODE"))return[2,!1];try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),[2,WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))]}catch(e){return[2,!1]}return[2]}))}))}));var It="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function St(e,n){return e(n={exports:{}},n.exports),n.exports}var Mt=St((function(e,n){var s,o=(s="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(s=s||__filename),function(e){function n(){return O.buffer!=q&&J(O.buffer),U}function o(){return O.buffer!=q&&J(O.buffer),V}function d(){return O.buffer!=q&&J(O.buffer),G}function l(){return O.buffer!=q&&J(O.buffer),K}var p,c,m,f="undefined"!=typeof(e=e||{})?e:{};f.ready=new Promise((function(e,n){p=e,c=n})),"undefined"!=typeof process&&process.listeners&&(m={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var h,b,_,y,g,v,w=Object.assign({},f),k=(e,n)=>{throw n},I="object"==typeof window,S="function"==typeof importScripts,M="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,x=f.ENVIRONMENT_IS_PTHREAD||!1,A="";function F(e){return f.locateFile?f.locateFile(e,A):A+e}if(M){let e;A=S?t.dirname(A)+"/":__dirname+"/",v=()=>{g||(y=a,g=t)},h=function(e,n){return v(),e=g.normalize(e),y.readFileSync(e,n?void 0:"utf8")},_=e=>{var n=h(e,!0);return n.buffer||(n=new Uint8Array(n)),n},b=(e,n,t)=>{v(),e=g.normalize(e),y.readFile(e,(function(e,a){e?t(e):n(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof ln))throw e})),process.on("unhandledRejection",(function(e){throw e})),k=(e,n)=>{if(re())throw process.exitCode=e,n;var t;(t=n)instanceof ln||D("exiting due to exception: "+t),process.exit(e)},f.inspect=function(){return"[Emscripten Module object]"};try{e=r}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}It.Worker=e.Worker}else(I||S)&&(S?A=self.location.href:"undefined"!=typeof document&&document.currentScript&&(A=document.currentScript.src),"undefined"!=typeof s&&s&&(A=s),A=0!==A.indexOf("blob:")?A.substr(0,A.replace(/[?#].*/,"").lastIndexOf("/")+1):"",M||(h=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},S&&(_=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),b=(e,n,t)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)}));M&&"undefined"==typeof performance&&(It.performance=u.performance);var N=console.log.bind(console),E=console.warn.bind(console);M&&(v(),N=e=>y.writeSync(1,e+"\n"),E=e=>y.writeSync(2,e+"\n"));var R,C=f.print||N,D=f.printErr||E;function T(e){T.shown||(T.shown={}),T.shown[e]||(T.shown[e]=1,D(e))}Object.assign(f,w),w=null,f.arguments&&f.arguments,f.thisProgram&&f.thisProgram,f.quit&&(k=f.quit),f.wasmBinary&&(R=f.wasmBinary);var O,P,W=f.noExitRuntime||!0;"object"!=typeof WebAssembly&&de("no native wasm support detected");var j,z=!1;function L(e){return f["_"+e]}function H(e,t,a,r,u){var i={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);Y(e,n=on(t),t)}return n},array:function(e){var t=on(e.length);return function(e,t){n().set(e,t)}(e,t),t}},s=L(e),o=[],d=0;if(r)for(var l=0;l<r.length;l++){var p=i[a[l]];p?(0===d&&(d=un()),o[l]=p(r[l])):o[l]=r[l]}var c=s.apply(null,o);return c=function(e){return 0!==d&&sn(d),function(e){return"string"===t?Z(e):"boolean"===t?Boolean(e):e}(e)}(c)}function B(e){var n=new TextDecoder(e);this.decode=e=>(e.buffer instanceof SharedArrayBuffer&&(e=new Uint8Array(e)),n.decode.call(n,e))}var q,U,V,G,K,Q="undefined"!=typeof TextDecoder?new B("utf8"):void 0;function X(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&Q)return Q.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var d=i-65536;u+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function Z(e,n){return e?X(o(),e,n):""}function Y(e,n,t){return function(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}(e,o(),n,t)}function J(e){q=e,f.HEAP8=U=new Int8Array(e),f.HEAP16=new Int16Array(e),f.HEAP32=G=new Int32Array(e),f.HEAPU8=V=new Uint8Array(e),f.HEAPU16=new Uint16Array(e),f.HEAPU32=new Uint32Array(e),f.HEAPF32=new Float32Array(e),f.HEAPF64=K=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new B("utf-16le"),x&&(q=f.buffer);var $,ee=f.INITIAL_MEMORY||16777216;if(x)O=f.wasmMemory,q=f.buffer;else if(f.wasmMemory)O=f.wasmMemory;else if(!((O=new WebAssembly.Memory({initial:ee/65536,maximum:32768,shared:!0})).buffer instanceof SharedArrayBuffer))throw D("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),M&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");O&&(q=O.buffer),ee=q.byteLength,J(q);var ne=[],te=[],ae=[];function re(){return W||!1}function ue(){x||fe(te)}var ie,se=0,oe=null;function de(e){x?postMessage({cmd:"onAbort",arg:e}):f.onAbort&&f.onAbort(e),D(e="Aborted("+e+")"),z=!0,j=1,e+=". Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw c(n),n}function le(e){return e.startsWith("data:application/octet-stream;base64,")}function pe(e){return e.startsWith("file://")}function ce(e){try{if(e==ie&&R)return new Uint8Array(R);if(_)return _(e);throw"both async and sync fetching of the wasm failed"}catch(e){de(e)}}f.preloadedImages={},f.preloadedAudios={},le(ie="tfjs-backend-wasm-threaded-simd.wasm")||(ie=F(ie));var me={};function fe(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?ke(t)():ke(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(f)}}function he(e){var n=un(),t=e();return sn(n),t}function be(e){var n=ye.pthreads[e];if(n){d()[e>>2]=0;var t=n.worker;ye.returnWorkerToPool(t)}}function _e(e){!function(e,n){if(j=e,!n&&x)throw ge(e),"unwind";var t;re()||x||ye.terminateAllThreads(),j=t=e,re()||(ye.terminateAllThreads(),f.onExit&&f.onExit(t),z=!0),k(t,new ln(t))}(e)}var ye={unusedWorkers:[],runningWorkers:[],tlsInitFunctions:[],init:function(){x?ye.initWorker():ye.initMainThread()},initMainThread:function(){for(var e=0;e<8;++e)ye.allocateUnusedWorker()},initWorker:function(){W=!1},pthreads:{},setExitStatus:function(e){j=e},terminateAllThreads:function(){for(var e in ye.pthreads){var n=ye.pthreads[e];n&&n.worker&&ye.returnWorkerToPool(n.worker)}for(var t=0;t<ye.unusedWorkers.length;++t)ye.unusedWorkers[t].terminate();ye.unusedWorkers=[]},returnWorkerToPool:function(e){ye.runWithoutMainThreadQueuedCalls((function(){delete ye.pthreads[e.pthread.threadInfoStruct],ye.unusedWorkers.push(e),ye.runningWorkers.splice(ye.runningWorkers.indexOf(e),1),an(e.pthread.threadInfoStruct),e.pthread=void 0}))},runWithoutMainThreadQueuedCalls:function(e){d()[dn>>2]=0;try{e()}finally{d()[dn>>2]=1}},receiveObjectTransfer:function(e){},threadInit:function(){for(var e in ye.tlsInitFunctions)ye.tlsInitFunctions[e]()},loadWasmModuleToWorker:function(e,n){e.onmessage=t=>{var a,r=t.data,u=r.cmd;if(e.pthread&&(ye.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),r.targetThread&&r.targetThread!=Ye()){var i=ye.pthreads[r.targetThread];return i?i.worker.postMessage(r,r.transferList):D('Internal error! Worker sent a message "'+u+'" to target pthread '+r.targetThread+", but that thread no longer exists!"),void(ye.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===u?Je():"spawnThread"===u?Se(r):"cleanupThread"===u?be(r.thread):"killThread"===u?function(e){d()[e>>2]=0;var n=ye.pthreads[e];delete ye.pthreads[e],n.worker.terminate(),an(e),ye.runningWorkers.splice(ye.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}(r.thread):"cancelThread"===u?(a=r.thread,ye.pthreads[a].worker.postMessage({cmd:"cancel"})):"loaded"===u?(e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===u?C("Thread "+r.threadId+": "+r.text):"printErr"===u?D("Thread "+r.threadId+": "+r.text):"alert"===u?alert("Thread "+r.threadId+": "+r.text):"setimmediate"===r.target?e.postMessage(r):"onAbort"===u?f.onAbort&&f.onAbort(r.arg):D("worker sent an unknown command "+u),ye.currentProxiedOperationCallerThread=void 0},e.onerror=e=>{throw D("worker sent an error! "+e.filename+":"+e.lineno+": "+e.message),e},M&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("detachedExit",(function(){}))),e.postMessage({cmd:"load",urlOrBlob:f.mainScriptUrlOrBlob||s,wasmMemory:O,wasmModule:P})},allocateUnusedWorker:function(){var e=F("tfjs-backend-wasm-threaded-simd.worker.js");ye.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==ye.unusedWorkers.length&&(ye.allocateUnusedWorker(),ye.loadWasmModuleToWorker(ye.unusedWorkers[0])),ye.unusedWorkers.pop()}};function ge(e){if(x)return xe(1,0,e);try{_e(e)}catch(e){!function(e){if(e instanceof ln||"unwind"==e)return j;k(1,e)}(e)}}f.establishStackSpace=function(){var e=Ye(),n=d()[e+44>>2],t=d()[e+48>>2];rn(n,n-t),sn(n)};var ve,we=[];function ke(e){var n=we[e];return n||(e>=we.length&&(we.length=e+1),we[e]=n=$.get(e)),n}function Ie(e,n){var t,a;if(0===e)t=Date.now();else{if(1!==e&&4!==e)return a=28,d()[Ze()>>2]=a,-1;t=ve()}return d()[n>>2]=t/1e3|0,d()[n+4>>2]=t%1e3*1e3*1e3|0,0}function Se(e){var n=ye.getNewWorker();if(!n)return 6;ye.runningWorkers.push(n);var t=ye.pthreads[e.pthread_ptr]={worker:n,threadInfoStruct:e.pthread_ptr};n.pthread=t;var a={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr};return n.runPthread=()=>{a.time=performance.now(),n.postMessage(a,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread),0}function Me(){return 2147483648}function xe(e,n){var t=arguments.length-2,a=arguments;return he((function(){for(var r=t,u=on(8*r),i=u>>3,s=0;s<t;s++){var o=a[2+s];l()[i+s]=o}return nn(e,r,u,n)}))}f.invokeEntryPoint=function(e,n){return ke(e)(n)},ve=M?()=>{var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:x?()=>performance.now()-f.__performance_now_clock_drift:()=>performance.now();var Ae=[];function Fe(e){try{return O.grow(e-q.byteLength+65535>>>16),J(O.buffer),1}catch(e){}}var Ne={inEventHandler:0,removeAllEventListeners:function(){for(var e=Ne.eventHandlers.length-1;e>=0;--e)Ne._removeHandler(e);Ne.eventHandlers=[],Ne.deferredCalls=[]},registerRemoveEventListeners:function(){Ne.removeEventListenersRegistered||(Ne.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function a(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var r in Ne.deferredCalls){var u=Ne.deferredCalls[r];if(u.targetFunction==e&&a(u.argsList,t))return}Ne.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),Ne.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<Ne.deferredCalls.length;++n)Ne.deferredCalls[n].targetFunction==e&&(Ne.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return Ne.inEventHandler&&Ne.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(Ne.canPerformEventHandlerRequests())for(var e=0;e<Ne.deferredCalls.length;++e){var n=Ne.deferredCalls[e];Ne.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<Ne.eventHandlers.length;++t)Ne.eventHandlers[t].target!=e||n&&n!=Ne.eventHandlers[t].eventTypeString||Ne._removeHandler(t--)},_removeHandler:function(e){var n=Ne.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),Ne.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++Ne.inEventHandler,Ne.currentEventHandler=e,Ne.runDeferredCalls(),e.handlerFunc(n),Ne.runDeferredCalls(),--Ne.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),Ne.eventHandlers.push(e),Ne.registerRemoveEventListeners();else for(var t=0;t<Ne.eventHandlers.length;++t)Ne.eventHandlers[t].target==e.target&&Ne.eventHandlers[t].eventTypeString==e.eventTypeString&&Ne._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,a,r){he((function(){var u=on(12);d()[u>>2]=t,d()[u+4>>2]=a,d()[u+8>>2]=r,tn(e,637534208,n,a,u)}))},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return ye.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function Ee(e,n,t,a){he((function(){var r,u,i,s=on(12),o=0;n&&(u=function(e){for(var n=0,t=0;t<e.length;++t){var a=e.charCodeAt(t);a>=55296&&a<=57343&&(a=65536+((1023&a)<<10)|1023&e.charCodeAt(++t)),a<=127?++n:n+=a<=2047?2:a<=65535?3:4}return n}(r=n)+1,i=Qe(u),Y(r,i,u),o=i),d()[s>>2]=o,d()[s+4>>2]=t,d()[s+8>>2]=a,tn(e,657457152,0,o,s)}))}var Re=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function Ce(e){var n;return e=(n=e)>2?Z(n):n,Re[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function De(e){return Ce(e)}function Te(e,n,t){var a=De(e);if(!a)return-4;if(a.canvasSharedPtr&&(d()[a.canvasSharedPtr>>2]=n,d()[a.canvasSharedPtr+4>>2]=t),!a.offscreenCanvas&&a.controlTransferredOffscreen)return a.canvasSharedPtr?(function(e,n,t,a){Ee(e,n=n?Z(n):"",t,a)}(d()[a.canvasSharedPtr+8>>2],e,n,t),1):-4;a.offscreenCanvas&&(a=a.offscreenCanvas);var r=!1;if(a.GLctxObject&&a.GLctxObject.GLctx){var u=a.GLctxObject.GLctx.getParameter(2978);r=0===u[0]&&0===u[1]&&u[2]===a.width&&u[3]===a.height}return a.width=n,a.height=t,r&&a.GLctxObject.GLctx.viewport(0,0,n,t),0}function Oe(e,n,t){return x?xe(2,1,e,n,t):Te(e,n,t)}var Pe,We={counter:1,buffers:[],programs:[],framebuffers:[],renderbuffers:[],textures:[],shaders:[],vaos:[],contexts:{},offscreenCanvases:{},queries:[],stringCache:{},unpackAlignment:4,recordError:function(e){We.lastError||(We.lastError=e)},getNewId:function(e){for(var n=We.counter++,t=e.length;t<n;t++)e[t]=null;return n},getSource:function(e,n,t,a){for(var r="",u=0;u<n;++u){var i=a?d()[a+4*u>>2]:-1;r+=Z(d()[t+4*u>>2],i<0?void 0:i)}return r},createContext:function(e,n){e.getContextSafariWebGL2Fixed||(e.getContextSafariWebGL2Fixed=e.getContext,e.getContext=function(n,t){var a=e.getContextSafariWebGL2Fixed(n,t);return"webgl"==n==a instanceof WebGLRenderingContext?a:null});var t=e.getContext("webgl",n);return t?We.registerContext(t,n):0},registerContext:function(e,n){var t=Qe(8);d()[t+4>>2]=Ye();var a={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=a),We.contexts[t]=a,("undefined"==typeof n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&We.initExtensions(a),t},makeContextCurrent:function(e){return We.currentContext=We.contexts[e],f.ctx=Pe=We.currentContext&&We.currentContext.GLctx,!(e&&!Pe)},getContext:function(e){return We.contexts[e]},deleteContext:function(e){We.currentContext===We.contexts[e]&&(We.currentContext=null),"object"==typeof Ne&&Ne.removeAllHandlersOnTarget(We.contexts[e].GLctx.canvas),We.contexts[e]&&We.contexts[e].GLctx.canvas&&(We.contexts[e].GLctx.canvas.GLctxObject=void 0),Xe(We.contexts[e].handle),We.contexts[e]=null},initExtensions:function(e){if(e||(e=We.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n,t=e.GLctx;!function(e){var n=e.getExtension("ANGLE_instanced_arrays");n&&(e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,a,r){n.drawArraysInstancedANGLE(e,t,a,r)},e.drawElementsInstanced=function(e,t,a,r,u){n.drawElementsInstancedANGLE(e,t,a,r,u)})}(t),function(e){var n=e.getExtension("OES_vertex_array_object");n&&(e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)})}(t),function(e){var n=e.getExtension("WEBGL_draw_buffers");n&&(e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)})}(t),t.disjointTimerQueryExt=t.getExtension("EXT_disjoint_timer_query"),(n=t).multiDrawWebgl=n.getExtension("WEBGL_multi_draw"),(t.getSupportedExtensions()||[]).forEach((function(e){e.includes("lose_context")||e.includes("debug")||t.getExtension(e)}))}}},je=["default","low-power","high-performance"],ze={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ze.buffers[e];0===n||10===n?((1===e?C:D)(X(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ze.varargs+=4,d()[ze.varargs-4>>2]},getStr:function(e){return Z(e)},get64:function(e,n){return e}};function Le(e){return x?xe(3,1,e):0}function He(e,n,t,a,r){if(x)return xe(4,1,e,n,t,a,r)}function Be(e,n,t,a){if(x)return xe(5,1,e,n,t,a);for(var r=0,u=0;u<t;u++){var i=d()[n>>2],s=d()[n+4>>2];n+=8;for(var l=0;l<s;l++)ze.printChar(e,o()[i+l]);r+=s}return d()[a>>2]=r,0}ye.init();var qe,Ue,Ve,Ge=[null,ge,Oe,Le,He,Be],Ke={__clock_gettime:function(e,n){return Ie(e,n)},__emscripten_init_main_thread_js:function(e){$e(e,!S,1,!I),ye.threadInit()},__emscripten_thread_cleanup:function(e){x?postMessage({cmd:"cleanupThread",thread:e}):be(e)},__pthread_create_js:function(e,n,t,a){if("undefined"==typeof SharedArrayBuffer)return D("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;var r=[];if(x&&0===r.length)return en(687865856,e,n,t,a);var u={startRoutine:t,pthread_ptr:e,arg:a,transferList:r};return x?(u.cmd="spawnThread",postMessage(u,r),0):Se(u)},_emscripten_default_pthread_stack_size:function(){return 2097152},_emscripten_notify_thread_queue:function(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(x)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=ye.pthreads[e],a=t&&t.worker;if(!a)return;a.postMessage({cmd:"processThreadQueue"})}return 1},abort:function(){de("")},emscripten_check_blocking_allowed:function(){M||S||T("Blocking on the main thread is very dangerous, see https://emscripten.org/docs/porting/pthreads.html#blocking-on-the-main-browser-thread")},emscripten_get_heap_max:Me,emscripten_get_now:ve,emscripten_memcpy_big:function(e,n,t){o().copyWithin(e,n,n+t)},emscripten_num_logical_cores:function(){return M?i.cpus().length:navigator.hardwareConcurrency},emscripten_receive_on_main_thread_js:function(e,n,t){Ae.length=n;for(var a=t>>3,r=0;r<n;r++)Ae[r]=l()[a+r];return(e<0?me[-e-1]:Ge[e]).apply(null,Ae)},emscripten_resize_heap:function(e){var n=o().length;if((e>>>=0)<=n)return!1;var t,a,r=2147483648;if(e>r)return!1;for(var u=1;u<=4;u*=2){var i=n*(1+.2/u);if(i=Math.min(i,e+100663296),Fe(Math.min(r,((t=Math.max(e,i))%(a=65536)>0&&(t+=a-t%a),t))))return!0}return!1},emscripten_set_canvas_element_size:function(e,n,t){return De(e)?Te(e,n,t):Oe(e,n,t)},emscripten_unwind_to_js_event_loop:function(){throw"unwind"},emscripten_webgl_create_context:function(e,n){return t=e,a=n>>2,r=d()[a+6],u={alpha:!!d()[a+0],depth:!!d()[a+1],stencil:!!d()[a+2],antialias:!!d()[a+3],premultipliedAlpha:!!d()[a+4],preserveDrawingBuffer:!!d()[a+5],powerPreference:je[r],failIfMajorPerformanceCaveat:!!d()[a+7],majorVersion:d()[a+8],minorVersion:d()[a+9],enableExtensionsByDefault:d()[a+10],explicitSwapControl:d()[a+11],proxyContextToMainThread:d()[a+12],renderViaOffscreenBackBuffer:d()[a+13]},(i=De(t))?u.explicitSwapControl?0:We.createContext(i,u):0;var t,a,r,u,i},exit:_e,fd_close:Le,fd_seek:He,fd_write:Be,memory:O||f.wasmMemory,setTempRet0:function(e){}},Qe=(function(){var e={env:Ke,wasi_snapshot_preview1:Ke};function n(e,n){var t,a,r=e.exports;if(f.asm=r,t=f.asm.emscripten_tls_init,ye.tlsInitFunctions.push(t),$=f.asm.__indirect_function_table,a=f.asm.__wasm_call_ctors,te.unshift(a),P=n,!x){var u=ye.unusedWorkers.length;ye.unusedWorkers.forEach((function(e){ye.loadWasmModuleToWorker(e,(function(){--u||function(e){if(se--,f.monitorRunDependencies&&f.monitorRunDependencies(se),0==se&&oe){var n=oe;oe=null,n()}}()}))}))}}function t(e){n(e.instance,e.module)}function a(n){return function(){if(!R&&(I||S)){if("function"==typeof fetch&&!pe(ie))return fetch(ie,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ie+"'";return e.arrayBuffer()})).catch((function(){return ce(ie)}));if(b)return new Promise((function(e,n){b(ie,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return ce(ie)}))}().then((function(n){return WebAssembly.instantiate(n,e)})).then((function(e){return e})).then(n,(function(e){D("failed to asynchronously prepare wasm: "+e),de(e)}))}if(x||(se++,f.monitorRunDependencies&&f.monitorRunDependencies(se)),f.instantiateWasm)try{return f.instantiateWasm(e,n)}catch(e){return D("Module.instantiateWasm callback failed with error: "+e),!1}(R||"function"!=typeof WebAssembly.instantiateStreaming||le(ie)||pe(ie)||"function"!=typeof fetch?a(t):fetch(ie,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return D("wasm streaming compile failed: "+e),D("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(c)}(),f.___wasm_call_ctors=function(){return(f.___wasm_call_ctors=f.asm.__wasm_call_ctors).apply(null,arguments)},f._init=function(){return(f._init=f.asm.init).apply(null,arguments)},f._init_with_threads_count=function(){return(f._init_with_threads_count=f.asm.init_with_threads_count).apply(null,arguments)},f._get_threads_count=function(){return(f._get_threads_count=f.asm.get_threads_count).apply(null,arguments)},f._register_tensor=function(){return(f._register_tensor=f.asm.register_tensor).apply(null,arguments)},f._dispose_data=function(){return(f._dispose_data=f.asm.dispose_data).apply(null,arguments)},f._dispose=function(){return(f._dispose=f.asm.dispose).apply(null,arguments)},f._Abs=function(){return(f._Abs=f.asm.Abs).apply(null,arguments)},f._Add=function(){return(f._Add=f.asm.Add).apply(null,arguments)},f._AddN=function(){return(f._AddN=f.asm.AddN).apply(null,arguments)},f._All=function(){return(f._All=f.asm.All).apply(null,arguments)},f._Any=function(){return(f._Any=f.asm.Any).apply(null,arguments)},f._ArgMax=function(){return(f._ArgMax=f.asm.ArgMax).apply(null,arguments)},f._AvgPool=function(){return(f._AvgPool=f.asm.AvgPool).apply(null,arguments)},f._BatchMatMul=function(){return(f._BatchMatMul=f.asm.BatchMatMul).apply(null,arguments)},f._Ceil=function(){return(f._Ceil=f.asm.Ceil).apply(null,arguments)},f._ClipByValue=function(){return(f._ClipByValue=f.asm.ClipByValue).apply(null,arguments)},f._Conv2D=function(){return(f._Conv2D=f.asm.Conv2D).apply(null,arguments)},f._Conv2DBackpropInput=function(){return(f._Conv2DBackpropInput=f.asm.Conv2DBackpropInput).apply(null,arguments)},f._Cos=function(){return(f._Cos=f.asm.Cos).apply(null,arguments)},f._Cosh=function(){return(f._Cosh=f.asm.Cosh).apply(null,arguments)},f._CropAndResize=function(){return(f._CropAndResize=f.asm.CropAndResize).apply(null,arguments)},f._Cumsum=function(){return(f._Cumsum=f.asm.Cumsum).apply(null,arguments)},f._DepthToSpace=function(){return(f._DepthToSpace=f.asm.DepthToSpace).apply(null,arguments)},f._DepthwiseConv2dNative=function(){return(f._DepthwiseConv2dNative=f.asm.DepthwiseConv2dNative).apply(null,arguments)},f._Elu=function(){return(f._Elu=f.asm.Elu).apply(null,arguments)},f._Equal=function(){return(f._Equal=f.asm.Equal).apply(null,arguments)},f._Exp=function(){return(f._Exp=f.asm.Exp).apply(null,arguments)},f._FlipLeftRight=function(){return(f._FlipLeftRight=f.asm.FlipLeftRight).apply(null,arguments)},f._Floor=function(){return(f._Floor=f.asm.Floor).apply(null,arguments)},f._FloorDiv=function(){return(f._FloorDiv=f.asm.FloorDiv).apply(null,arguments)},f._FusedBatchNorm=function(){return(f._FusedBatchNorm=f.asm.FusedBatchNorm).apply(null,arguments)},f._FusedConv2D=function(){return(f._FusedConv2D=f.asm.FusedConv2D).apply(null,arguments)},f._FusedDepthwiseConv2D=function(){return(f._FusedDepthwiseConv2D=f.asm.FusedDepthwiseConv2D).apply(null,arguments)},f._Gather=function(){return(f._Gather=f.asm.Gather).apply(null,arguments)},f._GatherNd=function(){return(f._GatherNd=f.asm.GatherNd).apply(null,arguments)},f._Greater=function(){return(f._Greater=f.asm.Greater).apply(null,arguments)},f._GreaterEqual=function(){return(f._GreaterEqual=f.asm.GreaterEqual).apply(null,arguments)},f._LeakyRelu=function(){return(f._LeakyRelu=f.asm.LeakyRelu).apply(null,arguments)},f._Less=function(){return(f._Less=f.asm.Less).apply(null,arguments)},f._LessEqual=function(){return(f._LessEqual=f.asm.LessEqual).apply(null,arguments)},f._Log=function(){return(f._Log=f.asm.Log).apply(null,arguments)},f._LogicalAnd=function(){return(f._LogicalAnd=f.asm.LogicalAnd).apply(null,arguments)},f._Max=function(){return(f._Max=f.asm.Max).apply(null,arguments)},f._MaxPool=function(){return(f._MaxPool=f.asm.MaxPool).apply(null,arguments)},f._Maximum=function(){return(f._Maximum=f.asm.Maximum).apply(null,arguments)},f._Mean=function(){return(f._Mean=f.asm.Mean).apply(null,arguments)},f._Min=function(){return(f._Min=f.asm.Min).apply(null,arguments)},f._Minimum=function(){return(f._Minimum=f.asm.Minimum).apply(null,arguments)},f._MirrorPad=function(){return(f._MirrorPad=f.asm.MirrorPad).apply(null,arguments)},f._Multiply=function(){return(f._Multiply=f.asm.Multiply).apply(null,arguments)},f._Neg=function(){return(f._Neg=f.asm.Neg).apply(null,arguments)},f._NonMaxSuppressionV3=function(){return(f._NonMaxSuppressionV3=f.asm.NonMaxSuppressionV3).apply(null,arguments)},f._NonMaxSuppressionV4=function(){return(f._NonMaxSuppressionV4=f.asm.NonMaxSuppressionV4).apply(null,arguments)},f._NonMaxSuppressionV5=function(){return(f._NonMaxSuppressionV5=f.asm.NonMaxSuppressionV5).apply(null,arguments)},f._NotEqual=function(){return(f._NotEqual=f.asm.NotEqual).apply(null,arguments)},f._OneHot=function(){return(f._OneHot=f.asm.OneHot).apply(null,arguments)},f._PadV2=function(){return(f._PadV2=f.asm.PadV2).apply(null,arguments)},f._Pow=function(){return(f._Pow=f.asm.Pow).apply(null,arguments)},f._Prelu=function(){return(f._Prelu=f.asm.Prelu).apply(null,arguments)},f._Prod=function(){return(f._Prod=f.asm.Prod).apply(null,arguments)},f._RealDiv=function(){return(f._RealDiv=f.asm.RealDiv).apply(null,arguments)},f._Relu=function(){return(f._Relu=f.asm.Relu).apply(null,arguments)},f._Relu6=function(){return(f._Relu6=f.asm.Relu6).apply(null,arguments)},f._ResizeBilinear=function(){return(f._ResizeBilinear=f.asm.ResizeBilinear).apply(null,arguments)},f._Reverse=function(){return(f._Reverse=f.asm.Reverse).apply(null,arguments)},f._RotateWithOffset=function(){return(f._RotateWithOffset=f.asm.RotateWithOffset).apply(null,arguments)},f._Round=function(){return(f._Round=f.asm.Round).apply(null,arguments)},f._Rsqrt=function(){return(f._Rsqrt=f.asm.Rsqrt).apply(null,arguments)},f._ScatterNd=function(){return(f._ScatterNd=f.asm.ScatterNd).apply(null,arguments)},f._SelectV2=function(){return(f._SelectV2=f.asm.SelectV2).apply(null,arguments)},f._Sigmoid=function(){return(f._Sigmoid=f.asm.Sigmoid).apply(null,arguments)},f._Sin=function(){return(f._Sin=f.asm.Sin).apply(null,arguments)},f._Softmax=function(){return(f._Softmax=f.asm.Softmax).apply(null,arguments)},f._SparseFillEmptyRows=function(){return(f._SparseFillEmptyRows=f.asm.SparseFillEmptyRows).apply(null,arguments)},f._SparseReshape=function(){return(f._SparseReshape=f.asm.SparseReshape).apply(null,arguments)},f._SparseSegmentReduction=function(){return(f._SparseSegmentReduction=f.asm.SparseSegmentReduction).apply(null,arguments)},f._Sqrt=function(){return(f._Sqrt=f.asm.Sqrt).apply(null,arguments)},f._Square=function(){return(f._Square=f.asm.Square).apply(null,arguments)},f._SquaredDifference=function(){return(f._SquaredDifference=f.asm.SquaredDifference).apply(null,arguments)},f._Step=function(){return(f._Step=f.asm.Step).apply(null,arguments)},f._StridedSlice=function(){return(f._StridedSlice=f.asm.StridedSlice).apply(null,arguments)},f._Sub=function(){return(f._Sub=f.asm.Sub).apply(null,arguments)},f._Sum=function(){return(f._Sum=f.asm.Sum).apply(null,arguments)},f._Tan=function(){return(f._Tan=f.asm.Tan).apply(null,arguments)},f._Tanh=function(){return(f._Tanh=f.asm.Tanh).apply(null,arguments)},f._Tile=function(){return(f._Tile=f.asm.Tile).apply(null,arguments)},f._TopK=function(){return(f._TopK=f.asm.TopK).apply(null,arguments)},f._Transform=function(){return(f._Transform=f.asm.Transform).apply(null,arguments)},f._Transpose=function(){return(f._Transpose=f.asm.Transpose).apply(null,arguments)},f.__FusedMatMul=function(){return(f.__FusedMatMul=f.asm._FusedMatMul).apply(null,arguments)},f._malloc=function(){return(Qe=f._malloc=f.asm.malloc).apply(null,arguments)}),Xe=f._free=function(){return(Xe=f._free=f.asm.free).apply(null,arguments)},Ze=(f._emscripten_tls_init=function(){return(f._emscripten_tls_init=f.asm.emscripten_tls_init).apply(null,arguments)},f.___errno_location=function(){return(Ze=f.___errno_location=f.asm.__errno_location).apply(null,arguments)}),Ye=f._pthread_self=function(){return(Ye=f._pthread_self=f.asm.pthread_self).apply(null,arguments)},Je=f._emscripten_main_thread_process_queued_calls=function(){return(Je=f._emscripten_main_thread_process_queued_calls=f.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},$e=(f.__emscripten_thread_crashed=function(){return(f.__emscripten_thread_crashed=f.asm._emscripten_thread_crashed).apply(null,arguments)},f.__emscripten_thread_init=function(){return($e=f.__emscripten_thread_init=f.asm._emscripten_thread_init).apply(null,arguments)}),en=(f._emscripten_current_thread_process_queued_calls=function(){return(f._emscripten_current_thread_process_queued_calls=f.asm.emscripten_current_thread_process_queued_calls).apply(null,arguments)},f._emscripten_main_browser_thread_id=function(){return(f._emscripten_main_browser_thread_id=f.asm.emscripten_main_browser_thread_id).apply(null,arguments)},f._emscripten_sync_run_in_main_thread_2=function(){return(f._emscripten_sync_run_in_main_thread_2=f.asm.emscripten_sync_run_in_main_thread_2).apply(null,arguments)},f._emscripten_sync_run_in_main_thread_4=function(){return(en=f._emscripten_sync_run_in_main_thread_4=f.asm.emscripten_sync_run_in_main_thread_4).apply(null,arguments)}),nn=f._emscripten_run_in_main_runtime_thread_js=function(){return(nn=f._emscripten_run_in_main_runtime_thread_js=f.asm.emscripten_run_in_main_runtime_thread_js).apply(null,arguments)},tn=f._emscripten_dispatch_to_thread_=function(){return(tn=f._emscripten_dispatch_to_thread_=f.asm.emscripten_dispatch_to_thread_).apply(null,arguments)},an=f.__emscripten_thread_free_data=function(){return(an=f.__emscripten_thread_free_data=f.asm._emscripten_thread_free_data).apply(null,arguments)},rn=(f.__emscripten_thread_exit=function(){return(f.__emscripten_thread_exit=f.asm._emscripten_thread_exit).apply(null,arguments)},f._memalign=function(){return(f._memalign=f.asm.memalign).apply(null,arguments)},f._emscripten_stack_set_limits=function(){return(rn=f._emscripten_stack_set_limits=f.asm.emscripten_stack_set_limits).apply(null,arguments)}),un=f.stackSave=function(){return(un=f.stackSave=f.asm.stackSave).apply(null,arguments)},sn=f.stackRestore=function(){return(sn=f.stackRestore=f.asm.stackRestore).apply(null,arguments)},on=f.stackAlloc=function(){return(on=f.stackAlloc=f.asm.stackAlloc).apply(null,arguments)},dn=(f.dynCall_iijjiiii=function(){return(f.dynCall_iijjiiii=f.asm.dynCall_iijjiiii).apply(null,arguments)},f.dynCall_jiji=function(){return(f.dynCall_jiji=f.asm.dynCall_jiji).apply(null,arguments)},f.__emscripten_allow_main_runtime_queued_calls=21416);function ln(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function pn(e){if(!(se>0)){if(x)return p(f),ue(),void postMessage({cmd:"loaded"});!function(){if(f.preRun)for("function"==typeof f.preRun&&(f.preRun=[f.preRun]);f.preRun.length;)e=f.preRun.shift(),ne.unshift(e);var e;fe(ne)}(),se>0||(f.setStatus?(f.setStatus("Running..."),setTimeout((function(){setTimeout((function(){f.setStatus("")}),1),n()}),1)):n())}function n(){qe||(qe=!0,f.calledRun=!0,z||(ue(),p(f),f.onRuntimeInitialized&&f.onRuntimeInitialized(),function(){if(!x){if(f.postRun)for("function"==typeof f.postRun&&(f.postRun=[f.postRun]);f.postRun.length;)e=f.postRun.shift(),ae.unshift(e);var e;fe(ae)}}()))}}if(f.cwrap=function(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?L(e):function(){return H(e,n,t,arguments)}},f.keepRuntimeAlive=re,f.PThread=ye,f.PThread=ye,f.wasmMemory=O,f.ExitStatus=ln,oe=function e(){qe||pn(),qe||(oe=e)},f.run=pn,f.preInit)for("function"==typeof f.preInit&&(f.preInit=[f.preInit]);f.preInit.length>0;)f.preInit.pop()();if(pn(),m&&(Ue={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!m.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!m.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof WasmBackendModule)Ve=WasmBackendModule;else{if("undefined"==typeof e)throw new Error("Could not find wasm module in post.js");Ve=e}if(Ue){var cn=Ve._dispose;Ve._dispose=function(){cn(),Ue.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),Ue.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=o}));var xt=St((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u,i,s="undefined"!=typeof(e=e||{})?e:{};s.ready=new Promise((function(e,t){n=e,u=t})),"undefined"!=typeof process&&process.listeners&&(i={uncaughtException:process.listeners("uncaughtException"),unhandledRejection:process.listeners("unhandledRejection")});var o,d,l,p,c,m,f=Object.assign({},s),h="object"==typeof window,b="function"==typeof importScripts,_="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,y="";_?(y=b?t.dirname(y)+"/":__dirname+"/",m=()=>{c||(p=a,c=t)},o=function(e,n){return m(),e=c.normalize(e),p.readFileSync(e,n?void 0:"utf8")},l=e=>{var n=o(e,!0);return n.buffer||(n=new Uint8Array(n)),n},d=(e,n,t)=>{m(),e=c.normalize(e),p.readFile(e,(function(e,a){e?t(e):n(a.buffer)}))},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof re))throw e})),process.on("unhandledRejection",(function(e){throw e})),s.inspect=function(){return"[Emscripten Module object]"}):(h||b)&&(b?y=self.location.href:"undefined"!=typeof document&&document.currentScript&&(y=document.currentScript.src),r&&(y=r),y=0!==y.indexOf("blob:")?y.substr(0,y.replace(/[?#].*/,"").lastIndexOf("/")+1):"",o=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},b&&(l=e=>{var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}),d=(e,n,t)=>{var a=new XMLHttpRequest;a.open("GET",e,!0),a.responseType="arraybuffer",a.onload=()=>{200==a.status||0==a.status&&a.response?n(a.response):t()},a.onerror=t,a.send(null)});var g,v=s.print||console.log.bind(console),w=s.printErr||console.warn.bind(console);Object.assign(s,f),f=null,s.arguments&&s.arguments,s.thisProgram&&s.thisProgram,s.quit&&s.quit,s.wasmBinary&&(g=s.wasmBinary);var k;s.noExitRuntime;"object"!=typeof WebAssembly&&H("no native wasm support detected");var I=!1;function S(e){return s["_"+e]}function M(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);!function(e,n,t){!function(e,n,t,a){if(!(a>0))return 0;for(var r=t+a-1,u=0;u<e.length;++u){var i=e.charCodeAt(u);if(i>=55296&&i<=57343&&(i=65536+((1023&i)<<10)|1023&e.charCodeAt(++u)),i<=127){if(t>=r)break;n[t++]=i}else if(i<=2047){if(t+1>=r)break;n[t++]=192|i>>6,n[t++]=128|63&i}else if(i<=65535){if(t+2>=r)break;n[t++]=224|i>>12,n[t++]=128|i>>6&63,n[t++]=128|63&i}else{if(t+3>=r)break;n[t++]=240|i>>18,n[t++]=128|i>>12&63,n[t++]=128|i>>6&63,n[t++]=128|63&i}}n[t]=0}(e,F,n,t)}(e,n=ae(t),t)}return n},array:function(e){var n=ae(e.length);return function(e,n){A.set(e,n)}(e,n),n}},i=S(e),s=[],o=0;if(a)for(var d=0;d<a.length;d++){var l=u[t[d]];l?(0===o&&(o=ne()),s[d]=l(a[d])):s[d]=a[d]}var p=i.apply(null,s);return p=function(e){return 0!==o&&te(o),function(e){return"string"===n?C(e):"boolean"===n?Boolean(e):e}(e)}(p)}var x,A,F,N,E="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function R(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&E)return E.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var d=i-65536;u+=String.fromCharCode(55296|d>>10,56320|1023&d)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function C(e,n){return e?R(F,e,n):""}function D(e){x=e,s.HEAP8=A=new Int8Array(e),s.HEAP16=new Int16Array(e),s.HEAP32=N=new Int32Array(e),s.HEAPU8=F=new Uint8Array(e),s.HEAPU16=new Uint16Array(e),s.HEAPU32=new Uint32Array(e),s.HEAPF32=new Float32Array(e),s.HEAPF64=new Float64Array(e)}"undefined"!=typeof TextDecoder&&new TextDecoder("utf-16le"),s.INITIAL_MEMORY;var T,O,P=[],W=[],j=[],z=0,L=null;function H(e){s.onAbort&&s.onAbort(e),w(e="Aborted("+e+")"),I=!0,e+=". Build with -s ASSERTIONS=1 for more info.";var n=new WebAssembly.RuntimeError(e);throw u(n),n}function B(e){return e.startsWith("data:application/octet-stream;base64,")}function q(e){return e.startsWith("file://")}function U(e){try{if(e==O&&g)return new Uint8Array(g);if(l)return l(e);throw"both async and sync fetching of the wasm failed"}catch(e){H(e)}}function V(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?K(t)():K(t)(n.arg):t(void 0===n.arg?null:n.arg)}else n(s)}}s.preloadedImages={},s.preloadedAudios={},B(O="tfjs-backend-wasm.wasm")||(O=function(e){return s.locateFile?s.locateFile(e,y):y+e}(O));var G=[];function K(e){var n=G[e];return n||(e>=G.length&&(G.length=e+1),G[e]=n=T.get(e)),n}function Q(){return 2147483648}function X(e){try{return k.grow(e-x.byteLength+65535>>>16),D(k.buffer),1}catch(e){}}var Z,Y,J,$={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=$.buffers[e];0===n||10===n?((1===e?v:w)(R(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return $.varargs+=4,N[$.varargs-4>>2]},getStr:function(e){return C(e)},get64:function(e,n){return e}},ee={abort:function(){H("")},emscripten_get_heap_max:Q,emscripten_memcpy_big:function(e,n,t){F.copyWithin(e,n,n+t)},emscripten_resize_heap:function(e){var n,t,a=F.length,r=2147483648;if((e>>>=0)>r)return!1;for(var u=1;u<=4;u*=2){var i=a*(1+.2/u);if(i=Math.min(i,e+100663296),X(Math.min(r,((n=Math.max(e,i))%(t=65536)>0&&(n+=t-n%t),n))))return!0}return!1},fd_close:function(e){return 0},fd_seek:function(e,n,t,a,r){},fd_write:function(e,n,t,a){for(var r=0,u=0;u<t;u++){var i=N[n>>2],s=N[n+4>>2];n+=8;for(var o=0;o<s;o++)$.printChar(e,F[i+o]);r+=s}return N[a>>2]=r,0},setTempRet0:function(e){}},ne=(function(){var e={env:ee,wasi_snapshot_preview1:ee};function n(e,n){var t,a=e.exports;s.asm=a,D((k=s.asm.memory).buffer),T=s.asm.__indirect_function_table,t=s.asm.__wasm_call_ctors,W.unshift(t),function(e){if(z--,s.monitorRunDependencies&&s.monitorRunDependencies(z),0==z&&L){var n=L;L=null,n()}}()}function t(e){n(e.instance)}function a(n){return function(){if(!g&&(h||b)){if("function"==typeof fetch&&!q(O))return fetch(O,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+O+"'";return e.arrayBuffer()})).catch((function(){return U(O)}));if(d)return new Promise((function(e,n){d(O,(function(n){e(new Uint8Array(n))}),n)}))}return Promise.resolve().then((function(){return U(O)}))}().then((function(n){return WebAssembly.instantiate(n,e)})).then((function(e){return e})).then(n,(function(e){w("failed to asynchronously prepare wasm: "+e),H(e)}))}if(z++,s.monitorRunDependencies&&s.monitorRunDependencies(z),s.instantiateWasm)try{return s.instantiateWasm(e,n)}catch(e){return w("Module.instantiateWasm callback failed with error: "+e),!1}(g||"function"!=typeof WebAssembly.instantiateStreaming||B(O)||q(O)||"function"!=typeof fetch?a(t):fetch(O,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){return w("wasm streaming compile failed: "+e),w("falling back to ArrayBuffer instantiation"),a(t)}))}))).catch(u)}(),s.___wasm_call_ctors=function(){return(s.___wasm_call_ctors=s.asm.__wasm_call_ctors).apply(null,arguments)},s._init=function(){return(s._init=s.asm.init).apply(null,arguments)},s._init_with_threads_count=function(){return(s._init_with_threads_count=s.asm.init_with_threads_count).apply(null,arguments)},s._get_threads_count=function(){return(s._get_threads_count=s.asm.get_threads_count).apply(null,arguments)},s._register_tensor=function(){return(s._register_tensor=s.asm.register_tensor).apply(null,arguments)},s._dispose_data=function(){return(s._dispose_data=s.asm.dispose_data).apply(null,arguments)},s._dispose=function(){return(s._dispose=s.asm.dispose).apply(null,arguments)},s._Abs=function(){return(s._Abs=s.asm.Abs).apply(null,arguments)},s._Add=function(){return(s._Add=s.asm.Add).apply(null,arguments)},s._AddN=function(){return(s._AddN=s.asm.AddN).apply(null,arguments)},s._All=function(){return(s._All=s.asm.All).apply(null,arguments)},s._Any=function(){return(s._Any=s.asm.Any).apply(null,arguments)},s._ArgMax=function(){return(s._ArgMax=s.asm.ArgMax).apply(null,arguments)},s._AvgPool=function(){return(s._AvgPool=s.asm.AvgPool).apply(null,arguments)},s._BatchMatMul=function(){return(s._BatchMatMul=s.asm.BatchMatMul).apply(null,arguments)},s._Ceil=function(){return(s._Ceil=s.asm.Ceil).apply(null,arguments)},s._ClipByValue=function(){return(s._ClipByValue=s.asm.ClipByValue).apply(null,arguments)},s._Conv2D=function(){return(s._Conv2D=s.asm.Conv2D).apply(null,arguments)},s._Conv2DBackpropInput=function(){return(s._Conv2DBackpropInput=s.asm.Conv2DBackpropInput).apply(null,arguments)},s._Cos=function(){return(s._Cos=s.asm.Cos).apply(null,arguments)},s._Cosh=function(){return(s._Cosh=s.asm.Cosh).apply(null,arguments)},s._CropAndResize=function(){return(s._CropAndResize=s.asm.CropAndResize).apply(null,arguments)},s._Cumsum=function(){return(s._Cumsum=s.asm.Cumsum).apply(null,arguments)},s._DepthToSpace=function(){return(s._DepthToSpace=s.asm.DepthToSpace).apply(null,arguments)},s._DepthwiseConv2dNative=function(){return(s._DepthwiseConv2dNative=s.asm.DepthwiseConv2dNative).apply(null,arguments)},s._Elu=function(){return(s._Elu=s.asm.Elu).apply(null,arguments)},s._Equal=function(){return(s._Equal=s.asm.Equal).apply(null,arguments)},s._Exp=function(){return(s._Exp=s.asm.Exp).apply(null,arguments)},s._FlipLeftRight=function(){return(s._FlipLeftRight=s.asm.FlipLeftRight).apply(null,arguments)},s._Floor=function(){return(s._Floor=s.asm.Floor).apply(null,arguments)},s._FloorDiv=function(){return(s._FloorDiv=s.asm.FloorDiv).apply(null,arguments)},s._FusedBatchNorm=function(){return(s._FusedBatchNorm=s.asm.FusedBatchNorm).apply(null,arguments)},s._FusedConv2D=function(){return(s._FusedConv2D=s.asm.FusedConv2D).apply(null,arguments)},s._FusedDepthwiseConv2D=function(){return(s._FusedDepthwiseConv2D=s.asm.FusedDepthwiseConv2D).apply(null,arguments)},s._Gather=function(){return(s._Gather=s.asm.Gather).apply(null,arguments)},s._GatherNd=function(){return(s._GatherNd=s.asm.GatherNd).apply(null,arguments)},s._Greater=function(){return(s._Greater=s.asm.Greater).apply(null,arguments)},s._GreaterEqual=function(){return(s._GreaterEqual=s.asm.GreaterEqual).apply(null,arguments)},s._LeakyRelu=function(){return(s._LeakyRelu=s.asm.LeakyRelu).apply(null,arguments)},s._Less=function(){return(s._Less=s.asm.Less).apply(null,arguments)},s._LessEqual=function(){return(s._LessEqual=s.asm.LessEqual).apply(null,arguments)},s._Log=function(){return(s._Log=s.asm.Log).apply(null,arguments)},s._LogicalAnd=function(){return(s._LogicalAnd=s.asm.LogicalAnd).apply(null,arguments)},s._Max=function(){return(s._Max=s.asm.Max).apply(null,arguments)},s._MaxPool=function(){return(s._MaxPool=s.asm.MaxPool).apply(null,arguments)},s._Maximum=function(){return(s._Maximum=s.asm.Maximum).apply(null,arguments)},s._Mean=function(){return(s._Mean=s.asm.Mean).apply(null,arguments)},s._Min=function(){return(s._Min=s.asm.Min).apply(null,arguments)},s._Minimum=function(){return(s._Minimum=s.asm.Minimum).apply(null,arguments)},s._MirrorPad=function(){return(s._MirrorPad=s.asm.MirrorPad).apply(null,arguments)},s._Multiply=function(){return(s._Multiply=s.asm.Multiply).apply(null,arguments)},s._Neg=function(){return(s._Neg=s.asm.Neg).apply(null,arguments)},s._NonMaxSuppressionV3=function(){return(s._NonMaxSuppressionV3=s.asm.NonMaxSuppressionV3).apply(null,arguments)},s._NonMaxSuppressionV4=function(){return(s._NonMaxSuppressionV4=s.asm.NonMaxSuppressionV4).apply(null,arguments)},s._NonMaxSuppressionV5=function(){return(s._NonMaxSuppressionV5=s.asm.NonMaxSuppressionV5).apply(null,arguments)},s._NotEqual=function(){return(s._NotEqual=s.asm.NotEqual).apply(null,arguments)},s._OneHot=function(){return(s._OneHot=s.asm.OneHot).apply(null,arguments)},s._PadV2=function(){return(s._PadV2=s.asm.PadV2).apply(null,arguments)},s._Pow=function(){return(s._Pow=s.asm.Pow).apply(null,arguments)},s._Prelu=function(){return(s._Prelu=s.asm.Prelu).apply(null,arguments)},s._Prod=function(){return(s._Prod=s.asm.Prod).apply(null,arguments)},s._RealDiv=function(){return(s._RealDiv=s.asm.RealDiv).apply(null,arguments)},s._Relu=function(){return(s._Relu=s.asm.Relu).apply(null,arguments)},s._Relu6=function(){return(s._Relu6=s.asm.Relu6).apply(null,arguments)},s._ResizeBilinear=function(){return(s._ResizeBilinear=s.asm.ResizeBilinear).apply(null,arguments)},s._Reverse=function(){return(s._Reverse=s.asm.Reverse).apply(null,arguments)},s._RotateWithOffset=function(){return(s._RotateWithOffset=s.asm.RotateWithOffset).apply(null,arguments)},s._Round=function(){return(s._Round=s.asm.Round).apply(null,arguments)},s._Rsqrt=function(){return(s._Rsqrt=s.asm.Rsqrt).apply(null,arguments)},s._ScatterNd=function(){return(s._ScatterNd=s.asm.ScatterNd).apply(null,arguments)},s._SelectV2=function(){return(s._SelectV2=s.asm.SelectV2).apply(null,arguments)},s._Sigmoid=function(){return(s._Sigmoid=s.asm.Sigmoid).apply(null,arguments)},s._Sin=function(){return(s._Sin=s.asm.Sin).apply(null,arguments)},s._Softmax=function(){return(s._Softmax=s.asm.Softmax).apply(null,arguments)},s._SparseFillEmptyRows=function(){return(s._SparseFillEmptyRows=s.asm.SparseFillEmptyRows).apply(null,arguments)},s._SparseReshape=function(){return(s._SparseReshape=s.asm.SparseReshape).apply(null,arguments)},s._SparseSegmentReduction=function(){return(s._SparseSegmentReduction=s.asm.SparseSegmentReduction).apply(null,arguments)},s._Sqrt=function(){return(s._Sqrt=s.asm.Sqrt).apply(null,arguments)},s._Square=function(){return(s._Square=s.asm.Square).apply(null,arguments)},s._SquaredDifference=function(){return(s._SquaredDifference=s.asm.SquaredDifference).apply(null,arguments)},s._Step=function(){return(s._Step=s.asm.Step).apply(null,arguments)},s._StridedSlice=function(){return(s._StridedSlice=s.asm.StridedSlice).apply(null,arguments)},s._Sub=function(){return(s._Sub=s.asm.Sub).apply(null,arguments)},s._Sum=function(){return(s._Sum=s.asm.Sum).apply(null,arguments)},s._Tan=function(){return(s._Tan=s.asm.Tan).apply(null,arguments)},s._Tanh=function(){return(s._Tanh=s.asm.Tanh).apply(null,arguments)},s._Tile=function(){return(s._Tile=s.asm.Tile).apply(null,arguments)},s._TopK=function(){return(s._TopK=s.asm.TopK).apply(null,arguments)},s._Transform=function(){return(s._Transform=s.asm.Transform).apply(null,arguments)},s._Transpose=function(){return(s._Transpose=s.asm.Transpose).apply(null,arguments)},s.__FusedMatMul=function(){return(s.__FusedMatMul=s.asm._FusedMatMul).apply(null,arguments)},s._malloc=function(){return(s._malloc=s.asm.malloc).apply(null,arguments)},s._free=function(){return(s._free=s.asm.free).apply(null,arguments)},s.___errno_location=function(){return(s.___errno_location=s.asm.__errno_location).apply(null,arguments)},s._emscripten_main_thread_process_queued_calls=function(){return(s._emscripten_main_thread_process_queued_calls=s.asm.emscripten_main_thread_process_queued_calls).apply(null,arguments)},s.stackSave=function(){return(ne=s.stackSave=s.asm.stackSave).apply(null,arguments)}),te=s.stackRestore=function(){return(te=s.stackRestore=s.asm.stackRestore).apply(null,arguments)},ae=s.stackAlloc=function(){return(ae=s.stackAlloc=s.asm.stackAlloc).apply(null,arguments)};function re(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function ue(e){function t(){Z||(Z=!0,s.calledRun=!0,I||(V(W),n(s),s.onRuntimeInitialized&&s.onRuntimeInitialized(),function(){if(s.postRun)for("function"==typeof s.postRun&&(s.postRun=[s.postRun]);s.postRun.length;)e=s.postRun.shift(),j.unshift(e);var e;V(j)}()))}z>0||(function(){if(s.preRun)for("function"==typeof s.preRun&&(s.preRun=[s.preRun]);s.preRun.length;)e=s.preRun.shift(),P.unshift(e);var e;V(P)}(),z>0||(s.setStatus?(s.setStatus("Running..."),setTimeout((function(){setTimeout((function(){s.setStatus("")}),1),t()}),1)):t()))}if(s.dynCall_iijjiiii=function(){return(s.dynCall_iijjiiii=s.asm.dynCall_iijjiiii).apply(null,arguments)},s.dynCall_jiji=function(){return(s.dynCall_jiji=s.asm.dynCall_jiji).apply(null,arguments)},s.cwrap=function(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?S(e):function(){return M(e,n,t,arguments)}},L=function e(){Z||ue(),Z||(L=e)},s.run=ue,s.preInit)for("function"==typeof s.preInit&&(s.preInit=[s.preInit]);s.preInit.length>0;)s.preInit.pop()();if(ue(),i&&(Y={uncaughtException:process.listeners("uncaughtException").filter((function(e){return!i.uncaughtException.indexOf(e)>-1})),unhandledRejection:process.listeners("unhandledRejection").filter((function(e){return!i.unhandledRejection.indexOf(e)>-1}))}),"undefined"!=typeof e)J=e;else{if("undefined"==typeof WasmBackendModuleThreadedSimd)throw new Error("Could not find wasm module in post.js");J=WasmBackendModuleThreadedSimd}if(Y){var ie=J._dispose;J._dispose=function(){ie(),Y.uncaughtException.forEach((function(e){process.removeListener("uncaughtException",e)})),Y.unhandledRejection.forEach((function(e){process.removeListener("unhandledRejection",e)}))}}return e.ready});e.exports=u})),At=function(e){function t(t){var a=e.call(this)||this;return a.wasm=t,a.dataIdNextNumber=1,a.wasm.tfjs.initWithThreadsCount(Pt),Wt=a.wasm.tfjs.getThreadsCount(),a.dataIdMap=new n.DataStorage(a,n.engine()),a}return function(e,n){function t(){this.constructor=e}yt(e,n),e.prototype=null===n?Object.create(n):(t.prototype=n.prototype,new t)}(t,e),t.prototype.write=function(e,n,t){var a={id:this.dataIdNextNumber++};return this.move(a,e,n,t,1),a},t.prototype.numDataIds=function(){return this.dataIdMap.numDataIds()},t.prototype.time=function(e){return gt(this,void 0,void 0,(function(){var t;return vt(this,(function(a){return t=n.util.now(),e(),[2,{kernelMs:n.util.now()-t}]}))}))},t.prototype.move=function(e,t,a,r,u){var i=this.dataIdNextNumber++;if("string"!==r){var s=n.util.sizeFromShape(a),o=s*n.util.bytesPerElement(r),d=this.wasm._malloc(o);this.dataIdMap.set(e,{id:i,memoryOffset:d,shape:a,dtype:r,refCount:u}),this.wasm.tfjs.registerTensor(i,s,d),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,o),d)}else{var l=t;this.dataIdMap.set(e,{id:i,stringBytes:l,shape:a,dtype:r,memoryOffset:null,refCount:u})}},t.prototype.read=function(e){return gt(this,void 0,void 0,(function(){return vt(this,(function(n){return[2,this.readSync(e)]}))}))},t.prototype.readSync=function(e,t,a){var r=this.dataIdMap.get(e),u=r.memoryOffset,i=r.dtype,s=r.shape,o=r.stringBytes;if("string"===i)return null!=t&&0!==t||!(null==a||a>=o.length)?o.slice(t,a):o;t=t||0,a=a||n.util.sizeFromShape(s);var d=n.util.bytesPerElement(i);return function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error("Unknown dtype "+n)}}(this.wasm.HEAPU8.slice(u+t*d,u+a*d).buffer,i)},t.prototype.disposeData=function(e,n){if(void 0===n&&(n=!1),this.dataIdMap.has(e)){var t=this.dataIdMap.get(e);if(t.refCount--,!n&&t.refCount>0)return!1;this.wasm._free(t.memoryOffset),this.wasm.tfjs.disposeData(t.id),this.dataIdMap.delete(e)}return!0},t.prototype.refCount=function(e){return this.dataIdMap.has(e)?this.dataIdMap.get(e).refCount:0},t.prototype.incRef=function(e){var n=this.dataIdMap.get(e);null!=n&&n.refCount++},t.prototype.floatPrecision=function(){return 32},t.prototype.getMemoryOffset=function(e){return this.dataIdMap.get(e).memoryOffset},t.prototype.dispose=function(){this.wasm.tfjs.dispose(),"PThread"in this.wasm&&this.wasm.PThread.terminateAllThreads(),this.wasm=null},t.prototype.memory=function(){return{unreliable:!1}},t.prototype.makeOutput=function(e,t,a){var r;if(null==a)r=this.write(null,e,t);else{var u=this.dataIdNextNumber++;r={id:u},this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t,refCount:1});var i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}},t.prototype.typedArrayFromHeap=function(e){var t=e.shape,a=e.dtype,r=e.dataId,u=this.wasm.HEAPU8.buffer,i=this.dataIdMap.get(r).memoryOffset,s=n.util.sizeFromShape(t);switch(a){case"float32":return new Float32Array(u,i,s);case"int32":return new Int32Array(u,i,s);case"bool":return new Uint8Array(u,i,s);default:throw new Error("Unknown dtype "+a)}},t}(n.KernelBackend);function Ft(e,n,t){if(null!=Rt)return Rt;var a="tfjs-backend-wasm.wasm";return e&&n?a="tfjs-backend-wasm-threaded-simd.wasm":e&&(a="tfjs-backend-wasm-simd.wasm"),null!=Dt&&null!=Dt[a]?Dt[a]:t+a}function Nt(){return gt(this,void 0,void 0,(function(){var e,t,a;return vt(this,(function(r){switch(r.label){case 0:return[4,Promise.all([n.env().getAsync("WASM_HAS_SIMD_SUPPORT"),n.env().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")])];case 1:return e=r.sent(),t=e[0],a=e[1],[2,new Promise((function(e,r){var u={locateFile:function(e,n){if(e.endsWith(".worker.js")){var r=new Blob(['"use strict";var Module={};var ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string";if(ENVIRONMENT_IS_NODE){var nodeWorkerThreads=require("worker_threads");var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var fs=require("fs");Object.assign(global,{self:global,require:require,Module:Module,location:{href:__filename},Worker:nodeWorkerThreads.Worker,importScripts:function(f){(0,eval)(fs.readFileSync(f,"utf8"))},postMessage:function(msg){parentPort.postMessage(msg)},performance:global.performance||{now:function(){return Date.now()}}})}function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");if(ENVIRONMENT_IS_NODE){fs.writeSync(2,text+"\n");return}console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:Module["_pthread_self"]()})}var err=threadPrintErr;self.alert=threadAlert;Module["instantiateWasm"]=((info,receiveInstance)=>{var instance=new WebAssembly.Instance(Module["wasmModule"],info);receiveInstance(instance);Module["wasmModule"]=null;return instance.exports});self.onmessage=(e=>{try{if(e.data.cmd==="load"){Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}WasmBackendModuleThreadedSimd(Module).then(function(instance){Module=instance})}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;Module["__emscripten_thread_init"](e.data.threadInfoStruct,0,0,1);Module["establishStackSpace"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].threadInit();try{var result=Module["invokeEntryPoint"](e.data.start_routine,e.data.arg);if(Module["keepRuntimeAlive"]()){Module["PThread"].setExitStatus(result)}else{Module["__emscripten_thread_exit"](result)}}catch(ex){if(ex!="unwind"){if(ex instanceof Module["ExitStatus"]){if(Module["keepRuntimeAlive"]()){}else{Module["__emscripten_thread_exit"](ex.status)}}else{throw ex}}}}else if(e.data.cmd==="cancel"){if(Module["_pthread_self"]()){Module["__emscripten_thread_exit"](-1)}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(Module["_pthread_self"]()){Module["_emscripten_current_thread_process_queued_calls"]()}}else if(e.data.cmd==="processProxyingQueue"){if(Module["_pthread_self"]()){Module["_emscripten_proxy_execute_queue"](e.data.queue)}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex&&ex.stack)err(ex.stack);if(Module["__emscripten_thread_crashed"]){Module["__emscripten_thread_crashed"]()}throw ex}});'],{type:"application/javascript"});return URL.createObjectURL(r)}return e.endsWith(".wasm")?Ft(t,a,null!=Ct?Ct:n):n+e}};Ot&&(u.instantiateWasm=function(e){return function(t,a){return n.util.fetch(e,{credentials:"same-origin"}).then((function(n){n.ok||t.env.a("failed to load wasm binary file at '"+e+"'"),n.arrayBuffer().then((function(e){WebAssembly.instantiate(e,t).then((function(e){a(e.instance,e.module)}))}))})),{}}}(Ft(t,a,null!=Ct?Ct:"")));var i,s=!1;u.onAbort=function(){if(!s&&!Tt){Tt=!0;r({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}},a&&t&&null==Rt?(u.mainScriptUrlOrBlob=new Blob(["var WasmBackendModuleThreadedSimd = "+Mt.toString()],{type:"text/javascript"}),i=Mt(u)):i=xt(u),i.then((function(n){s=!0,Tt=!1;n.tfjs={init:n.cwrap("init",null,[]),initWithThreadsCount:n.cwrap("init_with_threads_count",null,["number"]),getThreadsCount:n.cwrap("get_threads_count","number",[]),registerTensor:n.cwrap("register_tensor",null,["number","number","number"]),disposeData:n.cwrap("dispose_data",null,["number"]),dispose:n.cwrap("dispose",null,[])},e({wasm:n})}))}))]}}))}))}var Et=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"],Rt=null,Ct=null,Dt={},Tt=!1,Ot=!1;var Pt=-1,Wt=-1;n.registerBackend("wasm",(function(){return gt(undefined,void 0,void 0,(function(){var e;return vt(this,(function(n){switch(n.label){case 0:return[4,Nt()];case 1:return e=n.sent().wasm,[2,new At(e)]}}))}))}),2),e.BackendWasm=At,e.getThreadsCount=function(){if(-1===Wt)throw new Error("WASM backend not initialized.");return Wt},e.setThreadsCount=function(e){Pt=e},e.setWasmPath=function(e,t){if(void 0===t&&(t=!1),n.deprecationWarn("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),Tt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Rt=e,Ot=t},e.setWasmPaths=function(e,n){if(void 0===n&&(n=!1),Tt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)Ct=e;else{Dt=e;var t=Et.filter((function(e){return null==Dt[e]}));if(t.length>0)throw new Error("There were no entries found for the following binaries: "+t.join(",")+". Please either call setWasmPaths with a map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}Ot=n},e.version_wasm="3.14.0",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
